<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\AccountSubGroup;
use App\Models\AccountMainGroup;
use App\Models\Ledger;
use App\Models\LedgerOpenBal;
use App\Models\Accounttype;
use App\Models\AccountSetting;
class Account extends Controller
{
  public function accountgroup(){
      
      $accountmaingrp=AccountMainGroup::all();
      $accountsubgroup=AccountSubGroup::all();
        return view('account.accountgroup',compact('accountmaingrp','accountsubgroup'));
    }
    
  public function accountgroup_save(Request $request)
 {
     
     $validated = $request->validate([
            'acmaingrp_id' => 'required',
             'subgroup' => 'required',
        ]);
        $accountsubgrp = AccountSubGroup::create([
            'acmaingrp_id' => $request->acmaingrp_id,
             'subgroup' => $request->subgroup,
           

        ]); 
                if($accountsubgrp){
            $msg_array = array('message'=>'Account Group Created Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Account Group Could not be Created !','alert-type'=>'error');
        }
        return redirect()->route('accountgroup')->with($msg_array); 
     
 }
   
  public function accountgroup_edit($sid){
        $accountmaingrp=AccountMainGroup::all();
        $accountsubgroup = AccountSubGroup::find(decrypt($sid));
        
        return view('account.accountgroupedit',compact(array('accountmaingrp','accountsubgroup')));
    }  
    
   public function accountgroup_update(Request $request){
        
        $acsubgrp_id = decrypt($request->acsubgrp_id);
        $validated = $request->validate([
            // 'acmaingrp_id' => 'required|unique:account_sub_group,acmaingrp_id,'.$acsubgrp_id.',acsubgrp_id',
            'subgroup' => 'required|unique:account_sub_group,subgroup,'.$acsubgrp_id.',acsubgrp_id',
        ]);
        
        $accountsubgroup = AccountSubGroup::find($acsubgrp_id);
        $accountsubgroup->update([
            
            'acmaingrp_id' => $request->acmaingrp_id,
            'subgroup' => $request->subgroup
        ]);
        
        if($accountsubgroup){
            $msg_array = array('message'=>'Account Group Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Account Group Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('accountgroup')->with($msg_array);
    }  
      public function accountgroup_delete($sid){
        
        $accountsubgroup = AccountSubGroup::find(decrypt($sid));
        
      if($accountsubgroup){
            if($accountsubgroup->count() > 0){
                $accountsubgroup->delete();
                $msg_array = array('message'=>'Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>' Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('accountgroup')->with($msg_array);
    }         
         
  public function ledger(){
      
      $ledger=Ledger::all();
      $accountsubgroup=AccountSubGroup::all();
      return view('account.ledger.report',compact('ledger','accountsubgroup'));
    }
    
    
  public function ledger_save(Request $request)
 {
     $cur_date = date('Y-m-d');
     
     $validated = $request->validate([
            'ledger_name' => 'required',
             'acsubgrp_id' => 'required',
        ]);
         //'opening_balance'=>$request->opening_balance,
        $accountsubgroup = AccountSubGroup::find($request->acsubgrp_id);
        $ledger = Ledger::create([
            'ledger_name' => $request->ledger_name,
             'ag_id' => $request->acsubgrp_id,
             'dc'=>$accountsubgroup->dc,
         
        ]); 
        if($request->opening_balance == '')
        {
            $open_bal = 0;
        }else{ $open_bal = $request->opening_balance; }
        if($ledger){
                    
               $ledgeropenbal = LedgerOpenBal::create([
              'ledger_id' => $ledger->ledger_id,
              'opening_bal' => $open_bal,
              'opening_date'=>$cur_date,
         
        ]);       
                    
            $msg_array = array('message'=>'Ledgers Created Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Ledgers Could not be Created !','alert-type'=>'error');
        }
        return redirect()->route('ledger')->with($msg_array); 
     
 }
      
    public function ledger_edit($lid){
        $accountsubgroup=AccountSubGroup::all();
        $legder = Ledger::find(decrypt($lid));
        
        return view('account.ledgeredit',compact(array('legder','accountsubgroup')));
    }  
  
    
       public function ledger_update(Request $request){
        $cur_date = date('Y-m-d');
        $legder_id = decrypt($request->ledger_id);
       
     
        $legder = Ledger::find($legder_id);
      
         $accountsubgroup = AccountSubGroup::find($request->acsubgrp_id);
        $legder->update([
            
            'ledger_name' => $request->ledger_name,
            'ag_id' =>$request->acsubgrp_id,
            'dc'=>$accountsubgroup->dc,
           
        ]);
        if($request->opening_balance == '')
        {
            $open_bal = 0;
        }else{ $open_bal = $request->opening_balance; }
        
        $ledgeropenbal=LedgerOpenBal::where('ledger_id',$legder_id)->first();
        if(!$ledgeropenbal)
        {
              $ledgeropenbal1 = LedgerOpenBal::create([
              'ledger_id' => $legder_id,
              'opening_bal' => $open_bal,
              'opening_date'=>$cur_date,
               ]);
        }
        else
        {
        $ledgeropenbal->update([
            
            'opening_bal' =>$open_bal,
            'opening_date'=>$cur_date,
           
        ]);
        }
        
        if($legder){
            $msg_array = array('message'=>'Ledger Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Ledger Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('ledger')->with($msg_array);
    }  

    
          public function ledger_delete($lid){
        
        $legder = Ledger::find(decrypt($lid));
        
      if($legder){
            if($legder->count() > 0){
                $legder->delete();
                $msg_array = array('message'=>'Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>' Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('ledger')->with($msg_array);
    }         

   public function accountsetting(){
     $ledgers=Ledger::all();
      $accounttype=Accounttype::all();
      $accountsetting=AccountSetting::all();
        return view('account.accountsetting',compact('ledgers','accounttype','accountsetting'));
     
     
    }
public function accountsetting_update(Request $request)
{

    $request->validate([
            'accounttype_id' => 'required|array',
            'ledger' => 'required|array',
        ]);
           foreach ($request->ledger as $key => $ledgerId) {
            $accountSetting = AccountSetting::where('ledger_id', $ledgerId)->first();
            if ($accountSetting) {
                $accountSetting->update([
                    'accounttype_id' => $request->accounttype_id[$key],
                ]);
            } 
        }
        if($accountSetting)
        {
            $msgarray=array('message'=>'updated successfully','alert-type'=>'success');
        }
        else
        {
            $msgarray=array('message'=>'could not be updated','alert-type'=>'error');
        }
  return redirect()->route('accountsetting')->with($msgarray);
    
}
    

    
    
    
    
    
    
    
    
    
    
    
    
    
}
