<?php

namespace App\Http\Controllers\Accounts;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\Financialyear;
use App\Models\Accounttype;
use App\Models\Accounting;

use DB;

class Financialyears extends Controller
{
    protected $accountId;
    
    public function __construct(){
        $this->accountId = Accounttype::getDefaultAccountId();
    }
    
    public function report(){
        $fyears = Financialyear::all();
        $accountid = $this->accountId;
        $accountstr = "default".$accountid;
        return view('account.financialyear.report',compact('fyears','accountstr'));
    }
    
    public function update($fyear,$account){
        $fyeardet = Financialyear::find($fyear);
        $update1 = Financialyear::whereNull('deleted_at')->update([$account => 0]);
        $update2 = $fyeardet->update([$account => 1]);
            
        if($update1 && $update2){
            $pre_date = date('Y-m-d',(strtotime($fyeardet->sdate)-86400));
                
            $expense_count = Accounting::getLedgers("expense")->count();
            $total_expense = Accounting::profitLoss("expense",$this->accountId,$pre_date,'',0,$expense_count,1);
            $income_count = Accounting::getLedgers("income")->count();
            $total_income = Accounting::profitLoss("income",$this->accountId,$pre_date,'',0,$income_count,1);
            $profit_loss = ($total_income-$total_expense);
                
            DB::table('ledger_total_bal')->updateOrInsert(['id' => $this->accountId],['ledger_id' => 'Profit and Loss Account', 'ledger_amount' => $profit_loss]);
                
            $msg_array = array('message'=>'Financial Year Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Financial Year Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('accounts.financialyear')->with($msg_array);
    }
}
