<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Associationmodel;
use App\Models\Acyear;
use App\Models\AssociationEvent;


class Association extends Controller
{
   public function association_add()
   {
       $staff=User::where('status','1')->get();
       return view('association.association_add',compact('staff'));
   }

    public function association_add_save(Request $request)
    {
          $validated = $request->validate([
           'name' => 'required|unique:add_association,name',
            'description' => 'required',
             'user_id' => 'required|array',
        ]);
         $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
         $current_academic_year_id = $cur_acyear->ac_id;
        $name = $request->name;
         $des = $request->description;
       $staff = $request->user_id; 
       $user_ids = implode(',',$staff);
       $asso = Associationmodel::create([
    'ac_id' => $current_academic_year_id,
    'name' => $name,
    'description' =>$des,
    'user_ids'=>$user_ids,
]);
if ($asso) {
    $msg_array = ['message' => 'Association Added Successfully!', 'alert-type' => 'success'];
} else {
    $msg_array = ['message' => 'Association Could not be Added!', 'alert-type' => 'error'];
}

return redirect()->route('association')->with($msg_array);
    }
    
    
   public function association_report()
   {
       $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
         $current_academic_year_id = $cur_acyear->ac_id;
       $asso=Associationmodel::where('ac_id',$current_academic_year_id)->get();
       return view('association.association_report',compact('asso'));
   }
    
    
    public function association_report_edit($id)
    {
        $asso=Associationmodel::find($id);
        $staff=User::where('status','1')->get();
        $association=Associationmodel::where('asso_id',$id)->first();
        return view('association.association_report_edit',compact('association','staff','asso'));
    }
    
   public function association_update(Request $request)
   {
       $asso_id=$request->asso_id;
        $asso=Associationmodel::where('asso_id',$asso_id)->first();
      
        $staff = $request->user_id; 
       $user_ids = implode(',',$staff);
       $asso->update([
           'name'=>$request->name,
           'description'=>$request->description,
           'user_ids'=>$user_ids,
           
           ]);
        if ($asso) {
    $msg_array = ['message' => 'Association Updated Successfully!', 'alert-type' => 'success'];
} else {
    $msg_array = ['message' => 'Association Could not be Updated!', 'alert-type' => 'error'];
}

return redirect()->route('association.report')->with($msg_array);   
   }
    
    public function association_report_delete($id)
    {
        $asso=Associationmodel::find($id)->delete();
        if($asso)
        {
         $msg_array = ['message' => 'Association Deleted Successfully!', 'alert-type' => 'success'];   
        }
       else {
    $msg_array = ['message' => 'Association Could not be Deleted!', 'alert-type' => 'error'];
}

return redirect()->route('association.report')->with($msg_array);
    }
    
    public function association_event()
    {
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
        $association=Associationmodel::where('ac_id',$current_academic_year_id)->get();
       return view('association.association_event',compact('association'));
    }
    
    public function association_event_save(Request $request)
    {
         $validated = $request->validate([
           'title' => 'required|unique:add_association_event,title',
            'description' => 'required',
        ]); 
        
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
         $current_academic_year_id = $cur_acyear->ac_id;
        $title = $request->title;
         $des = $request->description;
         $asso_id = $request->asso_id;
         $edate=$request->efrom;
         $lastdate=$request->lastdate;
         
         $event=AssociationEvent::create([
             'title'=>$title,
             'description'=>$des,
             'asso_id'=>$asso_id,
             'efrom'=>$edate,
             'lastdate'=>$lastdate,
             'ac_id'=>$current_academic_year_id,
             
             ]);
             
           if ($event) {
    $msg_array = ['message' => 'Event Added Successfully!', 'alert-type' => 'success'];
} else {
    $msg_array = ['message' => 'Event Could not be Added!', 'alert-type' => 'error'];
}

return redirect()->route('association.event')->with($msg_array);  
    }
    
    public function association_event_report()
    {
       return view('association.association_event_report'); 
    }
    
    
 public function association_event_report_get(Request $request)
 {
      $month_year = $request->input('month_year');
     $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
     $current_academic_year_id = $cur_acyear->ac_id;
    $query = AssociationEvent::where('ac_id', $current_academic_year_id);
     
     if ($month_year) {
        list($month, $year) = explode('-', $month_year);
        $query->whereMonth('efrom', $month)
              ->whereYear('efrom', $year);
    }
      $event = $query->get();
    //  $event=AssociationEvent::where('ac_id',$current_academic_year_id)->get();
     return view('association.association_event_report_get',compact('event'));
 }

  public function association_event_report_edit($id)
  {
        $asso=AssociationEvent::find($id);
     
        $association=AssociationEvent::where('evntasso_id',$id)->first();
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
     $current_academic_year_id = $cur_acyear->ac_id;
         $associations=Associationmodel::where('ac_id',$current_academic_year_id)->get();
       return view('association.association_event_report_edit',compact('association','associations'));
  }
    public function association_event_update(Request $request)
    {
           $request->validate([
        'title' => 'required|string|max:255',
        'description' => 'nullable|string',
        'asso_id' => 'required|integer',
        'efrom' => 'required|date',
        'lastdate' => 'required|date|after_or_equal:efrom',
    ]);
        
        
        
        
        $assoevent_id=$request->evntasso_id;
        
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
     $current_academic_year_id = $cur_acyear->ac_id;
    $asso = AssociationEvent::where('evntasso_id', $assoevent_id)->first();
 if ($asso) {
      
        $asso->update([
            'title' => $request->title,
            'description' => $request->description,
            'asso_id' => $request->asso_id, 
            'efrom' => $request->efrom,
            'lastdate' => $request->lastdate,
            'ac_id' => $current_academic_year_id,
        ]);

     
        return redirect()->route('association.event.report')->with('success','Event updated successfully.');
    } else {
        
        return redirect()->back()->with('error', 'Event not found.');
    }
}

public function association_event_report_delete($id)
{
    $asso_event=AssociationEvent::find($id)->delete();
    if($asso_event)
    {
        
    $msg_array = ['message' => 'Event Deleted Successfully!', 'alert-type' => 'success'];
} else {
    $msg_array = ['message' => 'Event Could not be Deleted!', 'alert-type' => 'error'];
}

return redirect()->route('association.event.report')->with($msg_array);
}

public function association_incharges()
{
    $staf=User::where('status','1')->get();
    return view('association.association_incharges',compact('staf'));
}
    
 public function association_incharge_get(Request $request)
 {
     $userId=$request->uid;
  
     $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
     $current_academic_year_id = $cur_acyear->ac_id;
    $associations = Associationmodel::join('users', 'add_association.user_ids', '=', 'users.user_id')
        ->where('add_association.user_ids', $userId)
        ->where('add_association.ac_id', $current_academic_year_id)
        ->select('add_association.*', 'users.name as user_name') 
        ->get();
     
    
     
 }
    
    
}
