<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Imports\BooksImport;
use App\Models\Acyear;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Books;
use App\Models\Libsubloc; 
use App\Models\Libsubcategory; 
use App\Models\Libmainloc; 
use App\Models\Libcategory;
use App\Models\MenuAccess;
use Maatwebsite\Excel\Facades\Excel;
use App\Models\Membershiptype;
use App\Models\Membership;
use App\Models\BookIssueList;
use App\Models\LibraryMemberDue;
use App\Models\LibraryMemberDueList;
use App\Models\Student;
use App\Models\User;
use App\Models\MembershipOther;
use App\Models\Promote;
use App\Models\UserType;
use App\Models\BookReservationList;
use Illuminate\Support\Facades\Auth;
class Book extends Controller
{
    public function add(){
        $acyears = Acyear::all();
        $mainlocation = Libmainloc::all();
        $category = Libcategory::all();
        $book_no = Books::max('book_no');
        $next_book_no = $book_no + 1;
        return view('books.add',compact('acyears','mainlocation','category','next_book_no'));
    }
    
    public function book_save(Request $request)
    {
         $validated = $request->validate([
            'categ_id' => 'required|numeric',
            'subcateg_id' => 'required|numeric',
            'book_no' => 'required',
            'title' => 'required',
            'mloc' => 'required|numeric',
            'subloc' => 'required|numeric',
            'condition' => 'required',
            'quantity' =>'required|numeric',
             ]);
             $ac_id = getAcyear();
             $books = Books::create([
                'date' => $request->date,
                'categ_id' => $request->categ_id,
                'subcateg_id' => $request->subcateg_id,
                'book_no' => $request->book_no,
                'title'=>$request->title,
                'language'=>$request->language,
                'author'=>$request->author,
                'publisher'=>$request->publisher,
                'volume'=>$request->volume,
                'edition'=>$request->edition,
                'mloc'=>$request->mloc,
                'subloc'=>$request->subloc,
                'condition'=>$request->condition,
                'amount'=>$request->amount,
                'year'=>$request->year,
                'isbn'=>$request->isbn,
                'ref_issue'=>$request->ref_issue,
                'awards'=>$request->awards,
                'keywords'=>$request->keywords,
                'sub_title'=>$request->sub_title,
                'sub'=>$request->sub,
                'writer2'=>$request->writer2,
                'quantity'=>$request->quantity,
                'ac_id'=>$ac_id,
            ]);
            
         if($books){
            $msg_array = array('message'=>'Books Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Books Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('book.add')->with($msg_array);    
    }
    
    public function viewdet($sid){
        
        $books = Books::find(decrypt($sid));
        
        return view('books.view_det',compact('books'));
    }
    
    
     public function view(){
        $acyears = Acyear::all();
        $mainlocation = Libmainloc::all();
        $category = Libcategory::all();
      
        
        return view('books.view',compact('category','acyears','mainlocation'));
    }
    
    
     public function edit($sid){
        
        $books = Books::find(decrypt($sid));
        $mainlocation = Libmainloc::all();
        $category = Libcategory::all();
        $subcategory = Libsubcategory::where('libcat_id',$books->categ_id)->get();
        $sublocation = Libsubloc::where('ml_id',$books->mloc)->get();
        
        return view('books.edit',compact('books','mainlocation','category','subcategory','sublocation'));
    }
    
    
     public function delete($aid){
        
        $books = Books::find(decrypt($aid));
        
        if($books){
            if($books->count() > 0){
                
                $books->delete();
                
                $msg_array = array('message'=>'Book Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Book Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('book.view')->with($msg_array);
    } 
    
    
    public function update(Request $request){
        
        $book_id = decrypt($request->book_id);
        $book_det = Books::find($book_id);
         $validated = $request->validate([
            'categ_id' => 'required|numeric',
            'subcateg_id' => 'required|numeric',
            'book_no' => 'required',
            'title' => 'required',
            'mloc' => 'required|numeric',
            'subloc' => 'required|numeric',
            'condition' => 'required',
            'quantity' => 'required|numeric',
             ]);
             $ac_id = getAcyear();
            $book_det->update([
                'date' => $request->date,
                'categ_id' => $request->categ_id,
                'subcateg_id' => $request->subcateg_id,
                'book_no' => $request->book_no,
                'title'=>$request->title,
                'language'=>$request->language,
                'author'=>$request->author,
                'publisher'=>$request->publisher,
                'volume'=>$request->volume,
                'edition'=>$request->edition,
                'mloc'=>$request->mloc,
                'subloc'=>$request->subloc,
                'condition'=>$request->condition,
                'amount'=>$request->amount,
                'year'=>$request->year,
                'isbn'=>$request->isbn,
                'ref_issue'=>$request->ref_issue,
                'awards'=>$request->awards,
                'keywords'=>$request->keywords,
                'sub_title'=>$request->sub_title,
                'sub'=>$request->sub,
                'writer2'=>$request->writer2,
                'quantity'=>$request->quantity,
                'ac_id'=>$ac_id,
            ]);
            
         if($book_det)
              {
                  $msg_array=array('message'=>'Book Details updated successfully','success');
                  
              }
              else
              {
                 $msg_array=array('message'=>'Book Details could not be updated','error'); 
              }
              return redirect()->route('book.view')->with($msg_array);    
        
    }
    
     public function getData(Request $request){
          $col_order = ['book_no','title','author','isbn','keywords','mainloc_name'];
          $total_data = Books::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          
           $categ_id = $request->get('categ_id');
           
           $query  =   Books::join('lib_book_main_location','books.mloc','=','lib_book_main_location.ml_id')->
                    join('lib_book_sub_location','books.subloc','=','lib_book_sub_location.sl_id')->
                    join('library_category','books.categ_id','=','library_category.libcat_id')->
                    join('library_subcategory','books.subcateg_id','=','library_subcategory.libsub_id');
                   
                    if($categ_id!=''){
                        $query->where('books.categ_id',$categ_id);
                    }
        if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('books.title','like','%'.$search.'%')->
                            orWhere('library_category.category_name','like','%'.$search.'%')->
                            orWhere('library_category.category_code','like','%'.$search.'%')->
                            orWhere('library_subcategory.subcategory','like','%'.$search.'%')->
                            orWhere('lib_book_main_location.mainloc_name','like','%'.$search.'%')->
                            orWhere('lib_book_sub_location.subloc_name','like','%'.$search.'%');
                        });
                    }
                   $total_filtered = $query->count();
        $books  =   $query->select('books.*','lib_book_main_location.mainloc_code','lib_book_main_location.mainloc_name','lib_book_sub_location.subloc_code','lib_book_sub_location.subloc_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
                    $view=$edit=$delete=$tc=0;
                    if(MenuAccess::have_access(542) == true){ $view=1; }
                    if(MenuAccess::have_access(541) == true){ $edit=1; }
                    if(MenuAccess::have_access(540) == true){ $delete=1; }
                   
                    $data = array();
                    if($books){
                        foreach($books as $bk){
                            $row['book_no'] = $bk->book_no;
                            $row['title'] = $bk->title;
                            $row['author'] = $bk->author;
                            $row['isbn'] = $bk->isbn;
                            $row['keywords'] = $bk->keywords;
                            $row['mloc'] = $bk->mainloc_name;
                           
                          
                            $html="";
                            
                            if($view==1){
                                $html .= '<a href="'.route('book.viewdet',encrypt($bk->id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            if($edit==1){
                                $html .= '<a href="'.route('book.edit',encrypt($bk->id)).'" title="Edit"><i class="icon-sm icon-pencil text-success"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            if($delete==1){
                                $html .= '<a href="'.route('book.delete',encrypt($bk->id)).'" title="Delete" onClick="return confirm(\'Are you sure you want to delete?\');"><i class="icon-sm icon-trash text-danger"></i></a>';
                            }
                            $row['action'] = $html;
                            
                            $data[] = $row;
                        }
                        
                    }
                    $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
     }
     
    public function upload()
     {
         
          $ac_id = getAcyear(); 
          $acyears = Acyear::all();
         return view('books.upload',compact('ac_id','acyears'));
     }
    public function downloadsample()
    {
        $file_path = public_path('uploads/books/sample.xlsx');
        return response()->download($file_path,'sample.xlsx');
       
    }
    
    public function import(Request $request)
    {
         $request->validate([
        'exl' => 'required|file|mimes:xlsx,xls',
    ]);

    try {
        Excel::import(new BooksImport, $request->file('exl'));
        
        // Success message
        $msg_array = [
            'message' => 'Book Details updated successfully',
            'success' => true,
        ];
        
        return redirect()->route('book.view')->with($msg_array);    
    } catch (\Exception $e) {
        // Handle the error and return with an error message
        $error_message = 'Error uploading book details: ' . $e->getMessage();

        return redirect()->route('book.view')->withErrors([$error_message]);
    }
    }
    
      public function issue(){
       
        $membertypes = Membershiptype::all();
        
        return view('books.issue',compact('membertypes'));
    }
    
    public function issue_save(Request $request)
    {
       $validatedData = $request->validate([
        'member_type' => 'required|integer',
        'member_id' => 'required|integer',
        'issue_date' => 'required|date',
        'return_date' => 'required|date',
        'book_id' => 'required|array',
        'book_id.*' => 'integer|distinct'
    ]);

    $member_type = $validatedData['member_type'];
    $member_id = $validatedData['member_id'];
    $issue_date = $validatedData['issue_date'];
    $return_date = $validatedData['return_date'];
    $books_array = $validatedData['book_id'];
    $mem_det = Membership::where('member_type',$member_type)->where('user_id',$member_id)->first();
        $ac_id = getAcyear();
        $i=0;
        foreach ($books_array as $book_id)
        {
            $booksissuelist = BookIssueList::create([
                'mem_det_id' => $mem_det->id,
                'member_id' => $member_id,
                'book_id' => $book_id,   
                'member_type'=> $member_type,
                'issue_date'=> $issue_date,
                'act_return_date'=> $return_date,
                'status'=> 0,
             ]);
             $i++;
        }
         if($i > 0){
            $msg_array = array('message'=>'Books Issued Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Books Could not be Issued !','alert-type'=>'error');
        }
        return redirect()->route('book.issue')->with($msg_array);    
    }
    
    public function fine(){
        $membertypes = Membershiptype::all();
        $ac_id = getAcyear();
        $finesettings = LibraryMemberDue::where('ac_id',$ac_id)->get();
        return view('books.fine_settings',compact('membertypes','finesettings','ac_id'));
    }
    
    public function fine_save(Request $request)
    {
         $validated = $request->validate([
            'member_type' => 'required|numeric',
            'fine_amount' => 'required|numeric',
            'fine_count' => 'required|numeric',
            'fine_per' => 'required',
            
             ]);
             $i=0;
             $ac_id = getAcyear();
             $existingFine = LibraryMemberDue::where('ac_id', $ac_id)->where('member_types', $request->member_type)->first();
         if (!$existingFine) {
             $finesettings = LibraryMemberDue::create([
                'member_types' => $request->member_type,
                'fine_amount' => $request->fine_amount,
                'fine_count' => $request->fine_count,
                'fine_per' => $request->fine_per,
                'ac_id'=>$ac_id,
            ]);
            $i++;
         }
         else
         {
              $existingFine->update(['fine_amount' => $request->fine_amount,'fine_count' => $request->fine_count,'fine_per' => $request->fine_per]); 
               $i++;
         }
         if($i > 0){
            $msg_array = array('message'=>'Fine Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Fine Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('book.fine')->with($msg_array);    
    }
    
     public function fine_delete($aid){
        
        $finesettings = LibraryMemberDue::find(decrypt($aid));
        
        if($finesettings){
            if($finesettings->count() > 0){
                
                $finesettings->delete();
                
                $msg_array = array('message'=>'Fine Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Fine Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('book.fine')->with($msg_array);
    } 
    
     public function fine_payment(){
        $membertypes = Membershiptype::all();
        $ac_id = getAcyear();
        $finesettings = LibraryMemberDue::where('ac_id',$ac_id)->get();
        return view('books.fine_payment',compact('membertypes','finesettings','ac_id'));
    }
    
    public function fine_payment_get(Request $request){ 
        $member_type =   $request->get('member_type');
        $member_id =   $request->get('member_id');
        $pay_date = $request->get('pay_date');
        $bill_no = LibraryMemberDueList::max('bill_no');
        $next_bill_no = $bill_no + 1;
        $balanceDue = 0;
        $dueRecord = LibraryMemberDueList::where('member_id', $member_id)->where('member_type_id', $request->member_type)->where('pay_date', '<=', $pay_date)->orderBy('id', 'DESC')->first();
        if ($dueRecord) 
        {
            $balanceDue = $dueRecord->balance_amount;
        }
   return view('books.fine_due',compact('member_type','member_id','next_bill_no','balanceDue'));
   
    
    }
    
    public function fine_payment_save(Request $request)
    {
         $validated = $request->validate([
            'member_type' => 'required|numeric',
            'member_id' => 'required|numeric',
            'pay_date' => 'required',
            'bill_no' => 'required|numeric',
            'amount' => 'required',
            'remark' => 'required',
             ]);
             $i=0;
             $ac_id = getAcyear();
             
             $bill_no = LibraryMemberDueList::max('bill_no');
            $next_bill_no = $bill_no + 1;
            $pay_date = $request->pay_date;
            $member_id = $request->member_id;
            $amount_collected = $request->amount;
            $mem_det = Membership::where('member_type',$request->member_type)->where('user_id',$member_id)->first();
            $balanceDue = 0;
            $dueRecord = LibraryMemberDueList::where('member_id', $member_id)->where('member_type_id', $request->member_type)->where('pay_date', '<=', $pay_date)->orderBy('id', 'DESC')->first();
            if ($dueRecord) 
            {
                $balanceDue = $dueRecord->balance_amount;
            }
            $balance_amount = $balanceDue-$amount_collected;
            if($balanceDue >= $amount_collected){
             $finesettings = LibraryMemberDueList::create([
                'bill_no' => $next_bill_no,
                'member_type_id'=>$request->member_type,
                'member_id' => $member_id,
                'pay_date' => $pay_date,
                'paid_amount' => $amount_collected,
                'balance_amount' => $balance_amount,
                'remarks'=>$request->remark,
                'memdet_id'=>$mem_det->id,
                'ac_id'=>$ac_id,
            ]);
            $i++;
            }
         
         if($i > 0){
            $msg_array = array('message'=>'Due Paided Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Due Could not be Paid !','alert-type'=>'error');
        }
        return redirect()->route('book.fine.payment')->with($msg_array);    
    }
    
    public function fine_paid_report(){
        
        $ac_id = getAcyear();
        $finerep = LibraryMemberDueList::where('ac_id',$ac_id)->get();
        return view('books.fine_paid_report',compact('finerep','ac_id'));
    }
    
   
      public function fine_print($id)
     { 
         $ins_det = instituteDetails();
         $fine_det=LibraryMemberDueList::where('id',$id)->first();
         $member_det = Membership::where('user_id',$fine_det->member_id)->where('member_type',$fine_det->member_type_id)->first();
         $membership_no = $member_det->memb_no;
         $member_name='';
         if ($fine_det->member_type_id == 2) { 
                            $mem_det = Student::where('student_id',$fine_det->member_id)->first();
                            $member_name = $mem_det->name;
                        } elseif ($fine_det->member_type_id == 1) { 
                            $mem_det = User::where('user_id',$fine_det->member_id)->first();
                            $member_name = $mem_det->name;
                        }elseif ($fine_det->member_type_id == 5) { 
                            $mem_det = MembershipOther::where('id',$fine_det->member_id)->first();
                            $member_name = $mem_det->name;
                        }
         $ac_id = getAcyear();
         return view('books.fine_print',compact('fine_det','ins_det','ac_id','member_name','membership_no'));
     }
    
    public function getFineData(Request $request){
         $col_order = ['bill_no','pay_date','paid_amount','memb_no','member_id','member_type_id'];
          $total_data = LibraryMemberDueList::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          
          $fdate = $request->get('fdate');
           $tdate = $request->get('tdate');
             $query = LibraryMemberDueList::query()
        ->join('lib_membership_type', 'library_members_due_list.member_type_id', '=', 'lib_membership_type.mmbrtyp_id')
        ->join('member_details', 'library_members_due_list.memdet_id', '=', 'member_details.id');

            if($fdate!=''){
                        $query->where('library_members_due_list.pay_date','>=',$fdate);
                    }
                    if($tdate!=''){
                        $query->where('library_members_due_list.pay_date','<=',$tdate);
                    }   
                    
             if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('library_members_due_list.pay_date','like','%'.$search.'%')->
                            orWhere('library_members_due_list.bill_no','like','%'.$search.'%')->
                            orWhere('lib_membership_type.member_type','like','%'.$search.'%')->
                            orWhere('member_details.memb_no','like','%'.$search.'%');
                        });
                    }  
             $total_filtered = $query->count();
              $duelist  =   $query->select('library_members_due_list.*','lib_membership_type.member_type','member_details.memb_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
                   
                   $data = array();
                     if($duelist){ $i=0;
                        foreach($duelist as $duel){ $i++;
                        $member_name = null;

                        if ($duel->member_type_id == 2) { 
                            $mem_det = Student::where('student_id',$duel->member_id)->first();
                            $member_name = $mem_det->name;
                        } elseif ($duel->member_type_id == 1) { 
                            $mem_det = User::where('user_id',$duel->member_id)->first();
                            $member_name = $mem_det->name;
                        }elseif ($duel->member_type_id == 5) { 
                            $mem_det = MembershipOther::where('id',$duel->member_id)->first();
                            $member_name = $mem_det->name;
                        }
                            $row['sno'] = $i;
                            $row['bill_no'] = $duel->bill_no;
                            $row['pay_date'] = date('d-m-Y',strtotime($duel->pay_date));
                            $row['paid_amount'] = $duel->paid_amount;
                            $row['memb_no'] = $duel->memb_no;
                            
                            $row['member_id'] = $member_name ;
                            $row['member_type'] = $duel->member_type;
                           
                            $html="";
                            $html .= '<a href="'.route('book.fine.print',['id' => $duel->id]).'" title="Print" target="_blank"><i class="fas fa-print fa-fw text-success"></i></a>&nbsp;&nbsp;&nbsp;';

                            $row['action'] = $html;
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);   
    }
    
      public function return(){
       
        $membertypes = Membershiptype::all();
        
        return view('books.return',compact('membertypes'));
    }
    public function return_get(Request $request){ 
        
        $member_type =   $request->get('member_type');
        $member_id =   $request->get('member_id');
        $return_date = $request->get('return_date');
        $bill_no = LibraryMemberDueList::max('bill_no');
        $next_bill_no = $bill_no + 1;
        $bookvalidityperiod = Membershiptype::where('mmbrtyp_id',$member_type)->first();
        $bookissuelist = BookIssueList::where('member_type',$member_type)->where('member_id',$member_id)->where('status',0)->get();
        return view('books.return_get',compact('member_type','member_id','bookissuelist','return_date','next_bill_no','bookvalidityperiod'));
   
    
    }
    public function return_save(Request $request)
    {
        $member_type = $request->member_type;
        $member_id = $request->member_id;
        $returning_date = $request->return_date;
        $bill_no = LibraryMemberDueList::max('bill_no');
        $next_bill_no = $bill_no + 1;
        $ac_id = getAcyear();
        $i=0;$fine_amount=$amount_collected=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                
                
                $check = BookIssueList::where([
                    'member_type' => $member_type,
                    'member_id' => $member_id,
                    'id' => $ids
                  
                ])->first();
              
                 if($check)
                 {
                    $amount_collected += $request->input("paid_amount".$ids); 
                    $fine_amount += $request->input("fine_amount".$ids);
                   
                   
                   
                     $check->update([
                        'returning_date' => $returning_date,   
                        'status' => 1,
                      
                    ]);
                    $i++;
                 }
            }
            
             $balance_amount = $fine_amount - $amount_collected;
           $mem_det = Membership::where('member_type',$member_type)->where('user_id',$member_id)->first();   
                    if($fine_amount > 0){
                     $finesettings = LibraryMemberDueList::create([
                        'bill_no' => $next_bill_no,
                        'member_type_id'=>$member_type,
                        'member_id' => $member_id,
                        'pay_date' => $returning_date,
                        'paid_amount' => $amount_collected,
                        'balance_amount' => $balance_amount,
                        'remarks'=>$request->remarks,
                        'memdet_id'=>$mem_det->id,
                        'ac_id'=>$ac_id,
                    ]);
                    } 
            
        }
          if($i > 0){
            $msg_array = array('message'=>'Books returned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Books Could not be returned !','alert-type'=>'error');
        }
        return redirect()->route('book.return')->with($msg_array);
    }
     
     public function renewal(){
       
        $membertypes = Membershiptype::all();
        
        return view('books.renewal',compact('membertypes'));
    }
    public function renewal_get(Request $request){ 
        
        $member_type =   $request->get('member_type');
        $member_id =   $request->get('member_id');
        $renew_date = $request->get('renew_date');
        
        $bookissuelist = BookIssueList::where('member_type',$member_type)->where('member_id',$member_id)->where('status',0)->get();
        return view('books.renewal_get',compact('member_type','member_id','bookissuelist','renew_date'));
   
    
    }
    
    public function renewal_save(Request $request)
    {
        $member_type = $request->member_type;
        $member_id = $request->member_id;
        $renew_date = $request->renew_date;
        
        $ac_id = getAcyear();
        $i=0;$fine_amount=$amount_collected=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                 $check = BookIssueList::where([
                    'member_type' => $member_type,
                    'member_id' => $member_id,
                    'id' => $ids
                  
                ])->first();
                if($check)
                 {
                     
                     $check->update([
                        'act_return_date' => $renew_date,   
                        
                      
                    ]);
                    $i++;
                 }
            }
        }
       if($i > 0){
            $msg_array = array('message'=>'Books renew Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Books Could not be renew !','alert-type'=>'error');
        }
        return redirect()->route('book.renewal')->with($msg_array); 
    }
    
    public function search()
    {
       
        $books=Books::all();
    
    
    
        return view('books.search',compact('books'));
    
    }
    
    public function search_view($sid){
        
        $books = Books::find(decrypt($sid));
        $mainlocation = Libmainloc::all();
        $category = Libcategory::all();
        $subcategory = Libsubcategory::where('libcat_id',$books->categ_id)->get();
        $sublocation = Libsubloc::where('ml_id',$books->mloc)->get();
        
        return view('books.search_view',compact('books','mainlocation','category','subcategory','sublocation'));
    }
    
      
    public function search_get(Request $request)
    {
        $col_order = ['book_no','title','author','quantity','categ_id','mloc'];
        $total_data = Books::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $searchs = $request->get('searchterm');
        
         $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
        $query  =   Books::join('library_category','books.categ_id','=','library_category.libcat_id')->
                    join('library_subcategory','books.subcateg_id','=','library_subcategory.libsub_id')->
                    join('lib_book_main_location','books.mloc','=','lib_book_main_location.ml_id') ->
                    join('lib_book_sub_location','books.subloc','=','lib_book_sub_location.sl_id');
        if ($searchs != '') 
        {
            $query->where(function ($query) use ($searchs) {
            $query->where('books.title', 'like',  $searchs . '%')
                              ->orWhere('books.book_no', 'like', $searchs . '%')
                               ->orWhere('books.keywords', 'like', $searchs . '%')
                              ->orWhere('books.author', 'like',$searchs . '%');
                    });
        }
        
         if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('title','like','%'.$search.'%')->
                    orWhere('book_no','like','%'.$search.'%')->
                    orWhere('author','like','%'.$search.'%')->
                    orWhere('condition','like','%'.$search.'%')->
                    orWhere('keywords','like','%'.$search.'%')->
                    orWhere('quantity','like','%'.$search.'%')->
                    orWhere('ref_issue','like','%'.$search.'%')->
                    orWhere('isbn','like','%'.$search.'%');
                        });
                    }
                    
        $query->select('books.*','lib_book_main_location.mainloc_name','library_category.category_name');
                    
         $total_filtered = $query->count();
         $books  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $view=0;
        if(MenuAccess::have_access(209) == true){ $view=1; }
       
        
        $data = array();
        if($books){
            foreach($books as $bks){
                $row['book_no'] = $bks->book_no;
                $row['title'] = $bks->title;
                $row['author'] = $bks->author;
                $row['quantity'] = $bks->quantity;
                $row['category_name'] = $bks->category_name;
                $row['mainloc_name'] = $bks->mainloc_name;
                
                $html='';
                
                if($view==1){
                    $html .= '<a href="'.route('book.search.view',encrypt($bks->id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
                   
    }
    
     public function search_update(Request $request){
        
        $book_id = decrypt($request->book_id);
        $book_det = Books::find($book_id);
         $validated = $request->validate([
            'categ_id' => 'required|numeric',
            'subcateg_id' => 'required|numeric',
            'book_no' => 'required',
            'title' => 'required',
            'mloc' => 'required|numeric',
            'subloc' => 'required|numeric',
            'condition' => 'required',
            'quantity' => 'required|numeric',
             ]);
             $ac_id = getAcyear();
            $book_det->update([
                'date' => $request->date,
                'categ_id' => $request->categ_id,
                'subcateg_id' => $request->subcateg_id,
                'book_no' => $request->book_no,
                'title'=>$request->title,
                'language'=>$request->language,
                'author'=>$request->author,
                'publisher'=>$request->publisher,
                'volume'=>$request->volume,
                'edition'=>$request->edition,
                'mloc'=>$request->mloc,
                'subloc'=>$request->subloc,
                'condition'=>$request->condition,
                'amount'=>$request->amount,
                'year'=>$request->year,
                'isbn'=>$request->isbn,
                'ref_issue'=>$request->ref_issue,
                'awards'=>$request->awards,
                'keywords'=>$request->keywords,
                'sub_title'=>$request->sub_title,
                'sub'=>$request->sub,
                'writer2'=>$request->writer2,
                'quantity'=>$request->quantity,
                'ac_id'=>$ac_id,
            ]);
            
         if($book_det)
              {
                  $msg_array=array('message'=>'Book Details updated successfully','success');
                  
              }
              else
              {
                 $msg_array=array('message'=>'Book Details could not be updated','error'); 
              }
              return redirect()->route('book.search')->with($msg_array);    
        
    } 
    
    public function issue_report(){
        $acyears = Acyear::all();
        $mainlocation = Libmainloc::all();
        $category = Libcategory::all();
      
        
        return view('books.issue_report',compact('category','acyears','mainlocation'));
    }
    
    public function issue_report_get(Request $request)
    {
          $col_order = ['issue_date','mem_det_id','member_id','member_type','book_no','title','act_return_date','returning_date'];
          $total_data = BookIssueList::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
           $from_date = $request->get('from_date');
           $to_date = $request->get('to_date');
           
            $query  =   BookIssueList::join('member_details','book_issue_list.mem_det_id','=','member_details.id')->
                    join('lib_membership_type','book_issue_list.member_type','=','lib_membership_type.mmbrtyp_id')->
                    join('books','book_issue_list.book_id','=','books.id');
                    $query->where('member_details.status',1);
            if($from_date!=''){
                        $query->where('book_issue_list.issue_date','>=',$from_date);
                    }
                    if($to_date!=''){
                        $query->where('book_issue_list.issue_date','<=',$to_date);
                    }
           
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('issue_date','like','%'.$search.'%')->
                            orWhere('title','like','%'.$search.'%')->
                            orWhere('book_no','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_issue_list.*','member_details.memb_no','lib_membership_type.member_type as memtype','books.title','books.book_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
              $data = array();
                if($bookissuelist){
                        foreach($bookissuelist as $bkissue){
                            
                            $member_name = $member_detls = null;

                            if ($bkissue->member_type == 2) { 
                                $mem_det = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.student_id'=>$bkissue->member_id))->select('students.*','promotes.semester_id as sem_id')->first();

                                //$mem_det = Student::where('student_id',$bkissue->member_id)->first();
                                $mem_crs = Course::where('course_id',$mem_det->course_id)->first();
                                
                                $mem_sem = Semester::where('semester_id',$mem_det->sem_id)->first();
                               
                                $member_detls = $mem_crs->course_name.'-'.$mem_sem->semester_name;
                                $member_name = $mem_det->name;
                            } elseif ($bkissue->member_type == 1) { 
                                $mem_det = User::where('user_id',$bkissue->member_id)->first();
                                $member_name = $mem_det->name;
                                $mem_desig = UserType::where('type_id',$mem_det->type_id)->first();
                                $member_detls = $mem_det->employee_id_num.'-'.$mem_desig->type_name;
                            }elseif ($bkissue->member_type == 5) { 
                                $mem_det = MembershipOther::where('id',$bkissue->member_id)->first();
                                $member_name = $mem_det->name;
                                $member_detls =$mem_det->contact_no.'-'.$mem_det->address;
                            }
                            
                            
                            $row['issue_date'] = date('d-m-Y',strtotime($bkissue->issue_date));
                            $row['mem_det_id'] = $bkissue->memb_no;
                            $row['member_id'] = $member_name;
                            $row['member_type'] = $member_detls;
                            $row['book_no'] = $bkissue->book_no;
                            $row['title'] = $bkissue->title;
                            $row['act_return_date'] = date('d-m-Y',strtotime($bkissue->act_return_date));
                            if($bkissue->returning_date !='')
                            {
                            $row['returning_date'] = date('d-m-Y',strtotime($bkissue->returning_date));
                            }
                            else
                            {
                                $row['returning_date'] = $bkissue->returning_date;
                            }
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);      
           
    }
     
    public function due_report(){
        $acyears = Acyear::all();
        $membertypes = Membershiptype::all();
        $courses = Course::all();
        
        return view('books.due_report',compact('acyears','membertypes','courses'));
    }
    
    public function due_report_get(Request $request)
    {
          $col_order = ['mem_det_id','member_id','title','author','act_return_date','returning_date','amount'];
          $total_data = BookIssueList::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          $member_type = $request->get('member_type');
          $to_date = $request->get('to_date');
          $course = $request->get('course');
          $semester_id = $request->get('semester_id');
          if($member_type == 2)
          {
              $query  =   BookIssueList::join('member_details','book_issue_list.mem_det_id','=','member_details.id')->
                    join('lib_membership_type','book_issue_list.member_type','=','lib_membership_type.mmbrtyp_id')->
                    join('books','book_issue_list.book_id','=','books.id')->
                    join('promotes','book_issue_list.member_id','=','promotes.student_id');
                    $query->where('book_issue_list.status',0);
                    $query->where('promotes.course_id',$course);
                    $query->where('promotes.semester_id',$semester_id);
                    $query->where('promotes.ac_id',$ac_id);
              
          }
          else
          {
           $query  =   BookIssueList::join('member_details','book_issue_list.mem_det_id','=','member_details.id')->
                    join('lib_membership_type','book_issue_list.member_type','=','lib_membership_type.mmbrtyp_id')->
                    join('books','book_issue_list.book_id','=','books.id');
                    $query->where('book_issue_list.status',0);
          }
            if($member_type!=''){
                        $query->where('book_issue_list.member_type',$member_type);
                    }
         if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('memb_no','like','%'.$search.'%')->
                            orWhere('title','like','%'.$search.'%')->
                            orWhere('book_no','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
       
             $bookissuelist  =   $query->select('book_issue_list.*','member_details.memb_no','lib_membership_type.member_type as memtype','books.title','books.author')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();  
        
        $data = array();       
        if($bookissuelist){
                        foreach($bookissuelist as $bkissue){ 
                            $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $to_date,$bkissue->id);
                            $member_name = $member_detls = null;

                            if ($bkissue->member_type == 2) { 
                                $mem_det = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.student_id'=>$bkissue->member_id))->select('students.*','promotes.semester_id as sem_id')->first();

                                //$mem_det = Student::where('student_id',$bkissue->member_id)->first();
                                $mem_crs = Course::where('course_id',$mem_det->course_id)->first();
                                
                                $mem_sem = Semester::where('semester_id',$mem_det->sem_id)->first();
                               
                                $member_detls = $mem_crs->course_name.'-'.$mem_sem->semester_name;
                                $member_name = $mem_det->name;
                            } elseif ($bkissue->member_type == 1) { 
                                $mem_det = User::where('user_id',$bkissue->member_id)->first();
                                $member_name = $mem_det->name;
                                $mem_desig = UserType::where('type_id',$mem_det->type_id)->first();
                                $member_detls = $mem_det->employee_id_num.'-'.$mem_desig->type_name;
                            }elseif ($bkissue->member_type == 5) { 
                                $mem_det = MembershipOther::where('id',$bkissue->member_id)->first();
                                $member_name = $mem_det->name;
                                $member_detls =$mem_det->contact_no.'-'.$mem_det->address;
                            }
                            
                            
                            
                            $row['mem_det_id'] = $bkissue->memb_no;
                            $row['member_id'] = $member_name;
                            
                            
                            $row['title'] = $bkissue->title;
                            $row['author'] = $bkissue->author;
                            $row['act_return_date'] = date('d-m-Y',strtotime($bkissue->act_return_date));
                            $row['due_days'] = $fineInfo['total_due_days'];
                            $row['amount'] = $fineInfo['fine_amount'];
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);      
    
    }
   
    public function member_report(){
        $acyears = Acyear::all();
        $membertypes = Membershiptype::all();
      
        
        return view('books.member_report',compact('acyears','membertypes'));
    }
    
     public function member_report_get(Request $request)
    {
          $col_order = ['mem_det_id','member_id','title','author','act_return_date','returning_date','amount'];
          $total_data = BookIssueList::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          $member_type = $request->get('member_type');
          $to_date = $request->get('to_date');
          $member_id = $request->get('member_id');
         
            
          $query  =   BookIssueList::join('member_details','book_issue_list.mem_det_id','=','member_details.id')->
                    join('lib_membership_type','book_issue_list.member_type','=','lib_membership_type.mmbrtyp_id')->
                    join('books','book_issue_list.book_id','=','books.id');
                    if($member_id !='')
                    {
                        $query->where('book_issue_list.member_id',$member_id);
                    }
                    if($member_type !='')
                    {
                        $query->where('book_issue_list.member_type',$member_type);
                    }
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('memb_no','like','%'.$search.'%')->
                            orWhere('title','like','%'.$search.'%')->
                            orWhere('book_no','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_issue_list.*','member_details.memb_no','lib_membership_type.member_type as memtype','books.title','books.book_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
            $data = array();       
        if($bookissuelist){
                        foreach($bookissuelist as $bkissue){ 
                            $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $to_date,$bkissue->id);
                            $member_name = $member_detls = null;

                            if ($bkissue->member_type == 2) { 
                                $mem_det = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.student_id'=>$bkissue->member_id))->select('students.*','promotes.semester_id as sem_id')->first();

                                $mem_crs = Course::where('course_id',$mem_det->course_id)->first();
                                
                                $mem_sem = Semester::where('semester_id',$mem_det->sem_id)->first();
                               
                                $member_detls = $mem_crs->course_name.'-'.$mem_sem->semester_name;
                                $member_name = $mem_det->name;
                            } elseif ($bkissue->member_type == 1) { 
                                $mem_det = User::where('user_id',$bkissue->member_id)->first();
                                $member_name = $mem_det->name;
                                $mem_desig = UserType::where('type_id',$mem_det->type_id)->first();
                                $member_detls = $mem_det->employee_id_num.'-'.$mem_desig->type_name;
                            }elseif ($bkissue->member_type == 5) { 
                                $mem_det = MembershipOther::where('id',$bkissue->member_id)->first();
                                $member_name = $mem_det->name;
                                $member_detls =$mem_det->contact_no.'-'.$mem_det->address;
                            }
                            

                            $row['issue_date'] = $bkissue->issue_date;
                            $row['book_no'] = $bkissue->book_no;
                            
                            
                            $row['title'] = $bkissue->title;
                           
                            $row['act_return_date'] = date('d-m-Y',strtotime($bkissue->act_return_date));
                            if($bkissue->returning_date !='')
                            {
                                $row['returning_date'] = date('d-m-Y',strtotime($bkissue->returning_date));
                            }
                            else
                            {
                                $row['returning_date'] =$bkissue->returning_date;
                            }
                            $row['due_days'] = $fineInfo['total_due_days'];
                            $row['due_amount'] = $fineInfo['fine_amount'];
                            if($bkissue->status == 0)
                            { $status="Issued";
                            $row['status'] = '<font color="blue">'.$status.'</font>';
                            }
                            else if($bkissue->status == 1)
                            {
                                $status="Returned";
                                $row['status'] = '<font color="green">'.$status.'</font>';
                            }
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);      
    
         
    }
    
     public function stock_report(){
        $acyears = Acyear::all();
        $membertypes = Membershiptype::all();
      
        
        return view('books.stock_report',compact('acyears','membertypes'));
    }
    
     public function stock_report_get(Request $request)
    {
          $col_order = ['book_no','title','category','location','author'];
          $total_data = Books::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
         
          $from_date = $request->get('from_date');
           $query  =   Books::join('library_category','books.categ_id','=','library_category.libcat_id')->
           join('lib_book_main_location','books.mloc','=','lib_book_main_location.ml_id');
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('book_no','like','%'.$search.'%')->
                            orWhere('title','like','%'.$search.'%')->
                            orWhere('quantity','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
            $booklist  =   $query->select('books.*','library_category.category_code','library_category.category_name','lib_book_main_location.mainloc_code','lib_book_main_location.mainloc_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
            $data = array();  
             if($booklist){
                        foreach($booklist as $bk){ 
                            $available_qty=0;
                            $issued_qty  =   BookIssueList::where('book_id',$bk->id)->where('status',0)->where('issue_date','<=',$from_date)->count();
                            if($issued_qty > $bk->quantity)
                            {
                                $available_qty=$issued_qty-$bk->quantity;
                            }
                            else
                            {
                                $available_qty=$bk->quantity-$issued_qty;
                            }
                            $row['book_no'] = $bk->book_no;
                            $row['title'] = $bk->title;
                            $row['category'] = $bk->category_name;
                            $row['location'] = $bk->mainloc_name;
                            $row['author'] = $bk->author;
                            $row['tot_quantity'] = $bk->quantity;
                            $row['issued_qty'] = $issued_qty;
                            $row['available_qty'] = $available_qty;
                           
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);      
    }
    
    public function reservation_det($sid){
        
        $bookreservation = BookReservationList::find(decrypt($sid));
         $member_name = '';
    $member_detls = '';
$ac_id = getAcyear();
    if ($bookreservation->member_type == 2) { // Student
        $mem_det = Promote::join('students', 'promotes.student_id', '=', 'students.student_id')
            ->where(['promotes.ac_id' => $ac_id, 'promotes.student_id' => $bookreservation->member_id])
            ->select('students.*', 'promotes.semester_id as sem_id')
            ->first();
        
       
        $member_name = $mem_det->name;

    } elseif ($bookreservation->member_type == 1) { // Employee
        $mem_det = User::where('user_id', $bookreservation->member_id)->first();
        $member_name = $mem_det->name;
        $mem_desig = UserType::where('type_id', $mem_det->type_id)->first();
        $member_detls = $mem_det->employee_id_num . '-' . $mem_desig->type_name;

    } elseif ($bookreservation->member_type == 5) { // Other Members
        $mem_det = MembershipOther::where('id', $bookreservation->member_id)->first();
        $member_name = $mem_det->name;
        $member_detls = $mem_det->contact_no . '-' . $mem_det->address;
    }
    if($bookreservation->lib_status == 0)
    {
    $issue_date =date('Y-m-d');
    $mperiod = Membershiptype::where('mmbrtyp_id',$bookreservation->member_type)->first();
            $validity_periods = $mperiod->valid_period;
            $return_time = strtotime($issue_date)+($validity_periods*86400);
	        $return_date = date('Y-m-d', $return_time);
    }
    else
    {
        $issue_date =$bookreservation->lib_updated_on;
        $return_date =$bookreservation->return_date;
    }
        return view('books.reservation_view_det',compact('bookreservation','member_name','return_date','issue_date'));
    }
    
    
    public function reservation_pending(){
        $acyears = Acyear::all();
        $bookreservationlist = BookReservationList::where('lib_status',0);
        
        
        return view('books.reservation_pending',compact('acyears','bookreservationlist'));
    }
    
     public function reservation_pending_get(Request $request)
    {
          $col_order = ['date','book_id'];
          $total_data = BookReservationList::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          
          $from_date = $request->get('from_date');
          $to_date = $request->get('to_date');
          
           $query  =   BookReservationList::join('books','book_reservation_list.book_id','=','books.id')->
           join('library_category','books.categ_id','=','library_category.libcat_id')->
           join('member_details','book_reservation_list.mem_det_id','=','member_details.id')->
           join('lib_membership_type','book_reservation_list.member_type','=','lib_membership_type.mmbrtyp_id')->
           join('lib_book_main_location','books.mloc','=','lib_book_main_location.ml_id');
            $query->where('book_reservation_list.lib_status','0');
            if($from_date !='')
                    {
                        $query->where('book_reservation_list.date','>=',$from_date);
                    }
                    if($to_date !='')
                    {
                        $query->where('book_reservation_list.date','<=',$to_date);
                    }
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('books.book_no','like','%'.$search.'%')->
                            orWhere('books.title','like','%'.$search.'%')->
                            orWhere('member_details.memb_no','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_reservation_list.*','books.book_no','books.title','member_details.memb_no','lib_membership_type.member_type as mem_type_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
                    $view=$approve=$reject=0;
                    if(MenuAccess::have_access(583) == true){ $view=1; }
                    if(MenuAccess::have_access(579) == true){ $approve=1; }
                    if(MenuAccess::have_access(582) == true){ $reject=1; }
            $data = array();  
            if($bookissuelist){
                        foreach($bookissuelist as $bk){ 
                           $member_name = $member_detls = null;

                            if ($bk->member_type == 2) { 
                                $mem_det = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.student_id'=>$bk->member_id))->select('students.*','promotes.semester_id as sem_id')->first();

                                //$mem_det = Student::where('student_id',$bk->member_id)->first();
                                $mem_crs = Course::where('course_id',$mem_det->course_id)->first();
                                
                                $mem_sem = Semester::where('semester_id',$mem_det->sem_id)->first();
                               
                                $member_detls = $mem_crs->course_name.'-'.$mem_sem->semester_name;
                                $member_name = $mem_det->name;
                            } elseif ($bk->member_type == 1) { 
                                $mem_det = User::where('user_id',$bk->member_id)->first();
                                $member_name = $mem_det->name;
                                $mem_desig = UserType::where('type_id',$mem_det->type_id)->first();
                                $member_detls = $mem_det->employee_id_num.'-'.$mem_desig->type_name;
                            }elseif ($bk->member_type == 5) { 
                                $mem_det = MembershipOther::where('id',$bk->member_id)->first();
                                $member_name = $mem_det->name;
                                $member_detls =$mem_det->contact_no.'-'.$mem_det->address;
                            }
                            $row['member_type'] = $bk->mem_type_name;
                            $row['date'] = date('d-m-Y',strtotime($bk->date));
                            $row['membershipno'] = $bk->memb_no;
                            $row['Membername'] = $member_name;
                            $row['book_no'] = $bk->book_no;
                            $row['title'] = $bk->title;
                           
                            $html=$html1=$html2="";
                            if($approve==1){
                                $html1 .= '<a href="javascript:void(0)" class="approve-btn" data-id="'.encrypt($bk->id).'" title="Approve"><i class="far fa-check-circle text-success"></i></a>&nbsp;&nbsp;&nbsp;';

                            }
                            $row['approve'] = $html1;
                            if($reject==1){
                                $html2 .= '<a href="javascript:void(0)" class="reject-btn" data-id="'.encrypt($bk->id).'" title="Reject"><i class="fas fa-times-circle text-danger"></i></a>&nbsp;&nbsp;&nbsp;';                            }
                            $row['reject'] = $html2;
                            if($view==1){
                                $html .= '<a href="'.route('book.reservation.view.det',encrypt($bk->id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            
                            $row['action'] = $html;
                            
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);    
    }
    
  /* public function reservation_approveup($aid, Request $request){
        
        $reservation = BookReservationList::find(decrypt($aid));
        
        if($reservation){
            if($reservation->count() > 0){
                $reservation->update([

              
              'lib_status'=>1,
              ]);
                $msg_array = array('message'=>'Book Reservation Approved Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Book Reservation Could not be Approved !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('book.reservation.pending')->with($msg_array);
    }*/
     public function reservation_approveup($id, Request $request)
{
    $reservation = BookReservationList::findOrFail(decrypt($id));

    
    $reservation->lib_updated_on = $request->return_date;
    $reservation->remark = $request->remark;
    $reservation->lib_status = 1; // Set the status to approved
     $mperiod = Membershiptype::where('mmbrtyp_id',$reservation->member_type)->first();
            $validity_periods = $mperiod->valid_period;
            $return_time = strtotime($request->return_date)+($validity_periods*86400);
	        $return_date1 = date('Y-m-d', $return_time);
	        $reservation->return_date = $return_date1;
    $reservation->save();
    $check = BookIssueList::where([
                    'mem_det_id' => $reservation->mem_det_id,'member_id' => $reservation->member_id,'book_id' => $reservation->book_id,'member_type'=> $reservation->member_type,'status'=> 0
                    ])->first();
           if (is_null($check)) 
           {   
      $booksissuelist = BookIssueList::create([
                'mem_det_id' => $reservation->mem_det_id,
                'member_id' => $reservation->member_id,
                'book_id' => $reservation->book_id,   
                'member_type'=> $reservation->member_type,
                'issue_date'=> $request->return_date,
                'act_return_date'=> $return_date1,
                'status'=> 0,
             ]);
}
   return response()->json([
        'success' => true,
        'message' => 'Reservation successfully approved!'
    ]);
} 
    public function reservation_approve(){
        $acyears = Acyear::all();
        $bookreservationlist = BookReservationList::where('lib_status',1);
      
        
        return view('books.reservation_approve',compact('acyears','bookreservationlist'));
    }
    
     public function reservation_approve_get(Request $request)
    {
          $col_order = ['date','book_id'];
          $total_data = BookReservationList::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          
          $from_date = $request->get('from_date');
          $to_date = $request->get('to_date');
          
           $query  =   BookReservationList::join('books','book_reservation_list.book_id','=','books.id')->
           join('library_category','books.categ_id','=','library_category.libcat_id')->
           join('member_details','book_reservation_list.mem_det_id','=','member_details.id')->
           join('lib_book_main_location','books.mloc','=','lib_book_main_location.ml_id');
            $query->where('book_reservation_list.lib_status','1');
            if($from_date !='')
                    {
                        $query->where('book_reservation_list.date','>=',$from_date);
                    }
                    if($to_date !='')
                    {
                        $query->where('book_reservation_list.date','<=',$to_date);
                    }
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('books.book_no','like','%'.$search.'%')->
                            orWhere('books.title','like','%'.$search.'%')->
                            orWhere('member_details.memb_no','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_reservation_list.*','books.book_no','books.title','member_details.memb_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
                    $view=$approve=0;
                    if(MenuAccess::have_access(542) == true){ $view=1; }
                     
            $data = array();  
            if($bookissuelist){
                        foreach($bookissuelist as $bk){ 
                           $member_name = $member_detls = null;

                            if ($bk->member_type == 2) { 
                                $mem_det = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.student_id'=>$bk->member_id))->select('students.*','promotes.semester_id as sem_id')->first();

                                //$mem_det = Student::where('student_id',$bk->member_id)->first();
                                $mem_crs = Course::where('course_id',$mem_det->course_id)->first();
                                
                                $mem_sem = Semester::where('semester_id',$mem_det->sem_id)->first();
                               
                                $member_detls = $mem_crs->course_name.'-'.$mem_sem->semester_name;
                                $member_name = $mem_det->name;
                            } elseif ($bk->member_type == 1) { 
                                $mem_det = User::where('user_id',$bk->member_id)->first();
                                $member_name = $mem_det->name;
                                $mem_desig = UserType::where('type_id',$mem_det->type_id)->first();
                                $member_detls = $mem_det->employee_id_num.'-'.$mem_desig->type_name;
                            }elseif ($bk->member_type == 5) { 
                                $mem_det = MembershipOther::where('id',$bk->member_id)->first();
                                $member_name = $mem_det->name;
                                $member_detls =$mem_det->contact_no.'-'.$mem_det->address;
                            }
                            $row['date'] = date('d-m-Y',strtotime($bk->date));
                            $row['membershipno'] = $bk->memb_no;
                            $row['Membername'] = $member_name;
                            $row['book_no'] = $bk->book_no;
                            $row['title'] = $bk->title;
                           
                            $html="";
                            
                            if($view==1){
                                $html .= '<a href="'.route('book.reservation.view.det',encrypt($bk->id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            
                           
                            $row['action'] = $html;
                            
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);    
    }
    public function reservation_rejectup($aid){
        
        $reservation = BookReservationList::find(decrypt($aid));
        
        if($reservation){
            if($reservation->count() > 0){
                $reservation->update([

              
              'lib_status'=>2,
              ]);
                $msg_array = array('message'=>'Book Reservation Rejected Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Book Reservation Could not be Rejected !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('book.reservation.pending')->with($msg_array);
    } 
    public function reservation_reject(){
        $acyears = Acyear::all();
        $bookreservationlist = BookReservationList::where('lib_status',2);
      
        
        return view('books.reservation_reject',compact('acyears','bookreservationlist'));
    }
    
     public function reservation_reject_get(Request $request)
    {
          $col_order = ['date','book_id'];
          $total_data = BookReservationList::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          
          $from_date = $request->get('from_date');
          $to_date = $request->get('to_date');
          
           $query  =   BookReservationList::join('books','book_reservation_list.book_id','=','books.id')->
           join('library_category','books.categ_id','=','library_category.libcat_id')->
           join('member_details','book_reservation_list.mem_det_id','=','member_details.id')->
           join('lib_book_main_location','books.mloc','=','lib_book_main_location.ml_id');
            $query->where('book_reservation_list.lib_status','2');
            if($from_date !='')
                    {
                        $query->where('book_reservation_list.date','>=',$from_date);
                    }
                    if($to_date !='')
                    {
                        $query->where('book_reservation_list.date','<=',$to_date);
                    }
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('books.book_no','like','%'.$search.'%')->
                            orWhere('books.title','like','%'.$search.'%')->
                            orWhere('member_details.memb_no','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_reservation_list.*','books.book_no','books.title','member_details.memb_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
                    $view=0;
                    if(MenuAccess::have_access(542) == true){ $view=1; }
            $data = array();  
            if($bookissuelist){
                        foreach($bookissuelist as $bk){ 
                           $member_name = $member_detls = null;

                            if ($bk->member_type == 2) { 
                                $mem_det = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.student_id'=>$bk->member_id))->select('students.*','promotes.semester_id as sem_id')->first();

                                //$mem_det = Student::where('student_id',$bk->member_id)->first();
                                $mem_crs = Course::where('course_id',$mem_det->course_id)->first();
                                
                                $mem_sem = Semester::where('semester_id',$mem_det->sem_id)->first();
                               
                                $member_detls = $mem_crs->course_name.'-'.$mem_sem->semester_name;
                                $member_name = $mem_det->name;
                            } elseif ($bk->member_type == 1) { 
                                $mem_det = User::where('user_id',$bk->member_id)->first();
                                $member_name = $mem_det->name;
                                $mem_desig = UserType::where('type_id',$mem_det->type_id)->first();
                                $member_detls = $mem_det->employee_id_num.'-'.$mem_desig->type_name;
                            }elseif ($bk->member_type == 5) { 
                                $mem_det = MembershipOther::where('id',$bk->member_id)->first();
                                $member_name = $mem_det->name;
                                $member_detls =$mem_det->contact_no.'-'.$mem_det->address;
                            }
                            $row['date'] = date('d-m-Y',strtotime($bk->date));
                            $row['membershipno'] = $bk->memb_no;
                            $row['Membername'] = $member_name;
                            $row['book_no'] = $bk->book_no;
                            $row['title'] = $bk->title;
                           
                            $html="";
                            
                            if($view==1){
                                $html .= '<a href="'.route('book.reservation.view.det',encrypt($bk->id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            $row['action'] = $html;
                            
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);    
    }
    
    public function reservation_save(Request $request)
     {
         $reserve_id = decrypt($request->reserve_id);
         $ac_id = getAcyear();
         $issue_date = $request->issue_date;
         $return_date = $request->return_date;
         $remark = $request->remark;
          if($request->action === 'approve'){
              $status = 1;
          }
          else
          {
             $status = 2;
          }
           $check = BookReservationList::where([
                    'id' => $reserve_id
                    ])->first();
           if (!is_null($check)) 
           {         
          $check->update([
            'lib_status' => $status,'remark'=>$remark,'return_date'=>$return_date,'lib_updated_on'=>date('Y-m-d')
         ]);
         
         $booksissuelist = BookIssueList::create([
                'mem_det_id' => $check->mem_det_id,
                'member_id' => $check->member_id,
                'book_id' => $check->book_id,   
                'member_type'=> $check->member_type,
                'issue_date'=> $issue_date,
                'act_return_date'=> $return_date,
                'status'=> 0,
             ]);
         
         
           }
         if($request->action === 'approve'){
            $msg_array = array('message'=>'Book Reservation ' . $request->action . ' Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Book Reservation   ' . $request->action . ' Successfully !','alert-type'=>'error');
        }
        return redirect()->route('book.reservation.pending')->with($msg_array); 
     }
     
     public function reservebooks()
      {
          $userId = Auth::id();
          $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
          $ac_id = $currentAcyear->ac_id;
          
          $mem_det = Membership::where('user_id',$userId)->where('member_type',1)->first();
          $category = Libcategory::all();
         return view('books.staff.book_reservation',compact('userId','mem_det','category','ac_id'));
         
      }
     public function libsubcateg($categ_id)
      {
          
            $subcateg = array();
            $rows = Libsubcategory::where('libcat_id',$categ_id)->get();
            foreach($rows as $row){
                $subcateg[$row->libsub_id] = $row->subcategory;
            }
            return json_encode($subcateg);
        
      }
      public function book_reserve_get(Request $request)
     {
      
        $categ_id = $request->categ_id;
        $subcateg_id = $request->subcateg_id;
        $date = $request->date;
        $ac_id = getAcyear();
        $category = Libcategory::all();
        $userId = Auth::id();
        $subcategory = Libsubcategory::where('libcat_id',$categ_id)->get();
        $mem_det = Membership::where('user_id',$userId)->where('member_type',1)->first();
        $issuecnt = BookIssueList::where('member_type',1)->where('member_id',$userId)->where('status',0)->count();
        $mperiod = Membershiptype::where('mmbrtyp_id',1)->first();
        $max_allowed_book= $mperiod->book_nums;
         $books = Books::where('categ_id', $categ_id)
              ->where('subcateg_id', $subcateg_id)
              ->get();
        return view('books.staff.book_reservation_get',compact('categ_id','subcateg_id','date','ac_id','category','subcategory','books','userId','max_allowed_book','issuecnt','mem_det'));
         
     }
     
      public function reservebooks_save(Request $request){
        $categ_id = decrypt($request->categ_id);
        $subcateg_id = decrypt($request->subcateg_id);
        $date = decrypt($request->date);
        $userId = Auth::id();
        $ac_id = getAcyear();
        $mem_det = Membership::where('user_id',$userId)->where('member_type',1)->first();
         $mperiod = Membershiptype::where('mmbrtyp_id',1)->first();
            $validity_periods = $mperiod->valid_period;
            $return_time = strtotime($date)+($validity_periods*86400);
	        $return_date = date('Y-m-d', $return_time);
	        $issuecnt = BookIssueList::where('member_type',1)->where('member_id',$userId)->where('status',0)->count();
	        $reservecnt = BookReservationList::where('member_type',1)->where('member_id',$userId)->where('lib_status',0)->count();
	        $max_allowed_book= $mperiod->book_nums;
	        $cnt_tot = $reservecnt+$issuecnt;
	        $i=0;$j=0;$cnt_tot1=0;
	         if($max_allowed_book >= $cnt_tot)
	         {
        
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $checkissue = BookIssueList::where([
                'mem_det_id' => $mem_det->id,
                'member_type' => 1,
                'member_id' => $userId,
                'book_id' => $ids,
                 'status' => 0,
               
            ])->first();
            if(!$checkissue){
                 $check = BookReservationList::where([
                'mem_det_id' => $mem_det->id,
                'member_type' => 1,
                'member_id' => $userId,
                'book_id' => $ids,
                 'lib_status' => 0,
               
            ])->first();
                
            
             if(!$check){
                $issuecnt1 = BookIssueList::where('member_type',1)->where('member_id',$userId)->where('status',0)->count();
	            $reservecnt1 = BookReservationList::where('member_type',1)->where('member_id',$userId)->where('lib_status',0)->count();
	            $cnt_tot1 =$issuecnt1+$reservecnt1;
    	         if($max_allowed_book >= $cnt_tot1)
    	         {
                    $bkreservelist = BookReservationList::create([
                      'mem_det_id' =>$mem_det->id,
                      'member_id' => $userId,
                      'member_type' => 1,
                      'book_id' => $ids,
                      'date' => $date,
                      'return_date'=>$return_date,
                      'return_date' => $date,
                      'lib_status'=>0,
                   
                                
                     ]);
                     $i++;
    	         }
            }else{ $j=1; }
            }else{ $j=3; }
        }
	       }  }else{ $j=2; }
         if($i>0){
            $msg_array = array('message'=>'Book reserved Successfully !','alert-type'=>'success');
        }else{
            if($j == 0){
            $msg_array = array('message'=>'Book Could not be reserved !','alert-type'=>'error');
                
            }else if($j == 1){ 
                 $msg_array = array('message'=>'Same request already exists for approval  !','alert-type'=>'error');
            }else if($j == 2){
                $msg_array = array('message' => 'Sorry! Maximum allowed books are ' . $max_allowed_book . '!', 'alert-type' => 'error');
            }
            else if($j == 3){
                $msg_array = array('message' => 'Same book already issued !', 'alert-type' => 'error');
            }
    
        }
          return redirect()->route('staff.reservebooks')->with($msg_array);   
      }
      
    public function reservelist()
    {
        $userId = Auth::id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $mem_det = Membership::where('user_id',$userId)->where('member_type',1)->first();
        $category = Libcategory::all();
        $status_array = [
        0 => '<span style="color:#06C;font-weight:bold; font-size:12px;">Pending...</span>',
        1 => '<span style="color:#093;font-weight:bold; font-size:12px;">Approved !</span>',
        2 => '<span style="color:#990000;font-weight:bold; font-size:12px;">Rejected !</span>',
        3 => '<span style="color:#F93;font-weight:bold; font-size:12px;">Cancelling...</span>',
    ];
        $reservelist = BookReservationList::where('member_type',1)->where('member_id',$userId)->get();
         return view('books.staff.book_reservelist',compact('mem_det','category','status_array','reservelist'));
         
    }
    public function reservelist_cancel($aid){
        
        $bookreservationlist = BookReservationList::find(decrypt($aid));
        
        if($bookreservationlist){
            if($bookreservationlist->count() > 0){
                
                 $bookreservationlist->update([
                'lib_status' => 3,
                
            ]);
                
                $msg_array = array('message'=>'Book Reservation Cancelled Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Book Reservation Could not be Cancelled !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('staff.reservelist')->with($msg_array);
    } 
    
     public function book_duereport(){
        $acyears = Acyear::all();
        $userId = Auth::id();
        $mem_det = Membership::where('user_id',$userId)->where('member_type',1)->first();
        return view('books.staff.book_duereport',compact('acyears','userId','mem_det'));
    }
    
     public function book_duereport_get(Request $request)
    {
          $userId = Auth::id();
          $col_order = ['issue_date','book_no','title','author','act_return_date','returning_date','amount','status'];
          $total_data = BookIssueList::where('member_id',$userId)->where('member_type',1)->whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          $to_date = date('Y-m-d');
          $query  =   BookIssueList::join('member_details','book_issue_list.mem_det_id','=','member_details.id')->
                    join('lib_membership_type','book_issue_list.member_type','=','lib_membership_type.mmbrtyp_id')->
                    join('books','book_issue_list.book_id','=','books.id');
                    
                    $query->where('book_issue_list.member_type',1);
                    $query->where('book_issue_list.member_id',$userId);
                    
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('author','like','%'.$search.'%')->
                            orWhere('title','like','%'.$search.'%')->
                            orWhere('book_no','like','%'.$search.'%');
                           
                        });
                    }
                    
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_issue_list.*','member_details.memb_no','books.title','books.author','books.book_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();  
        
            $data = array();    
            if($bookissuelist){
             foreach($bookissuelist as $bkissue){ 
                            if($bkissue->status == 0)
                            {
                                $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $to_date,$bkissue->id);
                            }
                            else
                            {
                                $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $bkissue->act_return_date,$bkissue->id);
                            }
                            $row['issue_date'] = date('d-m-Y',strtotime($bkissue->issue_date));
                            $row['book_no'] = $bkissue->book_no;
                            $row['title'] = $bkissue->title;
                            $row['author'] = $bkissue->author;
                            $row['act_return_date'] = date('d-m-Y',strtotime($bkissue->act_return_date));
                            if($bkissue->status == 1)
                            {
                            $row['returning_date'] = date('d-m-Y',strtotime($bkissue->returning_date));
                            }
                            else
                            {
                                $row['returning_date'] ='';
                            }
                            $row['due_days'] = $fineInfo['total_due_days'];
                            $row['amount'] = $fineInfo['fine_amount'];
                            if($bkissue->status == 0)
                            { $status="Issued";
                            $row['status'] = '<font color="blue">'.$status.'</font>';
                            }
                            else if($bkissue->status == 1)
                            {
                                $status="Returned";
                                $row['status'] = '<font color="green">'.$status.'</font>';
                            }
                            $data[] = $row;
             }
             
            }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);  
    
    }    
}
