<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Course;
use App\Models\Acyear;
use App\Models\StudentExam;
use App\Models\Semester;
use App\Models\SubCategory;
use App\Models\Subject;
use App\Models\StudentExamSubject;
use App\Models\Student;
use App\Models\Enrolment;

class Exam extends Controller
{
    public function studentexam_add()
    {
        $courses=Course::all();
        return view('exam.studentexam_add',compact('courses'));
        
    }

    public function studentexam_add_save(Request $request)
{
        $course = $request->course;
        $sem_id = $request->sem_id;
       
        $exam_name =$request->exam_name;
        $ac_id = getAcyear();
        $i=0;
      
        $check = StudentExam::where([
                'ac_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'exam_name' => $exam_name
               
            ])->first();
            if(!$check){
                
                 $examlist = StudentExam::create([
                        'course' => $course,
                        'ac_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'exam_name' => $exam_name,
                        
                    ]);
            }
            else {
  
    $examlist = $check;
}
        foreach($request->posted as $ids)
        {
            $max_mark = $request->input("max_mark".$ids);
            $exam_date = $request->input("exam_date".$ids);
            $s_time = $request->input("s_time".$ids);
            $e_time = $request->input("e_time".$ids);
            if($max_mark =='')
            {
               $max_mark = 0; 
            }
                        $exmsub = StudentExamSubject::create([
                            'exam_id' => $examlist->exam_id,
                            'subject_id' => $ids,
                            'max_mark' => $max_mark,
                            'date' => $exam_date,
                            's_time'=>$s_time,
                            'e_time'=>$e_time,
                        ]);
                        $i++;
                 
                
           
            
        }
        if($i>0){
            $msg_array = array('message'=>'Exam addedd Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Exam Could not be Saved !','alert-type'=>'error');
        }
        return redirect()->route('exam.add')->with($msg_array);
    
      
}
  public function studentexam_get(Request $request)
  {
        $course =$request->course;
     
        $semester_id = $request->semester_id;
        $exam_name = $request->exam_name;
         
       
        $ac_id = getAcyear();
         $subjects = collect();
        $sem_name = Semester::where('semester_id',$request->semester_id)->first();
         $subcategories = SubCategory::all();
         foreach ($subcategories as $subcategory) {
                 $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                                ->where('subjects.subject_categ', $subcategory->id)
                                ->where('course_subject.semester_id', $sem_name->semester_name);
                if (!in_array($subcategory->id, [2, 3, 4])) {
                    $query->where('course_subject.course_id', $sem_name->course_id);
                }
             $subjects = $subjects->merge($query->select('subjects.*')->get());
            }
            return view('exam.studentexam_get',compact('course','semester_id','subjects','ac_id','exam_name'));
  }
    
    public function studentexam_view()
    {
         $ac_id = getAcyear();
        $courses = Course::all();
        return view('exam.studentexam_view',compact('ac_id','courses'));
    }
    
     
    public function studentexamviewget(Request $request)
    {
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = StudentExam::where('course', $course_id)->where('sem', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
        $exam[$row->exam_id ] = $row->exam_name;
        }
      
        return json_encode($exam);
    }
    
    public function stuexamviewget(Request $request)
    {
        $course =Course::find($request->cid);
      
        $semester_id = Semester::find($request->sid);
        $exam_id = StudentExam::find($request->eid);
        
        $ac_id = getAcyear();
        $exam_name = StudentExam::where('exam_id',$request->eid)->first();
       
        $examsubjects = StudentExamSubject::where('exam_id',$request->eid)->get();
        $subjects = collect();
    
        $sem_name = Semester::where('semester_id',$request->sid)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
             $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                            ->where('subjects.subject_categ', $subcategory->id)
                            ->where('course_subject.semester_id', $sem_name->semester_name);
            if (!in_array($subcategory->id, [2, 3, 4])) {
                $query->where('course_subject.course_id', $sem_name->course_id);
            }
         $subjects = $subjects->merge($query->select('subjects.*')->get());
        }
       
        return view('exam.stuexamviewget',compact('course','semester_id','examsubjects','ac_id','exam_id','exam_name','subjects'));
         
    }
    
    public function examdelete($id)
    {
       $subjectexam= StudentExamSubject::find($id)->delete();
       if($subjectexam)
       {
           $msg_array=array('message','Exam deleted successfully!!','success');
       }
        else
       {
           $msg_array=array('message','Exam could not be deleted!!','error');
       }
       return redirect()->route('exam.view')->with($msg_array);
    }
    
    
   public function examupdate(Request $request)
{
        $crs_id = decrypt($request->course);
        
        $sem_id = decrypt($request->sem_id);
        
        $exam_id = decrypt($request->exam_id);
   
        //  $exmnamecheck = StudentExam::where([
        //         'exam_id' => $exam_id
        //     ])->first();
      
      $exmnamecheck=StudentExam::where('exam_id',$exam_id)->first();
     
      
      
              if($exmnamecheck){
            $exmnamecheck->update([
                'exam_name' => $request->exam_name,
               
            ]);
            
             }
      
        $ac_id = getAcyear();
        $eseexamsub = StudentExamSubject::where('exam_id',$exam_id)->get();  
        $i=0;
       
        foreach($eseexamsub as $essm)
        {
            $exmcheck = StudentExamSubject::where([
                'examsub_id'=>$essm->examsub_id
            ])->first();
             if($exmcheck){
            $exmcheck->update([
                'max_mark' => $request->input("max_mark$essm->examsub_id"),
                'date' => $request->input("exam_date$essm->examsub_id"),
                's_time' => $request->input("s_time$essm->examsub_id"),
                'e_time' => $request->input("e_time$essm->examsub_id"),
            ]);
             $i++; 
             }
        }
       
        if($request->posted !='')
        {
        foreach($request->posted as $ids)
        {
            $max_mark = $request->input("max_marks".$ids);
           
            if($max_mark == '')
            {
                $max_mark = 0;
            }
           
            $exam_date = $request->input("exam_dates".$ids);
            $s_time = $request->input("s_times".$ids);
            $e_time = $request->input("e_times".$ids);
            
                    
                         $exmsub = StudentExamSubject::create([
                            'exam_id' => $exam_id,
                            'subject_id' => $ids,
                            'max_mark' => $max_mark,
                            'date' => $exam_date,
                            's_time'=>$s_time,
                            'e_time'=>$e_time,
                        ]);
                        $i++;
        } }
      if($i>0){
            $msg_array = array('message'=>'Exam Details has been Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Exam Details Could not be Updated !','alert-type'=>'error');
        }
          return redirect()->route('exam.view')->with($msg_array);   
}
 public function examchart()
 {
     $courses=Course::all();
     
     return view('exam.examchart',compact('courses'));
 }
 
 public function examchart_get(Request $request)
 {
     $crs=Course::find($request->cid);
     $sem=Semester::find($request->sid);
     $exam=StudentExam::join('student_exam_subjects','student_exam_subjects.exam_id','=','add_exam.exam_id')
     ->where('add_exam.course',$request->cid)
     ->where('add_exam.sem',$request->sid)
     ->select('student_exam_subjects.*','add_exam.*')
     ->get();
     return view('exam.examchart_get',compact('exam','sem','crs'));
    
 }
 
 public function admitcard()
 {
    $courses=Course::all();
    return view('exam.admitcard',compact('courses'));
 }
 
public function admitcard_get(Request $request)
{
    $crs=Course::find($request->cid);
    $sem=Semester::find($request->sid);
    $exm=StudentExam::find($request->eid);
    $ac_id = getAcyear();
    $student=Student::join('promotes','promotes.student_id','=','students.student_id')
    ->where('promotes.ac_id',$ac_id)
    ->where('promotes.semester_id',$request->sid)
    ->where('promotes.course_id',$request->cid)
    ->select('students.*')
    ->get();
    return view('exam.admitcard_get',compact('student','crs','sem','exm'));
}
 
 public function admitcard_print($id,$exmid)
 {
     $student_id=Student::find($id);
     $exm=StudentExam::find($exmid);
    
     $register_no=Enrolment::where('student_id',$id)->first();
     $ac_id = getAcyear();
     $students=Student::where('student_id',$id)->first();
     $ins_det = instituteDetails();
    $acyear=Acyear::where('ac_id',$ac_id)->first();
    $sdate=$acyear->sdate;
    $edate=$acyear->edate;
     $exam=StudentExam::join('student_exam_subjects','student_exam_subjects.exam_id','=','add_exam.exam_id')
     ->join('subjects','subjects.subject_id','=','student_exam_subjects.subject_id')
     ->where('student_exam_subjects.exam_id',$exmid)
     ->where('add_exam.ac_id',$ac_id)
     ->select('subjects.subject_name','student_exam_subjects.*','add_exam.exam_name')
     ->get();
    return view('exam.admitcard_print',compact('exam','students','exm','ac_id','sdate','edate','ins_det','register_no'));
     
 }
 
 
 
 
 
 
    
}
