<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Stockunit;
use App\Models\Stockcategory;
use App\Models\stocksubcate;
use App\Models\Stocklocation;
use App\Models\StockAdd;
use App\Models\StockAdjustment;
use App\Models\StockItemQuantity;
use DB;
use Image;

class Inventory extends Controller
{

  public function inventory(){
        
        $stockunit = Stockunit::all();
        
        return view('inventory.stockunit',compact('stockunit'));
    }
     public function inventory_save(Request $request){
        
        $validated = $request->validate([
            'symbol' => 'required|unique:stock_unit,symbol',
             'fname' => 'required|unique:stock_unit,formal_name',
             'decimal' => 'required|unique:stock_unit,decimal_places',

        ]);
        
        $stockunit = Stockunit::create([
            'symbol' => $request->symbol,
            'formal_name' => $request->fname,
 'decimal_places' => $request->decimal,
        ]);
        
        if($stockunit){
            $msg_array = array('message'=>'Stock Unit Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Stock Unit Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('inventory')->with($msg_array);
    }
     public function inventory_delete($suid){
        
        $stockunit = Stockunit::find(decrypt($suid));
        $msg_array = array();
        if($stockunit){
            $stockunit->delete();
            $msg_array = array('message'=>'Stock Unit Deleted Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Stock Unit Could not be Deleted !','alert-type'=>'error');
        }
        return redirect()->route('inventory')->with($msg_array);
    }
    
    
    public function stockcategory(){
        
        $stockcategory = Stockcategory::all();
        
        return view('inventory.stockcategory',compact('stockcategory'));
    } 
    
        public function stockcategory_save(Request $request){
        
        $validated = $request->validate([
            'category' => 'required|unique:stock_category,category',
            

        ]);
        
        $stockcategory = Stockcategory::create([
            'category' => $request->category,
           
        ]);
        
        if($stockcategory){
            $msg_array = array('message'=>'Category Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Category Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('stockcategory')->with($msg_array);
    }
    
    public function stockcategory_edit($c_id){
        
        $stockdet = Stockcategory::find(decrypt($c_id));
        
        return view('inventory.stockcategoryedit',compact(array('stockdet')));
    }

    
  public function stockcategory_update(Request $request){
        
        $c_id = decrypt($request->c_id);
        $validated = $request->validate([
            'category' => 'required|unique:stock_category,category,'.$c_id.',c_id',
        ]);
        
        $subcategory = Stockcategory::find($c_id);
        $subcategory->update([
            // 'c_id' => $request->c_id,
            'category' => $request->category
        ]);
        
        if($subcategory){
            $msg_array = array('message'=>' Subcategory Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Subcategory Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('stockcategory')->with($msg_array);
    }

    public function stockcategory_delete($c_id){
        
        $category = Stockcategory::find(decrypt($c_id));
        
        if($category){
            if($category->count() > 0){
                $category->delete();
                $msg_array = array('message'=>'Subcategory Name Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Subcategory Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('stockcategory')->with($msg_array);
    } 
    
    
    
      public function stocksubcategory(){
        $stockcategory = Stockcategory::all();
        $stocksubcategory = stocksubcate::all();
        
        return view('inventory.stocksubcategory',compact('stockcategory','stocksubcategory'));
    } 
  
         public function stocksubcategory_save(Request $request){
        
        $validated = $request->validate([
            'c_id' => 'required',
              'subcategory' => 'required',

        ]);
        
        $subcategory = stocksubcate::create([
            'c_id' => $request->c_id,
            'subcategory' => $request->subcategory,
        ]);
        
        if($subcategory){
            $msg_array = array('message'=>'Subcategory Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Subcategory Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('stocksubcategory')->with($msg_array);
    }

       public function stocksubcategory_edit($sid){
         $stockcategory = Stockcategory::all();
        $stocksubcategory = stocksubcate::find(decrypt($sid));
        
        return view('inventory.stocksubcategoryedit',compact(array('stocksubcategory','stockcategory')));
    }
 
      public function stocksubcategory_update(Request $request){
        
        $subcate_id = decrypt($request->subcate_id);
        $validated = $request->validate([
            'subcategory' => 'required|unique:stock_sub_category,subcategory,'.$subcate_id.',subcate_id',
        ]);
        
        $subcategory = stocksubcate::find($subcate_id);
        $subcategory->update([
            'c_id' => $request->c_id,
            'subcategory' => $request->subcategory,
        ]);
        
        if($subcategory){
            $msg_array = array('message'=>'  Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>' Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('stocksubcategory')->with($msg_array);
    }

    public function stocksubcategory_delete($sid){
        
        $subcategory = stocksubcate::find(decrypt($sid));
        
        if($subcategory){
            if($subcategory->count() > 0){
                $subcategory->delete();
                $msg_array = array('message'=>'Subcategory  Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Subcategory  Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('stocksubcategory')->with($msg_array);
    } 





    public function stocklocation(){
        
        $stocklocation = Stocklocation::all();
        
        return view('inventory.stocklocation',compact('stocklocation'));
    } 



        public function stocklocation_save(Request $request){
        
        $validated = $request->validate([
            'loc_name' => 'required|unique:stock_location,loc_name',
             'loc_address' => 'required|unique:stock_location,loc_address',
            

        ]);
        
        $stocklocation = Stocklocation::create([
            'loc_name' => $request->loc_name,
            'loc_address' => $request->loc_address,
           
        ]);
        
        if($stocklocation){
            $msg_array = array('message'=>'Location Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Location Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('stocklocation')->with($msg_array);
    }



       public function stocklocation_edit($lid){
        
        $stocklocation = Stocklocation::find(decrypt($lid));
        
        return view('inventory.stocklocationedit',compact(array('stocklocation')));
    }




      public function stocklocation_update(Request $request){
        
        $stockloc_id = decrypt($request->stockloc_id);
        $validated = $request->validate([
            'loc_name' => 'required|unique:stock_location,loc_name,'.$stockloc_id.',stockloc_id',
            'loc_address' => 'required|unique:stock_location,loc_address,'.$stockloc_id.',stockloc_id',
        ]);
        
        $stocklocation = Stocklocation::find($stockloc_id);
        $stocklocation->update([
            
            'loc_name' => $request->loc_name,
            'loc_address' => $request->loc_address,
        ]);
        
        if($stocklocation){
            $msg_array = array('message'=>'  Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>' Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('stocklocation')->with($msg_array);
    }

    public function stocklocation_delete($lid){
        
        $stocklocation = Stocklocation::find(decrypt($lid));
        
        if($stocklocation){
            if($stocklocation->count() > 0){
                $stocklocation->delete();
                $msg_array = array('message'=>'Location Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Location  Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('stocklocation')->with($msg_array);
    } 


public function stockadd()
{
     $stockcategory = Stockcategory::all();
     $stocksubcategory = stocksubcate::all();
      $stocklocation = Stocklocation::all();
      $stockunit = Stockunit::all();
      return view('inventory.stockadd',compact('stockcategory','stocksubcategory','stocklocation','stockunit'));
}


public function stock_save(Request $request)
{
    $validated=$request->validate([
        'item_code' => 'required|unique:stock_add,item_code',
        'stock_item' => 'required|unique:stock_add,stock_item',
       
        ]);
       
                $stockadd = StockAdd::create([
            'item_code' => $request->item_code,
            'stock_item' => $request->stock_item,
             'c_id' => $request->c_id,
              'subcate_id' => $request->subcate_id,
             'stockloc_id' => $request->stockloc_id,
             'opening_quantity' => $request->opening_quantity,
             'stock_id' => $request->stock_id,
              'unit_price' => $request->unit_price,
               'total' => $request->total,
               'saleable' => $request->saleable,
               'consumable' => $request->consumable,
               'date' => $request->date,
             ]);
             
             $stockquant=StockItemQuantity::create([
                 'stockadd_id'=>$stockadd->stockadd_id,
                 'c_id'=>$request->c_id,
                 'stockloc_id'=>$request->stockloc_id,
                 'quantity'=>$request->opening_quantity,
                  'unit_price'=>$request->unit_price,
                  'valid_to'=>$request->date,
                 ]);
            //  if($stockadd)
            //  {
            //      $msg_array=array('message'=>'Stock item Added Successfully','success');
            //  }
            //  else{
            //      $msg_array=array('message'=>'Stock item could not be added','error');
            //  }
             
            return redirect()->route('stock')->with('Stock addedd successfully');
}

public function stock_report()
{
  $stockadd=StockAdd::all();
//   $paginatedStockAdd = $this->paginate($stockadd, 10);
  return view('inventory.stock_report',compact('stockadd'));
  
}
 public function stock_edit($sid)
 {
       $stockcategory = Stockcategory::all();
     $stocksubcategory = stocksubcate::all();
      $stocklocation = Stocklocation::all();
      $stockunit = Stockunit::all();
      $stockadd=StockAdd::find(decrypt($sid));
      return view('inventory.stock_edit',compact('stockcategory','stocksubcategory','stocklocation','stockunit','stockadd'));
      
 }
public function stock_update(Request $request)
{
    $stockadd_id=decrypt($request->stockadd_id);
    $validated=$request->validate([
        'item_code'=>'required|unique:stock_add,item_code,'.$stockadd_id.',stockadd_id',
        'stock_item'=>'required|unique:stock_add,stock_item,'.$stockadd_id.',stockadd_id',
        'unit_price'=>'required|unique:stock_add,unit_price,'.$stockadd_id.',stockadd_id',
        ]);
      $stockadd=StockAdd::find($stockadd_id);
      $stockadd->update([
           'item_code' => $request->item_code,
            'stock_item' => $request->stock_item,
             'opening_quantity' => $request->opening_quantity,
              'unit_price' => $request->unit_price,
               'total' => $request->total,
               'valid_to' => $request->date,
          ]);
          if($stockadd)
          {
              $msg_array=array('message'=>'Stock item updated successfully','success');
          }
        else
        {
            $msg_array=array('message'=>'Stock item could not be updated','error');
        }
        return redirect()->route('stock')->with($msg_array);
        
}


public function stockadjustment()
{
    $stockitem=StockAdd::all();
    return view('inventory.stockadjustment',compact('stockitem'));
}
    

public function stockadjustment_save(Request $request){
        
        $validated = $request->validate([
            'stockadd_id' => 'required',
        ]);
        $stockadd=$request->stockadd_id;
        $stockadjustment = StockAdjustment::create([
            'stockadd_id' => $request->stockadd_id,
            'date' => $request->date,
            'quantity' => $request->quantity,
            'adjustment_type' => $request->adjustment_type,
            'stock_affect' => $request->stock_affect,
        ]);
        
        $stockaddcate=Stockcategory::Join('stock_add','stock_add.c_id','=','stock_category.c_id')->where('stock_add.stockadd_id',$request->stockadd_id)->first();
        $stocklocation=Stocklocation::Join('stock_add','stock_add.stockloc_id','=','stock_location.stockloc_id')->where('stock_add.stockadd_id',$request->stockadd_id)->first();
        $stockunitprice=StockAdd::where('stockadd_id',$stockadd)->first();
        $stockquantity=StockItemQuantity::create([
            'stockadd_id'=>$request->stockadd_id,
            'c_id'=>$stockaddcate->c_id,
            'stockloc_id'=>$stocklocation->stockloc_id,
            'quantity'=>$request->quantity,
            'unit_price'=>$stockunitprice->unit_price,
            'valid_to'=>$request->date,
            'ch_status'=>$request->adjustment_type,
            'stock_adjust'=>$request->stock_affect,

            ]);
        
        return redirect()->route('stock.adjustment')->with('saved successfully');
    }
   
 public function stockadjustment_report()
 {
     $stockadjustment=StockAdjustment::Join('stock_add','stock_add.stockadd_id','=','stock_adjustment_table.stockadd_id')->Join('stock_item_quantities','stock_item_quantities.stockadd_id','=','stock_adjustment_table.stockadd_id')->get();
     $stockquantity=StockItemQuantity::Join('stock_add','stock_add.stockadd_id','=','stock_item_quantities.stockadd_id')->get();
     $stockadd=StockAdd::all();
     return view('inventory.stockadjustment_report',compact('stockadjustment','stockquantity','stockadd'));
 }
    
    
    public function stocksummary()
    {
        $stockcategory=Stockcategory::all();
        $stocksubcategory=stocksubcate::all();
        return view('inventory.stocksummary',compact('stockcategory','stocksubcategory'));
    }
    
    public function stocksummary_get(Request $request)
    {
      
 $stockcategory = Stockcategory::find($request->sc); 
 $validdate = StockItemQuantity::find($request->vd);
 
 $stocksummary=StockAdd::Join('stock_item_quantities','stock_item_quantities.stockadd_id','=','stock_add.stockadd_id')->where('stock_item_quantities.c_id',$request->sc)->whereDate('stock_item_quantities.valid_to','<=',$request->vd)->groupBy('stock_item_quantities.stockadd_id')->select('stock_add.stockadd_id','stock_add.item_code','stock_add.stock_item','stock_add.unit_price',DB::raw('sum(case when ch_status=0 then quantity else 0 end) as opening'),DB::raw('sum(case when ch_status=1 then quantity else 0 end) as purchase'),DB::raw('sum(case when ch_status=2 then quantity else 0 end) as sales'),DB::raw('sum(case when ch_status=2 then quantity else 0 end) as damage'))->get();

return view('inventory.stocksummary_get',compact('stocksummary','stockcategory','validdate'));
    }
   
   public function stocksummary_view($id)
   {

 
  $stocksummary=StockAdd::Join('stock_item_quantities','stock_item_quantities.stockadd_id','=','stock_add.stockadd_id')->where('stock_add.stockadd_id',$id)->get();

return view('inventory.stocksummary_view',compact('stocksummary'));


   }
   
   
   
   
   
    
    
 public function stocklocation_report()
 {
     $stocklocation=Stocklocation::all();
     return view('inventory.stocklocation_report',compact('stocklocation'));
     
     
 }
    
public function stocklocation_get(Request $request)
    {

    $stocklocation = Stocklocation::find($request->sl); 
 $validdate = StockItemQuantity::find($request->vd); 
 
 $stocklocationget=StockAdd::Join('stock_item_quantities','stock_item_quantities.stockadd_id','=','stock_add.stockadd_id')->where('stock_item_quantities.stockloc_id',$request->sl)->whereDate('stock_item_quantities.valid_to','<=',$request->vd)->groupBy('stock_item_quantities.stockadd_id')->select('stock_add.item_code','stock_add.stock_item','stock_add.unit_price',DB::raw('sum(case when ch_status=0 then quantity else 0 end) as opening'),DB::raw('sum(case when ch_status=1 then quantity else 0 end) as purchase'),DB::raw('sum(case when ch_status=2 then quantity else 0 end) as sales'),DB::raw('sum(case when ch_status=2 then quantity else 0 end) as damage'))->get();

return view('inventory.stocklocation_get',compact('stocklocationget','stocklocation','validdate'));
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
}
