<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Models\Acyear;
use App\Models\PTA;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Student;
use App\Models\PtaAttendance;
use Image;


class Parents extends Controller
{
public function addpta()
{
 $acyears=Acyear::all();
 $courses=Course::all();
 return view('parents.addpta',compact('acyears','courses'));
}

public function addpta_save(Request $request)
{
    $validated=$request->validate([
        'ac_id'=>'required',
        'course_id'=>'required',
        'name'=>'required|unique:pta,name',
        'date'=>'required',

    //   'attachment' => 'required|mimes:doc,docx,pdf,jpeg,jpg,png|max:5120', 

        ]);
        $attachment="";
          if($request->hasFile('attachment')){
             $file=$request->attachment;
            $ext = $file->extension();
            $attachment = 'attachment_'.time().'.'.$ext;
            $file->storeAs('pta/attachments',$attachment);
        }
       
        
       $ptaadd=PTA::create([
           'ac_id'=>$request->ac_id,
           'course_id'=>$request->course_id,
           'name'=>$request->name,
           'date'=>$request->date,
           'venue'=>$request->venue,
           'agenda'=>$request->agenda,
           'attachment'=>$attachment,
           'from'=>$request->from,
           'to'=>$request->to,
           
           ]);
           if($ptaadd){
               $msg_array=array('message'=>'PTA posted successfully','success');
           }
           else
           {
        $msg_array=array('message'=>'PTA could not post','error');
  
           }
           
           return redirect()->route('pta.add')->with($msg_array);
           
           
}

public function addpta_report()
{
    $acyears=Acyear::all();
    return view('parents.addpta_report',compact('acyears'));
}
public function addpta_get(Request $request)
{
   $ac_det = Acyear::find($request->aid);
   $pta=PTA::where('ac_id',$request->aid)->get();
   return view('parents.addpta_get',compact('ac_det','pta'));
}


    public function addpta_attendance()
    {
        $acyears=Acyear::all();
        $meeting=PTA::all();
        $courses=Course::all();
        $sem=Semester::all();
        
        return view('parents.addpta_attendance',compact('acyears','meeting','courses','sem')); 
    }

public function addpta_attendance_get(Request $request)
{
     $ac_det = Acyear::find($request->aid);
     $meeting_det = PTA::find($request->pta);
     $course_det = Course::find($request->cid);
     $student = Student::where('course_id', $request->cid)
                   ->where('ac_id', $request->aid)
                   ->get();

      $pta=PTA::where('course_id',$request->cid)->where('ac_id',$request->aid)->get();
   
     
     return view('parents.addpta_attendance_get',compact('ac_det','pta','student','course_det','meeting_det'));
     
}

public function addpta_attendance_save(Request $request)
{
 
         $validated = $request->validate([
            'course_id' =>'required',
            'pta_id'=>'required',
            'ac_id'=>'required',

        ]);
        $course_id=$request->course_id;
       $semester_id=$request->semester_id;
       $ac_id=$request->ac_id;
       $attendance=$request->attendance;
     $students = Student::where('course_id',$course_id)
                   ->where('ac_id',$ac_id)
                   ->get(); 
                   
                   foreach($students as $student)
       {
           $status=0;
           if(in_array($student->student_id,$attendance))
           {
               $status=1;
           }
           $ptattendance=PtaAttendance::create([
           'ac_id'=>$request->ac_id,
           'course_id'=>$request->course_id,
           'pta_id'=>$request->pta_id,
           'student_id'=>$student->student_id,
           'attendance'=>$status,
           ]);   
       }
    
return redirect()->route('pta.attendance')->with('success');
    
    
    
    
}




















}
