<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Addscmodel;
use App\Models\Acyear;
use App\Models\Student;
use App\Models\Course;
use App\Models\Semester;
use App\Models\ScholarshipStudent;

 

class Scholarship extends Controller
{
 public function add(){
        $acyears = Acyear::all();
        $addscholarship = Addscmodel::all();
        
        return view('scholarship.addscholarship',compact('addscholarship','acyears'));
    }
    
 public function add_save(Request $request)
 {
     
     $validated = $request->validate([
            'sc_name' => 'required',
            'amount' => 'required',
            'ac_id' => 'required',
            
            
        ]);
        $addscholarship = Addscmodel::create([
            'sc_name' => $request->sc_name,
            'amount' => $request->amount,
            'ac_id' => $request->ac_id,

        ]); 
                if($addscholarship){
            $msg_array = array('message'=>'Scholarship Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Scholarship Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('add')->with($msg_array); 
     
     
 }
  public function add_edit($aid)
  {
        $addscholarship = Addscmodel::find(decrypt($aid));
                $acyears = Acyear::all();

        return view('scholarship.editscholarship',compact(array('addscholarship','acyears')));
    
  }
 public function add_update(Request $request)
 {
 $scholarshipid=decrypt($request->sc_id);
        $validated = $request->validate([
            
            'sc_name' => 'required|unique:scholarship,sc_name,'.$scholarshipid.',sc_id',
        
        ]);
        $scholarship=Addscmodel::find($scholarshipid);
        $scholarship->update([
            'ac_id'=>$request->ac_id,
            'sc_name'=>$request->sc_name,
            'amount'=>$request->amount,
            ]);
        if($scholarship){
            $msg_array = array('message'=>'Scholarship Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Scholarship Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('add')->with($msg_array);
    
 }
  
  
  
  
    
public function add_delete($aid){
        
        $addscholarship = Addscmodel::find(decrypt($aid));
        
        if($addscholarship){
            if($addscholarship->count() > 0){
                $addscholarship->delete();
                $msg_array = array('message'=>'Quota Name Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Quota Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('add')->with($msg_array);
    } 
       
    
    
    
    
     public function scholaraddstu(){
        $student = Student::all();
        $courses = Course::all();
        $semester = Semester::all();
        $scholarship=Addscmodel::all();
        return view('scholarship.scholaraddstu',compact('student','courses','semester','scholarship'));
    }
     public function scholaraddstu_get(Request $request){
        $crs_det = Course::find($request->cid);
        $sem_det = Semester::find($request->sid);
        $student=Student::Join('promotes','students.student_id','=','promotes.student_id')->where(array('promotes.course_id'=>$request->cid,'promotes.semester_id'=>$request->sid))->select('students.*')->latest()->get();

        $scholarship=Addscmodel::all();
        
        $scholarshipstu=ScholarshipStudent::all();
        return view('scholarship.scholaraddstu_get',compact('student','crs_det','sem_det','scholarship','scholarshipstu'));
    }

    
    public function scholarshipdash_save(Request $request)
{
    
$validated = $request->validate([
    'course_id' => 'required',
    'semester_id' => 'required',
]);

$course_id = $request->course_id;
$semester_id = $request->semester_id;

$i = 0;
foreach ($request->student_id as $stdnt) {
    
    $scholarship = $request->post("sc_id$stdnt");

 
    if ($scholarship != NULL) {
     
        $check = ScholarshipStudent::where('course_id', $course_id)
            ->where('semester_id', $semester_id)
            ->where('student_id', $stdnt)
            ->first();

        if (!$check) {
           
            ScholarshipStudent::create([
                'course_id' => $course_id,
                'semester_id' => $semester_id,
                'student_id' => $stdnt,
                'sc_id' => $scholarship,
            ]);
            $i++; 
        } else {
         
            $check->update(['sc_id' => $scholarship]);
            $i++; 
        }
    }
}


if ($i > 0) {
    $msg_array = array('message' => 'Scholarship processed successfully for students!', 'alert-type' => 'success');
} else {
    $msg_array = array('message' => 'No scholarships could be added or updated!', 'alert-type' => 'error');
}

return redirect()->route('scholarshipdash')->with($msg_array);

}
    
     public function schlrcoursesreport(){
        $courses = Course::all();
        $semester = Semester::all();
       
        return view('scholarship.schlrcoursesreport',compact('courses','semester'));
    }


    
         public function schlrcoursesreport_get(Request $request){
        $crs_det = Course::find($request->cid);
        $sem_det = Semester::find($request->sid);
        
         $scholarship=ScholarshipStudent::Join('students','scholarshipstudent.student_id','=','students.student_id')->Join('scholarship','scholarshipstudent.sc_id','=','scholarship.sc_id')->where(array('scholarshipstudent.course_id'=>$request->cid,'scholarshipstudent.semester_id'=>$request->sid))->get();
        // $student=Student::Join('scholarshipstudent','students.student_id','=','scholarshipstudent.student_id')->Join('scholarship',)where(array('scholarshipstudent.course_id'=>$request->cid,'scholarshipstudent.semester_id'=>$request->sid))->latest()->get();
        // echo $scholarship;
        // $student=Student::Join('promotes','students.student_id','=','promotes.student_id')->where(array('promotes.course_id'=>$request->cid,'promotes.semester_id'=>$request->sid))->select('students.*')->latest()->get();

        // $scholarship=Addscmodel::all();
        
        // $scholarshipstu=ScholarshipStudent::all();
        return view('scholarship.schlrcoursesreport_get',compact('crs_det','sem_det','scholarship'));
    }

 public function schlrcoursesreport_print($course_id, $semester_id)
 {
      $ins_det = instituteDetails();
      $course = Course::find($course_id);
      $sem=Semester::find($semester_id);
     $scholarship=ScholarshipStudent::Join('students','scholarshipstudent.student_id','=','students.student_id')->Join('scholarship','scholarshipstudent.sc_id','=','scholarship.sc_id')->where('scholarshipstudent.course_id', $course_id)->where('scholarshipstudent.semester_id', $semester_id)->get();
    return view('scholarship.schlrcoursesreport_print',compact('course','sem','scholarship','ins_det'));

 }
    
    
    
        public function schlrwisereport(){
       $scholarship=Addscmodel::all();
        return view('scholarship.schlrwisereport',compact('scholarship'));
    }
 
 
 
     public function schlrwisereport_get(Request $request){
        $scholarship=Addscmodel::find($request->sc);
        $crs=Course::all();
        $sem=Semester::all();
         $scholarshipstudent=ScholarshipStudent::Join('students','scholarshipstudent.student_id','=','students.student_id')->Join('scholarship','scholarshipstudent.sc_id','=','scholarship.sc_id')->where('scholarshipstudent.sc_id',$request->sc)->get();
        return view('scholarship.schlrwisereport_get',compact('scholarship','scholarshipstudent','crs','sem'));
    }

    
    
     public function schlrwisereport_print($sc_id)
 {
     $ins_det = instituteDetails();
      $sc = Addscmodel::find($sc_id);
         $scholarshipstudent=ScholarshipStudent::Join('students','scholarshipstudent.student_id','=','students.student_id')->Join('scholarship','scholarshipstudent.sc_id','=','scholarship.sc_id')->where('scholarshipstudent.sc_id',$sc_id)->get();
    return view('scholarship.schlrwisereport_print',compact('scholarshipstudent','sc','ins_det'));

 }
    
    
    
        public function studntwisereport(){
        $student=Student::all();
        $scholarship=Addscmodel::all();
        return view('scholarship.studntwisereport',compact('scholarship','student'));
    }
    
    
    
        public function studntwisereport_get(Request $request){
            
        $student=Student::find($request->student);
        $crs=Course::all();
        $sem=Semester::all();
       
       
         $scholarshipstudent=ScholarshipStudent::Join('students','scholarshipstudent.student_id','=','students.student_id')->Join('scholarship','scholarshipstudent.sc_id','=','scholarship.sc_id')->where('scholarshipstudent.student_id',$request->student)->get();
        return view('scholarship.studntwisereport_get',compact('student','scholarshipstudent'));
    }
 
    
    
       public function studntwisereport_print($student_id)
 {
      $ins_det = instituteDetails();
      $student = Student::find($student_id);
        $scholarshipstudent=ScholarshipStudent::Join('students','scholarshipstudent.student_id','=','students.student_id')->Join('scholarship','scholarshipstudent.sc_id','=','scholarship.sc_id')->where('scholarshipstudent.student_id',$student_id)->first();
    return view('scholarship.studntwisereport_print',compact('scholarshipstudent','student','ins_det'));

 } 
    
    
    
    
    
    
    
    
    
}
