<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Semester;
use App\Models\Course;
use App\Models\SemesterYear;
use App\Models\Acyear;
class Semesters extends Controller
{
    public function add(){
        
        $courses = Course::all();
        
        return view('semester.add',compact('courses'));
    }
    
    public function save(Request $request){
        
        $validated = $request->validate([
            'course_id' => 'required',
            'semester_cnt' => 'required',
        ]);
        $j=0;
        for($i=1; $i<=$request->semester_cnt;$i++)
        {
            if($i == 1)
            {
                $sem_name = "1st Semester";
            }
            else if($i == 2)
            {
                $sem_name = "2nd Semester";
            }
            else if($i == 3)
            {
                $sem_name = "3rd Semester";
            }
            else if($i == 4)
            {
                $sem_name = "4th Semester";
            }
            else if($i == 5)
            {
                $sem_name = "5th Semester";
            }
            else if($i == 6)
            {
                $sem_name = "6th Semester";
            }
            else if($i == 7)
            {
                $sem_name = "7th Semester";
            }
            else if($i == 8)
            {
                $sem_name = "8th Semester";
            }
            $semcrscnt = Semester::where('course_id',$request->course_id)->where('semester_name',$sem_name)->count(); 
            if ($semcrscnt == 0) {
                $semester = Semester::create([
                    'course_id' => $request->course_id,
                    'semester_name' => $sem_name,
                ]);
                $j++;
            }
        }
        
        
        if($j > 0){
            $msg_array = array('message'=>'Semester Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Semester Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('semester.add')->with($msg_array);
    }
    
    public function report(){
        
        $semesters = Semester::all();
        
        return view('semester.report',compact('semesters'));
    }
    
    public function edit($semester_id){
        
        $courses = Course::all();
        $semester_det = Semester::find(decrypt($semester_id));
        
        return view('semester.edit',compact(array('semester_det','courses')));
    }
    
    public function update(Request $request){
        
        $semester_id = decrypt($request->semester_id);
        $validated = $request->validate([
            'semester_name' => 'required|unique:semesters,semester_name,'.$semester_id.',semester_id',
        ]);
        
        $semester = Semester::find($semester_id);
        $semester->update([
            'course_id' => $request->course_id,
            'semester_name' => $request->semester_name
        ]);
        
        if($semester){
            $msg_array = array('message'=>'Semester Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Semester Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('semester')->with($msg_array);
    }
    
    public function delete($semester_id){
        
        $semester = Semester::find(decrypt($semester_id))->delete();
    
        $msg_array = array('message'=>'Semester Deleted Successfully !','alert-type'=>'success');
        return redirect()->route('semester')->with($msg_array);
    }

    
        public function semesteryear(){
        $acyears = Acyear::all();
        $courses = Course::all();
         
        return view('semester.semesteryear',compact('courses','acyears'));
    }


    public function semesteryear_get(Request $request){
        
        $ac_det = Acyear::find($request->aid);
        $crs_det = Course::find($request->cid);
         $semester = Semester::where('course_id',$request->cid)->get();
        
      $semesteryear=SemesterYear::join('semesters','semesters.semester_id','=','semester_year_setting.semester_id')->where(array('semesters.course_id'=>$request->cid))->where(array('semester_year_setting.ac_id'=>$request->aid))->get();

        return view('semester.semesteryear_get',compact('ac_det','crs_det','semester','semesteryear'));
    } 


    public function semesteryear_save(Request $request)
    {
      $validated = $request->validate([
            'ac_id' => 'required',
            'course_id' => 'required',
            
        ]);  
        $ac_id=$request->ac_id; 
        $course_id=$request->course_id; 
        $semester_id=$request->semester_id;
        $start = $request->start;
        $end = $request->end;
      
      foreach($semester_id as $key=>$value)
       {
           
        if( $start[$key]!='0000-00-00' && $start[$key]!='1970-01-01' && $end[$key]!='0000-00-00' && $end[$key]!='1970-01-01'){ 
            
           $semesters=SemesterYear::updateOrCreate(
            [
            'ac_id' =>$ac_id,
            'course_id'=>$course_id,
            'semester_id'=>$value
            ],[
           'start_date' => $start[$key],
           'end_date' => $end[$key],
          ]
          );
           
        }
       }
         if($semesters){
            $msg_array = array('message'=>'Semester Year Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Semester Year not be Added !','alert-type'=>'error');
        }
        return redirect()->route('semesteryear')->with($msg_array);
        
    }
    
    
    
    
    
    
    
}
