<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Student;
use App\Models\Acyear;
use App\Models\User;
use App\Models\ClassTeacher;
use App\Models\Promote;
use App\Models\BirthdayWishStu;


use DB;
use Illuminate\Support\Facades\Auth;
 
class StaffDashboard extends Controller
{
   public function birthday_stu()
   {
       $userId = Auth::id();
       $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
$staffSemesterId = ClassTeacher::where('user_id', $userId)->value('semester_id');
$staffCourseId = ClassTeacher::where('user_id', $userId)->value('course_id');
$staffacId=ClassTeacher::where('ac_id',$ac_id)->first();
 $todayBirthdayCount = Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
        ->where('promotes.semester_id', $staffSemesterId)
        ->where('promotes.course_id', $staffCourseId)
        ->where('promotes.ac_id',$staffacId)
        ->whereRaw('DATE_FORMAT(students.dob, "%m-%d") = ?', [date('m-d')]) 
        ->get();
         
        
  
            return view('staffdashboard.birthday',compact('todayBirthdayCount'));
   }
   
   public function birthday_stu_msg(Request $request)
   {
       
        $student_id=Student::find($request->student_id);
       
        $userId = Auth::id();
        
        $message=$request->message;
       $exist=BirthdayWishStu::where('to',$student_id->student_id)->where('from',$userId)->exists();
       if(!$exist)
       {
            $wish=BirthdayWishStu::create([
            'to'=>$student_id->student_id,
            'from'=>$userId,
            'message'=>$message,
            
            ]);
       }
    
            return redirect()->route('dash.birthday.student');
        
    }
   
   public function birthday_stu_count()
   {
       $userId = Auth::id();
     $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
$staffSemesterId = ClassTeacher::where('user_id', $userId)->value('semester_id');
$staffCourseId = ClassTeacher::where('user_id', $userId)->value('course_id');
$staffacId=ClassTeacher::where('ac_id',$ac_id)->first();
 $todayBirthdayCount = Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
        ->where('promotes.semester_id', $staffSemesterId)
        ->where('promotes.course_id', $staffCourseId)
         ->where('promotes.ac_id',$staffacId)
        ->whereRaw('DATE_FORMAT(students.dob, "%m-%d") = ?', [date('m-d')]) 
        ->count();
        
     $todayStudentCount = Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
        ->where('promotes.semester_id', $staffSemesterId)
        ->where('promotes.course_id', $staffCourseId)
        ->where('promotes.ac_id',$ac_id)
        ->count();  
        
        
        $data=array('0'=>$todayBirthdayCount,'1'=>$todayStudentCount);
        
        
        
        echo json_encode($data);
        
         
   }
   
   public function student_total()
   {
      
       return view('staffdashboard.student_total');
     
   }
   
   public function student_total_ajax(Request $request)
   {
            $col_order = ['adno','name','fname','mname','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
        $userId = Auth::id();
        $staffSemesterId = ClassTeacher::where('user_id', $userId)->value('semester_id');
        $staffCourseId = ClassTeacher::where('user_id', $userId)->value('course_id');
        $query  =Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
        ->join('courses','promotes.course_id','=','courses.course_id')
         ->join('semesters','promotes.semester_id','=','semesters.semester_id')
        ->where('promotes.semester_id', $staffSemesterId)
        ->where('promotes.course_id', $staffCourseId)
        ->where('promotes.ac_id',$current_academic_year_id);
      
        
                    
                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('name','like','%'.$search.'%')->
                    orWhere('mobile','like','%'.$search.'%')->
                    orWhere('course_name','like','%'.$search.'%')->
                    orWhere('semester_name','like','%'.$search.'%');
                        });
                    }
        $total_filtered = $query->count();
        $students  =   $query->select('students.*','courses.course_name','semesters.semester_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
        
        
        
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = wordwrap($student->name, 20, "<br />\n");
                $row['fathername'] = wordwrap($student->fname, 20, "<br />\n");
                $row['mothername'] = wordwrap($student->mname, 20, "<br />\n");
                $row['mobile'] = $student->mobile;
                $row['course'] = wordwrap($student->course_name, 20, "<br />\n");
                $row['semester'] = $student->semester_name;
               
                
                $html="";
                
                $row['action'] = $html;
               
                
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
   }
   

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
}
