<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\TcRequestStudent;
use App\Models\Studentleavetype;
use App\Models\ClassTeacher;
use App\Models\Acyear;
use App\Models\StudentLeaveRequest;
use App\Models\SpecialClassAdd;
use App\Models\Promote;
use App\Models\AddTutorial;
use App\Models\Fee;
use App\Models\Student;
use App\Models\Paymentmode;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Subject;
use App\Models\StudentAttendance;
use App\Models\Clubs;
use App\Models\RequestJoinClub;
use App\Models\FeedbackType; 
use App\Models\FeedbackMainCri; 
use App\Models\FeedbackSubCri; 
use App\Models\StudentStaffFdbk; 
use App\Models\StaffSubject; 
use App\Models\StudentCollegeFdbk; 
use App\Models\FyugpExams; 
use App\Models\FyugpExamSubject; 
use App\Models\Books;

use App\Models\Libmainloc; 
use App\Models\Libcategory;
use App\Models\Libsubloc; 
use App\Models\Libsubcategory; 
use App\Models\Membershiptype;
use App\Models\Membership;
use App\Models\BookIssueList;
use App\Models\LibraryMemberDue;
use App\Models\LibraryMemberDueList;
use App\Models\BookReservationList;
use DB;

use App\Models\Timetable;
use App\Models\DayOfWeek;
use App\Models\Periods;

use App\Models\FYUGPPATHWAY; 
use App\Models\FyugpStudSub;
use App\Models\FyugpStudSubPreferences;
use App\Models\FYUGPSTUDPATHWAY;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Carbon;
class StudentLogin extends Controller
{
   public function studenttc()
   {
       
        $studentId = Auth::guard('student')->id();
        $requestTo=User::where('type_id','13')->get();
        return view('studentlogin.tc.studenttc',compact('requestTo','studentId'));
      
   }
public function studenttc_save(Request $request)
{
     $validated = $request->validate([
            'date' => 'required',
            'remarks' =>'required',
            'user_id'=>'required',
        ]);
        $studentId = Auth::guard('student')->id();
        $date=$request->date;
        $remarks=$request->remarks;
        $request_to=$request->user_id;
        $tcrequest=TcRequestStudent::create([
            'user_id'=>$request_to,
            'request_from'=>$studentId,
            'date'=>$date,
            'remarks'=>$remarks,
            ]);
            if($tcrequest)
            {
                $msg_array=array('message','Your request for TC has been sent successfully.','success');
            }
            else
            {
                $msg_array=array('message','Your request for TC could not be sent.','error');
            }
        return redirect()->route('studenttc')->with($msg_array);
        
}
    
    public function studenttc_report()
    {
        $studentId = Auth::guard('student')->id();
        $tcreport=TcRequestStudent::where('request_from',$studentId)->get();
        return view('studentlogin.tc.studenttc_report',compact('tcreport'));
        
    }
    
    
    
    public function studentleaverequest()
    {
        $studentId = Auth::guard('student')->id();
        $studentLeaveType=Studentleavetype::all();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
       $request = User::join('classteacher','users.user_id','=','classteacher.user_id')->
       join('students','classteacher.course_id', '=', 'students.course_id')
    ->join('promotes', 'classteacher.semester_id', '=', 'promotes.semester_id')
    ->join('promotes as student_promotes', 'students.student_id', '=', 'student_promotes.student_id')
    
    ->where('student_promotes.ac_id', $ac_id)
    ->where('students.student_id', $studentId)
    ->select('users.name as uname','users.user_id','students.*')
    ->first();

       
       return view('studentlogin.leave.studentleaverequest',compact('request','studentLeaveType'));
    }
    
    
    public function studentleaverequest_save(Request $request)
    {
            $validated = $request->validate([
            'lfrom' => 'required',
            'luntil' => 'required',
            'stuleav_id'=>'required',
            'reason'=>'required',
            // 'user_id'=>'required',
          
        ]);
        $fulltime = $request->has('fulltime') ? true : false;
        $current_date = date('Y-m-d');
        $studentId = Auth::guard('student')->id();
         $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
         $requestUser = User::join('classteacher','users.user_id','=','classteacher.user_id')->
       join('students','classteacher.course_id', '=', 'students.course_id')
    ->join('promotes', 'classteacher.semester_id', '=', 'promotes.semester_id')
    ->join('promotes as student_promotes', 'students.student_id', '=', 'student_promotes.student_id')
    
    ->where('student_promotes.ac_id', $ac_id)
    ->where('students.student_id', $studentId)
    ->select('users.name as uname','users.user_id','students.*')
    ->first();
        
        
        
        
        $leavrequest= StudentLeaveRequest::create([
            'lfrom'=>$request->lfrom,
             'luntil'=>$request->luntil,
            'date'=>$current_date,
            'stuleav_id'=>$request->stuleav_id,
             'reason'=>$request->reason,
              'user_id'=> $requestUser->user_id,
              'student_id'=>$studentId,
              'status'=>'0',
              'fulltime'=>$fulltime,
            ]);
      if($leavrequest)
      {
          $msg_array=array('message'=>'Your leave request has been submitted successfully','success');
      }
      else
      {
    $msg_array=array('message'=>'Unable to submit your request.','error');
  
    }
    return redirect()->route('studentlog.leave.request')->with($msg_array);
    }
    
   public function studentleaverequest_report()
   {
       $studentId = Auth::guard('student')->id();
       $leavrequest= StudentLeaveRequest::where('student_id',$studentId)->get();
       return view('studentlogin.leave.studentleaverequest_report',compact('leavrequest'));
   }
    
    public function specialclass()
    { 
        $studentId = Auth::guard('student')->id();
         
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        
    $courseId = Promote::where('student_id', $studentId)
        ->where('ac_id', $ac_id)
        ->value('course_id');
     
     
      $spclclass = SpecialClassAdd::join('promotes', 'promotes.semester_id', '=', 'add_specialclass.semester_id')
        ->join('students', 'students.student_id', '=', 'promotes.student_id')
        ->where('promotes.ac_id', $ac_id)
        ->where('students.student_id', $studentId)
        ->where('promotes.course_id', $courseId) 
        ->distinct()
        ->select('add_specialclass.*')
        ->get();

    return view('studentlogin.specialclass.specialclass',compact('spclclass'));
        
        
        
    }
 public function tutorial()
 {
     $studentId = Auth::guard('student')->id();
     $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
         $courseId = Promote::where('student_id', $studentId)
        ->where('ac_id', $ac_id)
        ->value('course_id');
        $tutorial=AddTutorial::join('promotes', 'promotes.semester_id', '=', 'add_tutorial.semester_id')
        ->join('students', 'students.student_id', '=', 'promotes.student_id')
        ->where('promotes.ac_id', $ac_id)
        ->where('students.student_id', $studentId)
        ->where('promotes.course_id', $courseId) 
        ->distinct()
        ->select('add_tutorial.*')
        ->get();
       return view('studentlogin.tutorial.tutorial',compact('tutorial'));
 }
    
  public function studentfee()
  {
       $student_det = Auth::guard('student')->id();
      
         $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_det)->get();
         $grouped_payments = $paid_history->groupBy('receipt_no'); 
         $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
         $ac_id=$cur_acyear->ac_id;
         $student_promote  =  Student::join('promotes','students.student_id','=','promotes.student_id')->
                        join('courses','promotes.course_id','=','courses.course_id')->
                        join('semesters','promotes.semester_id','=','semesters.semester_id')->
                        where('promotes.ac_id',$cur_acyear->ac_id)->where('promotes.student_id',$student_det)->groupBy('promotes.student_id')->get();

                    
                    // ->groupBy('promotes.student_id')->get();
        // $student_promote=Student::join('promotes','promotes.student_id','=','students.student_id')->where('students.student_id',$student_id)->get();
         $paymode=Paymentmode::all();
        $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_det)->get();
        $grouped_payments = $paid_history->groupBy('receipt_no');
    $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student_det)->get();
      return view('studentlogin.fees.studentfee',compact('grouped_payments','student_det','student_promote','grouped_payments','semester'));

  }
  public function searchstudent_payment_print($rec_no,$paid_date)
  {
      
       
   
   $student_payment=Fee::where('receipt_no',$rec_no)->where('paid_date',$paid_date)->get();
   $ins_det = instituteDetails();  

  return view('studentlogin.fees.searchstudent_payment_print',compact('student_payment','ins_det'));
       
  
      
      
  }
  
  public function studentfeedue()
  {
        $student = Auth::guard('student')->id();
       
        $cdate = date('Y-m-d');
       
        $fees = Fee::studentFees(($student),$cdate);
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id=$cur_acyear->ac_id;
        $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student)->get();


        return view('studentlogin.fees.studentfeedue',compact('student','fees','semester'));
  }
  
  public function studentattendance()
  {
      $student = Auth::guard('student')->id();
      $sem=Student::join('promotes','students.student_id','=','promotes.student_id')->
      join('courses','courses.course_id','=','promotes.course_id')->
      join('semesters','semesters.semester_id','=','promotes.semester_id')->
      where('students.student_id',$student)->select('promotes.semester_id','semesters.*','promotes.course_id','courses.*')->get();
       
     $course=Student::join('courses','courses.course_id','=','students.course_id')->where('students.student_id',$student)->first();
     
     return view('studentlogin.attendance.studentattendance',compact('student','sem','course'));
    
  }
  

 public function studentattendance_report(Request $request)
{
    $course = Course::find($request->tid);
    $semester = Semester::find($request->did);
    $fromDate = $request->input('fdate');
    $toDate = $request->input('tdate');
    $studentId = Auth::guard('student')->id();

  
     $studentAttendance = StudentAttendance::join('subjects', 'student_attendance.subject_id', '=', 'subjects.subject_id')
        ->where('student_attendance.course_id', $request->tid)
        ->where('student_attendance.semester_id', $request->did)
        ->where('student_attendance.student_id', $studentId)
        ->whereBetween('date', [$fromDate, $toDate])
        ->select('subjects.subject_name', 'student_attendance.am', 'student_attendance.pm')
        ->get()
        ->groupBy('subject_name');
        
        $markedDays = StudentAttendance::where('student_attendance.course_id', $request->tid)
        ->where('student_attendance.semester_id', $request->did)
        ->where('student_attendance.student_id', $studentId)
        ->whereBetween('date', [$fromDate, $toDate])
        ->distinct('date')
        ->count('date');
        
       
        

    $attendanceSummary = [];
   
   
    $student = Student::join('promotes', 'promotes.student_id', '=', 'students.student_id')
        ->where('promotes.course_id', $request->tid)
        ->where('promotes.semester_id', $request->did)
        ->where('students.student_id', $studentId)
        ->first();

    $presentDays = 0;
    $absentDays = 0;
    $halfDayLeaves = 0;

 foreach ($studentAttendance as $subjectName => $attendances) {
        $presentDays = 0;
        $absentDays = 0;
        $halfDayLeaves = 0;

        foreach ($attendances as $attendance) {
            if ($attendance->am == 0 && $attendance->pm == 0) {
                $presentDays++;
            } elseif ($attendance->am == 1 && $attendance->pm == 1) {
                $absentDays++;
            } elseif (($attendance->am == 1 && $attendance->pm == 0) || ($attendance->am == 0 && $attendance->pm == 1)) {
                $halfDayLeaves++;
            }
        }

        $totalDays = $presentDays + $absentDays + ($halfDayLeaves * 0.5);
        $attendancePercentage = $totalDays > 0 ? ($presentDays + ($halfDayLeaves * 0.5)) / $totalDays * 100 : 0;

        $attendanceSummary[] = [
            'subject_name' => $subjectName,
            'present_days' => $presentDays,
            'absent_days' => $absentDays,
            'half_day_leaves' => $halfDayLeaves,
            'attendance_percentage' => round($attendancePercentage, 2),
        ];
    }

   

    return view('studentlogin.attendance.studentattendance_report', compact('course', 'semester', 'fromDate', 'toDate', 'attendanceSummary', 'markedDays', 'studentAttendance'));
}
  
  public function requestclub()
  {
      $studentId = Auth::guard('student')->id();
        $clubs = Clubs::all()->map(function ($club) {
       
        $userIds = explode(',', $club->user_ids); 
    
        $club->staff = User::whereIn('user_id', $userIds)->get(); 
        return $club;
    });

      return view('studentlogin.clubs.requestclub',compact('clubs'));
  }
  
  public function requestclubjoin($club_id)
{
     
    $club = Clubs::find($club_id);

    if (!$club) {
        return response()->json([]);
    }

    $userIds = explode(',', $club->user_ids);
    $staff = User::whereIn('user_id', $userIds)->get(['user_id', 'name']);

    return response()->json($staff->pluck('name', 'user_id'));
    
}


public function requestclubjoin_save(Request $request)
{
       
    $validated = $request->validate([
    'club_id' => 'required|exists:add_clubs,club_id',
    'user_id' => 'required|exists:users,user_id', 
]);

   $club_id = $request->club_id;
  
    $staff = $request->user_id; 
   
    $studentId = Auth::guard('student')->id();
    $date = $request->date;

  
    $joinRequest = RequestJoinClub::create([
        'student_id' => $studentId,
        'club_id' => $club_id,
        'user_id' => $staff, 
        'date' => $date,
        'status'=>'0',
    ]);

  
    if ($joinRequest) {
        $msg_array = ['message' => 'Club Added Successfully!', 'alert-type' => 'success'];
    } else {
        $msg_array = ['message' => 'Club Could not be Added!', 'alert-type' => 'error'];
    }

   
    return redirect()->route('studentlog.club')->with($msg_array);

}
    
   public function feedback()
   {
    //   $staff=User::all();
        $studentId = Auth::guard('student')->id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
      $staff=StaffSubject::join('users','users.user_id','=','staff_subject.user_id')->
      join('students','students.course_id','=','staff_subject.course_id')->
      join('promotes','promotes.student_id','students.student_id')->
      join('promotes as pro','pro.semester_id','=','staff_subject.semester_id')->
      where('promotes.student_id',$studentId)->
      where('promotes.ac_id',$ac_id)->select('users.user_id', 'users.name')->
      distinct()->
      get();
      
       return view('studentlogin.feedbacks.feedback',compact('staff'));
   }
    
    public function feedback_get(Request $request)
    {
      $staff = User::find($request->cid);
    
 
    $feedback = FeedbackMainCri::where('fdbktyp_id', '2')->get();
    
   
    $criteriaWithSubcriteria = [];

  
    foreach ($feedback as $mainCriterion) {
   
        $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();

     
        $criteriaWithSubcriteria[] = [
            'mainCriterion' => $mainCriterion,
            'subcriteria' => $subcriteria,
        ];
    }

    
    return view('studentlogin.feedbacks.feedback_get', compact('criteriaWithSubcriteria','staff'));
    }
    
    public function feedback_save(Request $request)
    {
          $request->validate([
        'rating_*' => 'required|string', 
        'fdbkmainc_id' => 'required|array'
    ]);
    $user_id=$request->user_id;
    $studentId = Auth::guard('student')->id();
    $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    
    $existfeedback=StudentStaffFdbk::where('student_id',$studentId)->where('ac_id',$ac_id)->where('user_id',$user_id)->exists();
    
if ($existfeedback) {
    return redirect()->route('studentlog.feedback')->with('error', 'Feedback already submitted for this academic year!');
}
 foreach ($request->fdbkmainc_id as $mainCriId) {
    if (isset($request->rating[$mainCriId])) {
        foreach ($request->rating[$mainCriId] as $subCriterionId => $value) {
            DB::table('student_staff_feedback')->insert([
                'ac_id' => $ac_id,
                'user_id' => $request->user_id,
                'student_id' => $studentId,
                'fdbkmainc_id' => $mainCriId,
                'fdbksubc_id' => $subCriterionId,
                'rating' => $value,
                'date' => now(),
            ]);
        }
    }
}
   
   return redirect()->route('studentlog.feedback')->with('success','Feedback submitted successfully!');
   
    }
public function feedback_college()
{
    $studentId = Auth::guard('student')->id();
    $feedback = FeedbackMainCri::where('fdbktyp_id', '1')->get();
    $criteriaWithSubcriteria = [];

  
    foreach ($feedback as $mainCriterion) {
   
        $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();

     
        $criteriaWithSubcriteria[] = [
            'mainCriterion' => $mainCriterion,
            'subcriteria' => $subcriteria,
        ];
    }
    return view('studentlogin.feedbacks.feedback_college',compact('feedback','criteriaWithSubcriteria','studentId'));
}

  public function feedback_college_save(Request $request)
  {
     $request->validate([
        'rating_*' => 'required|string', 
        'fdbkmainc_id' => 'required|array'
    ]);
   
    $studentId = Auth::guard('student')->id();
    $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    $existfeedback=StudentCollegeFdbk::where('student_id',$studentId)->where('ac_id',$ac_id)->exists();
    
if ($existfeedback) {
    return redirect()->route('studentlog.feedback.college')->with('error', 'Feedback already submitted for this academic year!');
}
      
   

    foreach ($request->fdbkmainc_id as $mainCriId) {
          if (isset($request->rating[$mainCriId])) {
    foreach($request->rating[$mainCriId] as $subCriterionId => $value)
    {
        
              
                DB::table('student_college_feedback')->insert([
                'ac_id'=>$ac_id,
                'student_id'=>$studentId,
                'fdbkmainc_id'=>$mainCriId,
                'fdbksubc_id' => $subCriterionId,
                'rating' => $value,
                'date' => now(), 
            ]);
        
    }
          } 
    }
   
   return redirect()->route('studentlog.feedback.college')->with('success', 'Feedback submitted successfully!');
     
  }
  
  public function examtimetable()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     return view('studentlogin.exam.examtimetable',compact('student','courses'));
     
  }
  public function sem($course_id)
  {
      
        $semesters = array();
        $rows = Semester::where('course_id',$course_id)->get();
        foreach($rows as $row){
            $semesters[$row->semester_id] = $row->semester_name;
        }
        return json_encode($semesters);
    
  }
  
  public function geteseexam(Request $request)
  {
       $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = FyugpExams::where('course', $course_id)->where('sem', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
            $exam[$row->id ] = $row->exam_name;
        }
        return json_encode($exam);
  }
  
  
   public function geteseexam_get(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_id = $request->exam_id;
        $ac_id = getAcyear();
        
        $studentId = Auth::guard('student')->id();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        return view('studentlogin.exam.geteseexam_get',compact('course','semester_id','examsubjects','ac_id','exam_id','exam_name','subjects','studentId'));
         
     }
  
  public function geteseexam_print($course,$semester_id,$exam_id)
  {
      $ins_det = instituteDetails();
        // $ac_id = getAcyear();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $studentId = Auth::guard('student')->id();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();
       
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
       $student=Student::join('promotes','promotes.student_id','=','students.student_id')
       ->join('courses','courses.course_id','=','promotes.course_id')
       ->join('semesters','semesters.semester_id','=','promotes.semester_id')
       ->where('promotes.ac_id',$ac_id)
       ->where('promotes.course_id',$course)
       ->where('promotes.semester_id',$semester_id)
       ->where('students.student_id',$studentId)
       ->select('students.*','courses.course_name','semesters.semester_name')
       ->first();
            
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('studentlogin.exam.print_exam_report_student',compact('ac_id','ins_det','cur_acyear','course_name','sem_name','semester_id','examsubjects','exam_name','exam_id','student'));
      
  }
  public function requestclub_report_join()
  {
       $studentId = Auth::guard('student')->id();
      $requests=RequestJoinClub::join('students','students.student_id','=','join_request_club.student_id')
      ->join('add_clubs','add_clubs.club_id','=','join_request_club.club_id')
      ->where('join_request_club.student_id',$studentId)
      ->select('students.name','students.adno','join_request_club.*','add_clubs.club_name')
      ->get();
      return view('studentlogin.clubs.requestclub_report_join',compact('requests'));
  }
  
  public function libcateg($categ_id)
  {
      
        $subcateg = array();
        $rows = Libsubcategory::where('libcat_id',$categ_id)->get();
        foreach($rows as $row){
            $subcateg[$row->libsub_id] = $row->subcategory;
        }
        return json_encode($subcateg);
    
  }
  
  
  public function reservebooks()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
      $category = Libcategory::all();
     return view('studentlogin.library.book_reservation',compact('student','courses','mem_det','category'));
     
  }
  
  public function book_reserve_get(Request $request)
     {
      
        $categ_id = $request->categ_id;
        $subcateg_id = $request->subcateg_id;
        $date = $request->date;
        $ac_id = getAcyear();
        $category = Libcategory::all();
        $studentId = Auth::guard('student')->id();
        $subcategory = Libsubcategory::where('libcat_id',$categ_id)->get();
         $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
        $books = Books::where('categ_id', $categ_id)
              ->where('subcateg_id', $subcateg_id)
              ->get();
              $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
        $issuecnt = BookIssueList::where('member_type',2)->where('member_id',$studentId)->where('status',0)->count();
        $mperiod = Membershiptype::where('mmbrtyp_id',2)->first();
        $max_allowed_book= $mperiod->book_nums;
        return view('studentlogin.library.book_reservation_get',compact('categ_id','subcateg_id','date','ac_id','category','subcategory','books','studentId','max_allowed_book','issuecnt','mem_det'));
         
     }
     
      public function reservebooks_save(Request $request){
        $categ_id = decrypt($request->categ_id);
        $subcateg_id = decrypt($request->subcateg_id);
        $date = decrypt($request->date);
        $studentId = Auth::guard('student')->id();
        $ac_id = getAcyear();
        $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
         $mperiod = Membershiptype::where('mmbrtyp_id',2)->first();
            $validity_periods = $mperiod->valid_period;
            $return_time = strtotime($date)+($validity_periods*86400);
	        $return_date = date('Y-m-d', $return_time);
	        $issuecnt = BookIssueList::where('member_type',2)->where('member_id',$studentId)->where('status',0)->count();
	        $reservecnt = BookReservationList::where('member_type',2)->where('member_id',$studentId)->where('lib_status',0)->count();
	        $max_allowed_book= $mperiod->book_nums;
	        $cnt_tot = $reservecnt+$issuecnt;
	        $i=0;$j=0;$cnt_tot1=0;
	         if($max_allowed_book >= $cnt_tot)
	         {
        
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $checkissue = BookIssueList::where([
                'mem_det_id' => $mem_det->id,
                'member_type' => 2,
                'member_id' => $studentId,
                'book_id' => $ids,
                 'status' => 0,
               
            ])->first();
            if(!$checkissue){
                 $check = BookReservationList::where([
                'mem_det_id' => $mem_det->id,
                'member_type' => 2,
                'member_id' => $studentId,
                'book_id' => $ids,
                 'lib_status' => 0,
               
            ])->first();
                
            
             if(!$check){
                $issuecnt1 = BookIssueList::where('member_type',2)->where('member_id',$studentId)->where('status',0)->count();
	            $reservecnt1 = BookReservationList::where('member_type',2)->where('member_id',$studentId)->where('lib_status',0)->count();
	            $cnt_tot1 =$issuecnt1+$reservecnt1;
    	         if($max_allowed_book >= $cnt_tot1)
    	         {
                    $bkreservelist = BookReservationList::create([
                      'mem_det_id' =>$mem_det->id,
                      'member_id' => $studentId,
                      'member_type' => 2,
                      'book_id' => $ids,
                      'date' => $date,
                      'return_date'=>$return_date,
                      'return_date' => $date,
                      'lib_status'=>0,
                   
                                
                     ]);
                     $i++;
    	         }
            }else{ $j=1; }
            }else{ $j=3; }
        }
	       }  }else{ $j=2; }
         if($i>0){
            $msg_array = array('message'=>'Book reserved Successfully !','alert-type'=>'success');
        }else{
            if($j == 0){
            $msg_array = array('message'=>'Book Could not be reserved !','alert-type'=>'error');
                
            }else if($j == 1){ 
                 $msg_array = array('message'=>'Same request already exists for approval  !','alert-type'=>'error');
            }else if($j == 2){
                $msg_array = array('message' => 'Sorry! Maximum allowed books are ' . $max_allowed_book . '!', 'alert-type' => 'error');
            }
            else if($j == 3){
                $msg_array = array('message' => 'Same book already issued !', 'alert-type' => 'error');
            }
    
        }
          return redirect()->route('studentlog.reservebooks')->with($msg_array);   
      }
      
       public function reservelist()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
      $category = Libcategory::all();
      $status_array = [
    0 => '<span style="color:#06C;font-weight:bold; font-size:12px;">Pending...</span>',
    1 => '<span style="color:#093;font-weight:bold; font-size:12px;">Approved !</span>',
    2 => '<span style="color:#990000;font-weight:bold; font-size:12px;">Rejected !</span>',
    3 => '<span style="color:#F93;font-weight:bold; font-size:12px;">Cancelling...</span>',
];
$reservelist = BookReservationList::where('member_type',2)->where('member_id',$studentId)->get();
     return view('studentlogin.library.book_reservelist',compact('student','courses','mem_det','category','status_array','reservelist'));
     
  }
  
  public function reservelist_cancel($aid){
        
        $bookreservationlist = BookReservationList::find(decrypt($aid));
        
        if($bookreservationlist){
            if($bookreservationlist->count() > 0){
                
                 $bookreservationlist->update([
                'lib_status' => 3,
                
            ]);
                
                $msg_array = array('message'=>'Book Reservation Cancelled Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Book Reservation Could not be Cancelled !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('studentlog.reservelist')->with($msg_array);
    } 
    
    public function book_duereport(){
        $acyears = Acyear::all();
        $studentId = Auth::guard('student')->id();
        $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
        return view('studentlogin.library.book_duereport',compact('acyears','studentId','mem_det'));
    }
    
    
    public function book_duereport_get(Request $request)
    {
          $studentId = Auth::guard('student')->id();
          $col_order = ['issue_date','book_no','title','author','act_return_date','returning_date','amount','status'];
          $total_data = BookIssueList::where('member_id',$studentId)->where('member_type',2)->whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          $to_date = date('Y-m-d');
          $query  =   BookIssueList::join('member_details','book_issue_list.mem_det_id','=','member_details.id')->
                    join('lib_membership_type','book_issue_list.member_type','=','lib_membership_type.mmbrtyp_id')->
                    join('books','book_issue_list.book_id','=','books.id');
                   
                    $query->where('book_issue_list.member_type',2);
                    $query->where('book_issue_list.member_id',$studentId);
                    
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('author','like','%'.$search.'%')->
                            orWhere('title','like','%'.$search.'%')->
                            orWhere('book_no','like','%'.$search.'%');
                           
                        });
                    }
                    
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_issue_list.*','member_details.memb_no','books.title','books.author','books.book_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();  
        
            $data = array();    
            if($bookissuelist){
             foreach($bookissuelist as $bkissue){ 
                            if($bkissue->status == 0)
                            {
                            $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $to_date,$bkissue->id);
                            }
                            else
                            {
                               $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $bkissue->act_return_date,$bkissue->id); 
                            }
                            $row['issue_date'] = date('d-m-Y',strtotime($bkissue->issue_date));
                            $row['book_no'] = $bkissue->book_no;
                            $row['title'] = $bkissue->title;
                            $row['author'] = $bkissue->author;
                            $row['act_return_date'] = date('d-m-Y',strtotime($bkissue->act_return_date));
                            if($bkissue->status == 1)
                            {
                            $row['returning_date'] = date('d-m-Y',strtotime($bkissue->returning_date));
                            }
                            else
                            {
                                $row['returning_date'] ='';
                            }
                            $row['due_days'] = $fineInfo['total_due_days'];
                            $row['amount'] = $fineInfo['fine_amount'];
                            if($bkissue->status == 0)
                            { $status="Issued";
                            $row['status'] = '<font color="blue">'.$status.'</font>';
                            }
                            else if($bkissue->status == 1)
                            {
                                $status="Returned";
                                $row['status'] = '<font color="green">'.$status.'</font>';
                            }
                            $data[] = $row;
             }
             
            }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);  
    
    }  
    public function econtent()
    {
        $studentId = Auth::guard('student')->id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
       $student = Student::join('promotes', 'promotes.student_id', '=', 'students.student_id')
      ->join('econtent',function($join)
      {
          $join->on('econtent.course_id','=','promotes.course_id')
          ->on('econtent.semester_id','=','promotes.semester_id');
      })
      
   
    ->where('promotes.ac_id', $ac_id)
    ->where('students.student_id', $studentId)
    ->distinct() 
    ->get();
        return view('studentlogin.econtent.econtent',compact('student'));
    }
    
    public function timetable(){
       $studentId = Auth::guard('student')->id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      
      $semlist=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.course_id',$student->course_id)
      ->select('semesters.semester_name','semesters.semester_id')
      ->get();
       // $semlist = Semester::where('course_id',$course)->get();
        return view('studentlogin.timetable.view_timetable',compact('studentId','semlist'));

        
    }
    
    public function timetable_get(Request $request)
    {
      
       $studentId = Auth::guard('student')->id();
       $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
       $ac_id = $currentAcyear->ac_id;
        $semester_id = $request->semester_id;
         $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
       $semlist=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.course_id',$student->course_id)
      ->select('semesters.semester_name','semesters.semester_id')
      ->get();
      
      $getDayOfWeek = DayOfWeek::all();
       $periods = Periods::where('acyear', $ac_id)->get();
       $timetable = Timetable::where('acyear', $ac_id)->where('course', $student->course_id)->where('semester', $semester_id)->get();
        return view('studentlogin.timetable.timetable_get',compact('studentId','semlist','semester_id','getDayOfWeek','periods','timetable','student','ac_id')); 
    }
    public function timetable_print($semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
         $studentId = Auth::guard('student')->id();
        $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
        $course = $student->course_id;
         $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $periods = Periods::where('acyear', $ac_id)->get();
        $staffsubjects = StaffSubject::where('acyear_id', $ac_id)->where('course_id',$course)->where('semester_id',$semester_id)->get();
        $getDayOfWeek = DayOfWeek::all();
        $periods = Periods::where('acyear', $ac_id)->get();
       $timetable = Timetable::where('acyear', $ac_id)->where('course', $course)->where('semester', $semester_id)->get();
        return view('studentlogin.timetable.timetable_print',compact('studentId','semester_id','getDayOfWeek','periods','timetable','student','ac_id','course_name','sem_name','ins_det')); 
    }
    
    public function preferences_add()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     return view('studentlogin.fyugp.add_preferences',compact('student','courses'));
     
  }
   public function preferences_get(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $studentId = Auth::guard('student')->id();
        $pathway_det=FYUGPSTUDPATHWAY::where('stud_id',$studentId)->first();
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $pathway_id = $pathway_det->pathway_id;
         $minorIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where([
        'subjects.subject_categ' => 2,
        'course_subject.semester_id' => $sem_name->semester_name,
    ])
    ->when($pathway_id == '1', function ($query) use ($course) {
        return $query->where('course_subject.course_id', $course);
    })
    ->select('subjects.*')
    ->get();

        $minorIIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 3,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                 ->when($pathway_id == '1', function ($query) use ($course) {
        return $query->where('course_subject.course_id', $course);
    })
                ->select('subjects.*')
                ->get();
                
         $mdcIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 4,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                 ->when($pathway_id == '1', function ($query) use ($course) {
        return $query->where('course_subject.course_id', $course);
    })
                ->select('subjects.*')
                ->get();
        $studminorI_first =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',1)->first();
        $studminorI_second =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',2)->first();
        $studminorI_third =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',3)->first();
        $studminorI_four =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',4)->first();
        $studminorI_five =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',5)->first();
        
        $studminorII_first =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',1)->first();
        $studminorII_second =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',2)->first();
        $studminorII_third =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',3)->first();
        $studminorII_four =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',4)->first();
        $studminorII_five =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',5)->first();
        
        $studmdcI_first =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',1)->first();
        $studmdcI_second =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',2)->first();
        $studmdcI_third =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',3)->first();
        $studmdcI_four =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',4)->first();
        $studmdcI_five =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',5)->first();

        
        return view('studentlogin.fyugp.get_preferences',compact('course','semester_id','ac_id','studentId','pathway_det','minorIsub','minorIIsub','mdcIsub','studminorI_first','studminorI_second','studminorI_third','studminorI_four','studminorI_five','studminorII_first','studminorII_second','studminorII_third','studminorII_four','studminorII_five','studmdcI_first','studmdcI_second','studmdcI_third','studmdcI_four','studmdcI_five'));
         
     }
     
     public function preferences_save(Request $request)
     {
         
        $course = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $studentId = Auth::guard('student')->id();
        $pathway_det=FYUGPSTUDPATHWAY::where('stud_id',$studentId)->first();
        $pathway_id = $pathway_det->pathway_id;
        $ac_id = getAcyear();
        $i=0;
        $minorI2 = $request->minorI2 ?? null;
        $minorII2 =$request->minorII2 ?? null;
        $mdcI2 = $request->mdcI2 ?? null;
        $minorI_prefII2 = $request->minorI_prefII2 ?? null;
        $minorI_prefIII2 = $request->minorI_prefIII2 ?? null;
        $minorI_prefIV2 = $request->minorI_prefIV2 ?? null;
        $minorI_prefV2 = $request->minorI_prefV2 ?? null;
        
        $minorII_prefII2 = $request->minorII_prefII2 ?? null;
        $minorII_prefIII2 = $request->minorII_prefIII2 ?? null;
        $minorII_prefIV2 = $request->minorII_prefIV2 ?? null;
        $minorII_prefV2 = $request->minorII_prefV2 ?? null;
        
        $mdcI_prefII2 = $request->mdcI_prefII2 ?? null;
        $mdcI_prefIII2 = $request->mdcI_prefIII2 ?? null;
        $mdcI_prefIV2 = $request->mdcI_prefIV2 ?? null;
        $mdcI_prefV2 = $request->mdcI_prefV2 ?? null;
                    if($minorI2)
                    {
                        
                         $check_preferencelist2 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist2){
                        
                       $preferencelist2 = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $minorI2,
                                
                                'type' => 1,
                                'sub_cat' =>2,
                                
                            ]); 
                        
                     $minorIlist2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'sub_id' => $minorI2,
                                'sub_cat' =>2,
                                
                            ]);
                            $i++;
                            
                    }
                    }  
                    
                     if($minorI_prefII2)
            {
                
                  $check_preferencelist21 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist21){
                
                
                
               $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefII2,
                        
                        'type' => 2,
                        'sub_cat' =>2,
                        
                    ]); 
                    $i++;
                    }
            }


            if($minorI_prefIII2)
            {
                $check_preferencelist23 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist23){ 
                
                
               $preferencelist23 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>2,
                        
                    ]); 
                    $i++;
                    }
            }

            if($minorI_prefIV2)
            {
                
                $check_preferencelist24 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist24){  
                
               $preferencelist24 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>2,
                        
                    ]); 
                    $i++;
                    }
            }


            if($minorI_prefV2)
            {
                
                $check_preferencelist25 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 5,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist25){   
                
                
               $preferencelist25 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefV2,
                        
                        'type' => 5,
                        'sub_cat' =>2,
                        
                    ]); 
                    $i++;
                    }
            }

         if($minorII2)
            {
                 $check_preferencelist2minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist2minor){   
                
                
                    $preferencelist2minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII2,
                        
                        'type' => 1,
                        'sub_cat' =>3,
                        
                    ]); 
                     $minorIlist2 = FyugpStudSub::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'sub_id' => $minorII2,
                        'sub_cat' =>3,
                        
                    ]);
                    
                     $i++;
                    }
            }
            
            if($minorII_prefII2)
            {
                
                $check_preferencelist3minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist3minor){ 
                
                    $preferencelist3minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefII2,
                        
                        'type' => 2,
                        'sub_cat' =>3,
                        
                    ]); 
                    $i++;
                    }
            }

            if($minorII_prefIII2)
            {
                
                $check_preferencelist4minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist4minor){ 
                
                    $preferencelist4minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>3,
                        
                    ]); 
                    $i++;
                    }
            }

            if($minorII_prefIV2)
            {
                $check_preferencelist5minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist5minor){ 
                
                    $preferencelist5minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>3,
                        
                    ]); 
                    $i++;
                    }
            }

            if($minorII_prefV2)
            {
                 $check_preferencelist6minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 5,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist6minor){ 
                
                    $preferencelist6minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefV2,
                        
                        'type' => 5,
                        'sub_cat' =>3,
                        
                    ]); 
                    $i++;
                    }
            }
            
             if($mdcI2)
            {
                $check_preferencelist1mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist1mdc){ 
                     $preferencelist1mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI2,
                        
                        'type' => 1,
                        'sub_cat' =>4,
                        
                    ]); 
                
                     $minorIlist2 = FyugpStudSub::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'sub_id' => $mdcI2,
                        'sub_cat' =>4,
                        
                    ]);
                    
                     $i++;
                    }
            }
            
            if($mdcI_prefII2)
            {
                $check_preferencelist2mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist2mdc){ 
                     $preferencelist2mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI_prefII2,
                        
                        'type' => 2,
                        'sub_cat' =>4,
                        
                    ]); 
                    $i++;
                    }
            }
            
             if($mdcI_prefIII2)
            {
                $check_preferencelist3mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist3mdc){ 
                     $preferencelist3mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>4,
                        
                    ]); 
                    $i++;
                    }
            }
             

          if($mdcI_prefIV2)
          {
              $check_preferencelist4mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist4mdc){ 
                $preferencelist4mdc = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $mdcI_prefIV2,
                                
                                'type' => 4,
                                'sub_cat' =>4,
                                
                            ]); 
                            $i++;
                    }
           }


             if($mdcI_prefV2)
             {
                 $check_preferencelist5mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 5,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist5mdc){ 
                  $preferencelist5mdc = FyugpStudSubPreferences::create([
                                    'stud_id' => $studentId,
                                    'acyear_id' => $ac_id,
                                    'course' => $course,
                                    'sem' => $sem_id,
                                    'pref_Id' => $mdcI_prefV2,
                                    
                                    'type' => 5,
                                    'sub_cat' =>4,
                                    
                                ]);
                                $i++;
                    }
            }
        
        if($i>0){
            $msg_array = array('message'=>'Student Preferences has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Preferences Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('studentlog.preferences')->with($msg_array);
      
    
     }
}
