<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\StudentStaffFdbk; 
use App\Models\FeedbackMainCri; 
use App\Models\FeedbackSubCri; 
use App\Models\Acyear; 
use App\Models\StudentCollegeFdbk; 
use App\Models\Course; 
use App\Models\Semester; 


use Carbon\Carbon;
use PDF;
class feedback extends Controller
{
    public function staff_feedback()
    {
        $user=User::where('status','1')->get();
        
        return view('feedback.staff_feedback',compact('user'));
    }

    
    public function getstafffeedback_get(Request $request)
{
   
    $staff =User::find($request->uid);

    $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id=$cur_acyear->ac_id;

 
    $feedback = FeedbackMainCri::where('fdbktyp_id', '2')->get();
    

    $criteriaWithSubcriteria = [];

    
 
 foreach ($feedback as $mainCriterion) {
    $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();
    
    $ratingCounts = [];
    $courses = []; 
    foreach ($subcriteria as $subcriterion) {
      
        $ratings = StudentStaffFdbk::with('student.course')
            ->where('fdbksubc_id', $subcriterion->fdbksubc_id)
            ->where('user_id', $request->uid)
            ->where('ac_id',$ac_id)
            ->select('rating', 'student_id','user_id')
            ->get();

        
        $counts = $ratings->groupBy('rating')->map(function ($items) {
            return count($items);
        });

      
        foreach ($ratings as $rating) {
            if ($rating->student && $rating->student->course) {
                $courses[$rating->student->course->course_id] = $rating->student->course->course_name; 
            }
        }

        $ratingCounts[$subcriterion->sub_criteria] = $counts;
    }

    $criteriaWithSubcriteria[] = [
        'mainCriterion' => $mainCriterion,
        'subcriteria' => $subcriteria,
        'ratingCounts' => $ratingCounts,
        'courses' => $courses, 
    ];
}
 

   

    return view('feedback.getstafffeedback_get',compact('staff','criteriaWithSubcriteria','ratings','cur_acyear'));
        
}

    
  public function staff_feedback_pdf($user_id,$ac_id)
  {
      $ins_det = instituteDetails();
     $staff =User::find($user_id);
     $acid=Acyear::find($ac_id);
   

 
    $feedback = FeedbackMainCri::where('fdbktyp_id', '2')->get();
    

    $criteriaWithSubcriteria = [];

    
 
 foreach ($feedback as $mainCriterion) {
    $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();
    
    $ratingCounts = [];
    $courses = []; 
    foreach ($subcriteria as $subcriterion) {
      
        $ratings = StudentStaffFdbk::with('student.course')
            ->where('fdbksubc_id', $subcriterion->fdbksubc_id)
            ->where('user_id', $user_id)
            ->where('ac_id',$ac_id)
            ->select('rating', 'student_id','user_id')
            ->get();

        
        $counts = $ratings->groupBy('rating')->map(function ($items) {
            return count($items);
        });

      
        foreach ($ratings as $rating) {
            if ($rating->student && $rating->student->course) {
                $courses[$rating->student->course->course_id] = $rating->student->course->course_name; 
            }
        }

        $ratingCounts[$subcriterion->sub_criteria] = $counts;
    }

    $criteriaWithSubcriteria[] = [
        'mainCriterion' => $mainCriterion,
        'subcriteria' => $subcriteria,
        'ratingCounts' => $ratingCounts,
        'courses' => $courses, 
    ];
}
 
  $pdf = PDF::loadView('feedback.staff_feedback_pdf',compact('staff','criteriaWithSubcriteria','ratings','ins_det'));
               $pdf->setPaper('A4', 'portrait');
               return $pdf->download('staffreport.pdf'); 
      
  }
  
  
  public function college_feedback()
 {
   
   

    $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id=$cur_acyear->ac_id;
   $sdate = Carbon::parse($cur_acyear->sdate)->format('Y');
$edate = Carbon::parse($cur_acyear->edate)->format('Y');
$currentAcademicYear = $sdate . ' - ' . $edate;

 
    $feedback = FeedbackMainCri::where('fdbktyp_id', '1')->get();
    

    $criteriaWithSubcriteria = [];

    
 
 foreach ($feedback as $mainCriterion) {
    $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();
    
    $ratingCounts = [];
    $courses = []; 
    foreach ($subcriteria as $subcriterion) {
      
        $ratings = StudentCollegeFdbk::with('student.course')
            ->where('fdbksubc_id', $subcriterion->fdbksubc_id)
            ->where('ac_id',$ac_id)
            ->select('rating', 'student_id')
            ->get();

        
        $counts = $ratings->groupBy('rating')->map(function ($items) {
            return count($items);
        });

      
        foreach ($ratings as $rating) {
            if ($rating->student && $rating->student->course) {
                $courses[$rating->student->course->course_id] = $rating->student->course->course_name; 
            }
        }

        $ratingCounts[$subcriterion->sub_criteria] = $counts;
    }

    $criteriaWithSubcriteria[] = [
        'mainCriterion' => $mainCriterion,
        'subcriteria' => $subcriteria,
        'ratingCounts' => $ratingCounts,
        'courses' => $courses, 
    ];
}
 

   

    return view('feedback.college_feedback',compact('criteriaWithSubcriteria','ratings','currentAcademicYear','cur_acyear'));
        
}

  public function college_feedback_pdf($ac_id)
  {
      $ins_det = instituteDetails();
      $acyear=Acyear::find($ac_id);
      $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
   
   $sdate = Carbon::parse($cur_acyear->sdate)->format('Y');
$edate = Carbon::parse($cur_acyear->edate)->format('Y');
$currentAcademicYear = $sdate . ' - ' . $edate;

 
    $feedback = FeedbackMainCri::where('fdbktyp_id', '1')->get();
    

    $criteriaWithSubcriteria = [];

    
 
 foreach ($feedback as $mainCriterion) {
    $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();
    
    $ratingCounts = [];
    $courses = []; 
    foreach ($subcriteria as $subcriterion) {
      
        $ratings = StudentCollegeFdbk::with('student.course')
            ->where('fdbksubc_id', $subcriterion->fdbksubc_id)
            ->where('ac_id',$ac_id)
            ->select('rating', 'student_id')
            ->get();

        
        $counts = $ratings->groupBy('rating')->map(function ($items) {
            return count($items);
        });

      
        foreach ($ratings as $rating) {
            if ($rating->student && $rating->student->course) {
                $courses[$rating->student->course->course_id] = $rating->student->course->course_name; 
            }
        }

        $ratingCounts[$subcriterion->sub_criteria] = $counts;
    }

    $criteriaWithSubcriteria[] = [
        'mainCriterion' => $mainCriterion,
        'subcriteria' => $subcriteria,
        'ratingCounts' => $ratingCounts,
        'courses' => $courses, 
    ];
}
 
$pdf = PDF::loadView('feedback.college_feedback_pdf',compact('criteriaWithSubcriteria','ratings','ins_det','currentAcademicYear'));
               $pdf->setPaper('A4', 'portrait');
               return $pdf->download('staffreport.pdf'); 
  }
  
  public function college_feedback_semwise()
  {
     $course=Course::all();
     return view('feedback.college_feedback_semwise',compact('course'));
  }
  
  
  public function college_feedback_semwise_get(Request $request)
  {
     $crs=Course::find($request->cid);
     $sem=Semester::find($request->sid);
     
    $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id=$cur_acyear->ac_id;
     $sdate = Carbon::parse($cur_acyear->sdate)->format('Y');
$edate = Carbon::parse($cur_acyear->edate)->format('Y');
$currentAcademicYear = $sdate . ' - ' . $edate;

 $feedback = FeedbackMainCri::where('fdbktyp_id', '1')->get();
    

    $criteriaWithSubcriteria = [];

    
 
 foreach ($feedback as $mainCriterion) {
    $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();
    
    $ratingCounts = [];
    $courses = []; 
    foreach ($subcriteria as $subcriterion) {
      
        $ratings = StudentCollegeFdbk::with('student.course')
             ->join('students','students.student_id','=','student_college_feedback.student_id')
              ->join('promotes','promotes.student_id','=','students.student_id')
            ->where('fdbksubc_id', $subcriterion->fdbksubc_id)
            ->where('promotes.ac_id',$ac_id)
             ->where('promotes.course_id',$request->cid)
             ->where('promotes.semester_id',$request->sid)
            ->select('student_college_feedback.rating', 'student_college_feedback.student_id')
            ->get();

        
        $counts = $ratings->groupBy('rating')->map(function ($items) {
            return count($items);
        });

      
        foreach ($ratings as $rating) {
            if ($rating->student && $rating->student->course) {
                $courses[$rating->student->course->course_id] = $rating->student->course->course_name; 
            }
        }

        $ratingCounts[$subcriterion->sub_criteria] = $counts;
    }

    $criteriaWithSubcriteria[] = [
        'mainCriterion' => $mainCriterion,
        'subcriteria' => $subcriteria,
        'ratingCounts' => $ratingCounts,
        'courses' => $courses, 
    ];
}
 
   return view('feedback.college_feedback_semwise_get',compact('criteriaWithSubcriteria','ratings','currentAcademicYear'));
     
  }
  
  
  
  
  
    
}
        
        
   
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    

