<?php

namespace App\Imports;

use App\Models\Books;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Illuminate\Support\Collection;
use App\Models\Libsubloc; 
use App\Models\Libsubcategory; 
use App\Models\Libmainloc; 
use App\Models\Libcategory;
class BooksImport implements ToCollection,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function collection(Collection $rows)
    {  
        foreach ($rows as $index=>$row) 
        { 
            $date = $row['date_of_entry'] ?? null; 
             if ($date) {
           
            if (is_numeric($date)) {
                
                $date = \PhpOffice\PhpSpreadsheet\Shared\Date::excelToDateTimeObject($date);
                $date = $date->format('Y-m-d'); 
            } else {
                
                $date1 = date('Y-m-d', strtotime($date));
                if ($date1) {
                    $date = $date1; 
                } else {
                    $date = null; 
                    \Log::error("Date conversion failed for row {$index}: " . $row['date_of_entry']);
                }
            }
        }
            
      $main_category_name=$row['main_category'];      
      if($main_category_name)
      {  
             $category=Libcategory::where('category_name',$main_category_name)->first();   
             if(!$category)
             {
                 $category=Libcategory::create([
                     'category_name'=>$main_category_name,
                     ]);
                     
             }
             $categ_id = $category->libcat_id;
      }
      
      $sub_category_name=$row['sub_category'];
      if($sub_category_name)
      { 
        $subcategory=Libsubcategory::where('subcategory',$sub_category_name)->first();  
        if(!$subcategory)
             {
                 $subcategory=Libsubcategory::create([
                     'libcat_id'=>$categ_id,
                     'subcategory'=>$main_category_name,
                     ]);
                     
             }
             $subcateg_id = $subcategory->libsub_id;
      }
      
      $main_location_name=$row['main_location'];
      if($main_location_name)
      {  
             $mainlocation=Libmainloc::where('mainloc_name',$main_location_name)->first();   
             if(!$mainlocation)
             {
                 $mainlocation=Libmainloc::create([
                     'mainloc_name'=>$main_location_name,
                     ]);
                     
             }
             $mloc_id = $mainlocation->ml_id;
      } 
      
       $sub_location_name=$row['sub_location'];
      if($sub_location_name)
      { 
        $subloc=Libsubloc::where('subloc_name',$sub_location_name)->first();  
        if(!$subloc)
             {
                 $subloc=Libsubloc::create([
                     'ml_id'=>$mloc_id,
                     'subloc_name'=>$sub_location_name,
                     ]);
                     
             }
             $subloc_id = $subloc->sl_id;
      }
      
       $existingBook = Books::where('book_no', $row['access_number'])->first();
         if (!$existingBook) {
      
             Books::create([
                'book_no' => $row['access_number'], 
                'title' => $row['book_title'],
                'categ_id' => $categ_id,
                'subcateg_id' => $subcateg_id,
                'mloc' => $mloc_id,
                'subloc' => $subloc_id,
                'language' => $row['language'],
                'author' => $row['author_name'],
                'publisher' => $row['publisher'],
                'volume' => $row['volume'],
                'edition' => $row['book_edition'],
                'condition' => strtoupper($row['book_condition']),
                'amount' => $row['book_price'],
                'date' => $date,
                'year' => $row['book_year'],
                'isbn' => $row['isbn'],
                'ref_issue' => strtoupper($row['reference_issue']),
                'awards' => $row['awards'],
                'keywords' => $row['keyword'],
                'sub' => $row['subject'],
                'writer2' => $row['writer_2'],
                'quantity' => $row['quantity'],
            ]);
         }
        }
    }
}
