<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Acyear extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'acyears';
    
    protected $primaryKey = 'ac_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['ac_id'];
   public function getPreviousAcId($currentAcId)
    {
        $previousYear = Acyear::where('ac_id', '<', $currentAcId)
                                ->orderBy('ac_id', 'desc')
                                ->first();

        return $previousYear ? $previousYear->ac_id : null;
    }
    public function getStartDateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->sdate));
    }
    public function getEndDateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->edate));
    }
    
    public function getDateFormattedAttribute(){
        return date('Y',strtotime($this->sdate)).' - '.date('Y',strtotime($this->edate));
    }
    
    protected $appends = ['start_date_formatted','end_date_formatted','date_formatted'];
    
}
