<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class HostelMonth extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'hostel_months';
    
    protected $primaryKey = 'month_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['month_id'];
    
    public function getMonthFormattedAttribute(){
        return date('F Y',strtotime($this->year.'-'.$this->month.'-01'));
    }
    
    protected $appends = ['month_formatted'];
    
}
