<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class StaffLeaveRequest extends Model
{
    use HasFactory, SoftDeletes;
    protected $table  = 'staff_leave_request';
    protected $primaryKey = 'stfleavereq_id'; 
    protected $guarded = [];
    
    protected $hidden = ['stfleavereq_id'];
    
    public function staff()
    {
         return $this->hasOne(User::class,'user_id','user_id');
    }
     public function usertype()
    {
         return $this->hasOne(UserType::class,'type_id','type_id');
    }
     public function forwardedUser()
    {
        return $this->belongsTo(User::class,'forwarded_to','user_id');
    }
    public function requestTo()
    {
        return $this->belongsTo(User::class,'request_to','user_id');
    }
    
}
