<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TcDetail extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'tc_details';
    
    protected $primaryKey = 'tc_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['tc_id'];
    
    public function getLdateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->ldate));
    }
    
    public function getAdateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->adate));
    }
    
    public function getIdateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->idate));
    }
    
    protected $appends = ['ldate_formatted','adate_formatted','idate_formatted'];
    
    public function student(){
        return $this->hasOne(Student::class,'student_id','student_id');
    }
    
    public function course(){
        return $this->hasOne(Course::class,'course_id','lcourse');
    }
    
    public function semester(){
        return $this->hasOne(Semester::class,'semester_id','lsemester');
    }
    
}
