<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Voucher extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function getVdateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->vdate));
    }
    
    protected $appends = ['vdate_formatted'];
    
    public function vtype(){
        return $this->belongsTo(Vouchertype::class,'vtype_id','id')->withDefault(['name' => '']);
    }
    
    public function credit(){
        return $this->belongsTo(Ledger::class,'cr_ledger','ledger_id')->withDefault(['name' => '']);
    }
    
    public function debit(){
        return $this->belongsTo(Ledger::class,'dr_ledger','ledger_id')->withDefault(['name' => '']);
    }
}
