<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('menus', function (Blueprint $table) {
            $table->bigIncrements('menu_id');
            $table->string('menu_name');
            $table->integer('menu_parent');
            $table->string('menu_route');
            $table->string('menu_icon')->nullable();;
            $table->string('menu_class')->nullable();
            $table->string('menu_target')->nullable();
            $table->integer('menu_order');
            $table->string('menu_type');
            $table->boolean('status')->default(1)->comment('1:Active, 0:Inactive');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menus');
    }
};
