<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fees', function (Blueprint $table) {
            $table->bigIncrements('fee_id');
            $table->unsignedBigInteger('receipt_no');
            $table->unsignedBigInteger('ac_id');
            $table->foreign('ac_id')->references('ac_id')->on('acyears');
            $table->unsignedBigInteger('student_id');
            $table->foreign('student_id')->references('student_id')->on('students');
            $table->unsignedBigInteger('semester_id');
            $table->foreign('semester_id')->references('semester_id')->on('semesters');
            $table->unsignedBigInteger('term_id');
            $table->foreign('term_id')->references('term_id')->on('fee_terms');
            $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('type_id')->on('fee_types');
            $table->double('fee_amount');
            $table->double('fine_amount');
            $table->date('paid_date');
            $table->unsignedBigInteger('mode_id');
            $table->foreign('mode_id')->references('mode_id')->on('paymentmodes');
            $table->boolean('status')->default(1)->comment('1:Active, 0:Inactive');
            $table->unsignedBigInteger('created_by');
            $table->foreign('created_by')->references('user_id')->on('users');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fees');
    }
};
