<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('syllabus', function (Blueprint $table) {
        $table->bigIncrements('syllabus_id'); 
        $table->unsignedBigInteger('course_id');
       $table->foreign('course_id')->references('course_id')->on('courses');
       $table->unsignedBigInteger('semester_id');
       $table->foreign('semester_id')->references('semester_id')->on('semesters');
       $table->unsignedBigInteger('subject_id');
       $table->foreign('subject_id')->references('subject_id')->on('subjects');
       $table->string('photo');
       $table->string('text');
       $table->string('author');
       $table->string('textbook');
        $table->timestamps();
         $table->softDeletes();
       
       
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('syllabus');
    }
};
