<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_item_quantities', function (Blueprint $table) {
            $table->bigIncrements('stockquant_id');
            $table->unsignedBigInteger('stockadd_id');
            $table->foreign('stockadd_id')->references('stockadd_id')->on('stock_add');
            $table->unsignedBigInteger('c_id');
            $table->foreign('c_id')->references('c_id')->on('stock_category');
            $table->unsignedBigInteger('stockloc_id');
            $table->foreign('stockloc_id')->references('stockloc_id')->on('stock_location');
            $table->double('quantity');
            $table->double('unit_price');
            $table->double('valid_to');
            $table->double('ch_status');
            $table->double('stock_adjust');
            $table->timestamps();
            $table->softDeletes();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stock_item_quantities');
    }
};
