<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('basicstaffsalary', function (Blueprint $table) {
            $table->bigIncrements('bcslry_id');
            $table->unsignedBigInteger('staftyp_id');
            $table->foreign('staftyp_id')->references('staftyp_id')->on('staff_type');
            $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('type_id')->on('user_types');
            $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('user_id')->on('users');
            $table->double('basicpay');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('basicstaffsalary');
    }
};
