<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('salary_processing', function (Blueprint $table) {
            $table->bigIncrements('slryproc_id');
            $table->unsignedBigInteger('staftyp_id');
            $table->foreign('staftyp_id')->references('staftyp_id')->on('staff_type');
            $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('type_id')->on('user_types');
            $table->double('month_year');
            $table->double('date');
             $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('user_id')->on('users');
             $table->unsignedBigInteger('bcslry_id');
            $table->foreign('bcslry_id')->references('bcslry_id')->on('basicstaffsalary');
            $table->double('working_days');
            $table->double('net_salary');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('salary_processing');
    }
};
