<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('staff_leave_request', function (Blueprint $table) {
            $table->bigIncrements('stfleavereq_id'); 
            $table->date('lfrom');
            $table->date('luntil');
            $table->unsignedBigInteger('staftyp_id');
           $table->foreign('staftyp_id')->references('staftyp_id')->on('staff_type');
            $table->unsignedBigInteger('type_id');
        $table->foreign('type_id')->references('type_id')->on('user_types');
        $table->unsignedBigInteger('user_id');
        $table->foreign('user_id')->references('user_id')->on('users');
        $table->unsignedBigInteger('leavtyp_id');
        $table->foreign('leavtyp_id')->references('leavtyp_id')->on('staff_leave_type_new');
        
        $table->timestamps();
         $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('staff_leave_request');
    }
};
