<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('generate_event_certificate', function (Blueprint $table) {
            $table->bigIncrements('evntgen_id');
            $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('user_id')->on('users');
            $table->unsignedBigInteger('addevent_id');
            $table->foreign('addevent_id')->references('addevent_id')->on('add_events');
            $table->unsignedBigInteger('addcompt_id');
            $table->foreign('addcompt_id')->references('addcompt_id')->on('add_competition');
            $table->unsignedBigInteger('evnttem_id');
            $table->foreign('evnttem_id')->references('evnttem_id')->on('event_template');
            $table->string('certificate_number');
            $table->date('date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('generate_event_certificate');
    }
};
