<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('complaint_add', function (Blueprint $table) {
            $table->bigIncrements('complaint_id');
            $table->unsignedBigInteger('complaint_from');
            $table->foreign('complaint_from')->references('user_id')->on('users');
             $table->unsignedBigInteger('complaint_to');
            $table->foreign('complaint_to')->references('user_id')->on('users');
            $table->string('subject');
            $table->string('complaint');
            $table->date('date');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('complaint_add');
    }
};
