<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('otherfees', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('group_id');
            $table->unsignedBigInteger('receipt_no');
            $table->unsignedBigInteger('ac_id');
            $table->foreign('ac_id')->references('ac_id')->on('acyears');
            $table->string('student_name');
            $table->string('address')->nullable();
            $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('type_id')->on('fee_types');
            $table->double('fee_amount');
            $table->date('paid_date');
            $table->unsignedBigInteger('mode_id');
            $table->foreign('mode_id')->references('mode_id')->on('paymentmodes');
            $table->string('remarks')->nullable();
            $table->unsignedBigInteger('account_id');
            $table->boolean('status')->default(1)->comment('1:Active, 0:Inactive');
            $table->unsignedBigInteger('created_by');
            $table->foreign('created_by')->references('user_id')->on('users');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('otherfees');
    }
};
