<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_exam_subjects', function (Blueprint $table) {
             $table->bigIncrements('examsub_id');
             $table->unsignedBigInteger('exam_id');
            $table->foreign('exam_id')->references('exam_id')->on('add_exam');
             $table->unsignedBigInteger('subject_id');
            $table->foreign('subject_id')->references('subject_id')->on('subjects');
             $table->float('max_mark');
            $table->date('date');
            $table->time('s_time');
            $table->time('e_time');
            $table->timestamps();
            $table->softDeletes();
           
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_exam_subjects');
    }
};
