@extends('layouts.template')
@section('title','Home')
@section('heading','Others')
@section('breadcrumb','Home / Others / E-Content')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                {{ app_button_links(array(607,608)) }}
            </div>
        </div>
    </div>
    <div class="card card-primary">
        <div class="card-header">Add E-Content</div>
        <div class="card-body">
            <form action="{{route('others.econtent.save')}}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="course_id" class="required">Course</label>
                            <select class="form-control" id="course_id" name="course_id" required>
                                <option value="">Select</option>
                                @foreach($staffsubjects as $course)
                                    <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                @endforeach
                            </select>
                            @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="semester_id" class="required">Semester</label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                                <option value="">Select</option>
                            </select>
                            @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="subject_id" class="required">Subjects</label>
                            <select class="form-control" id="subject_id" name="subject_id" required>
                                <option value="">Select</option>
                            </select>
                            @error('subject_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="url" class="required">URL</label>
                            <input type="text" class="form-control" id="url" name="url" value="{{old('url')}}" required>
                            @error('url')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="description">Description</label>
                            <textarea name="description" class="form-control"></textarea>
                            @error('description')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>  
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="file">Attachment</label>
                            <input type="file" class="form-control" id="file" name="file">
                            @error('file')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>  
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semsubject.js') }}"></script> 
    <script src="{{ asset('public/js/subtypcontent.js') }}"></script>
@endsection