
@extends('layouts.template')
@section('title','Home')
@section('heading','E-Content View')
@section('breadcrumb','Home / Others / E-Content / View')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                {{ app_button_links(array(607,608)) }}
            </div>
        </div>
    </div>
    <div class="card card-primary">
        <div class="card-header">E-Content</div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Date</th>
                    <th>Subject</th>
                    <th>Description</th>
                    <th>URL</th>
                    <th>Attachment</th>
                </tr>
                </thead>
                <tbody>
                    @forelse($subjects as $subject)
                        <tr>
                            <td align="center">{{ $loop->iteration }}</td>
                            <td align="center">{{ date('d-m-Y',strtotime($subject->date)) }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $subject->subject->subject_name }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $subject->description }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                @if($subject->url)
                                    <a href="{{$subject->url}}" target="_blank">{{ $subject->url }}</a>
                                @endif
                            </td>
                            <td>
                                @if($subject->file)
                                    <a href="{{ asset('public/uploads/staff/econtent/'.$subject->file) }}" download>Download</a>
                                @endif
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="6">No Result Found !</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
@endsection