@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Account Group')
@section('breadcrumb','Settings / Accounts / Account Group')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Select the Criteria</b></div>
    <div class="card-body">
        
                <form action="{{ route('accountgroup.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="acmaingrp_id" class="required"><b>Main Group</b></label>
                        <select class="form-control" id="acmaingrp_id" name="acmaingrp_id" required>
                        <option value="">Select</option>
                        @foreach($accountmaingrp as $main)
                        <option value="{{ $main->acmaingrp_id }}" {{ old('acmaingrp_id')==$main->acmaingrp_id ? "selected":"" }}>{{ $main->main_group }}</option>
                        @endforeach
                        </select>
                        @error('acmaingrp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="subgroup" class="required"><b>Sub Group</b></label>
                                    <input type="text" class="form-control @error('subgroup') border-danger @enderror" id="subgroup" name="subgroup" value="{{ old('subgroup') }}">
                                    @error('subgroup')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                 
                                <div class="row">
                                <div class="col-md-12">
                                <div class="form-group">
                                <button type="submit" class="btn btn-primary float-right">Create</button>
                                </div>
                                </div>
                                </div>
                                    
                                    
                    </form>
                    </div>
                    </div>
                    </div>
                    </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#004170;color:white"><b>Account Groups</b></div>
    <div class="card-body">
        
                            <table class="table table-bordered">
                            <thead>
                            <tr>
                            <th><b>#</b></th>
                            <th><b>Main Group</b></th>
                            <th><b>Sub Group</b></th>
                            <th><b>DR/CR</b></th>
                            <th><b>Edit</b></th>
                            <th><b>Delete</b></th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($accountsubgroup as $sub)
                            <tr>
                            <td>{{$loop->iteration}}</td>
                            <td>{{$sub->main->main_group}}</td>
                            <td>{{$sub->subgroup}}</td>
                            <td>{{$sub->main->dc}}</td>
                            <td>{{ app_table_links($sub->acsubgrp_id,array(156)) }}</td>
                            <td>{{ app_table_links($sub->acsubgrp_id,array(157)) }}</td>
                            </tr>
                            @empty
                            <tr>
                            <td colspan="2">No Result Found !</td>
                            </tr>
                            @endforelse
                            </tbody>
                            </table>
    </div>
    </div>
    </div>
    </div>
    
    
    
    
    
    
    
    
   
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
         table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection