@extends('layouts.template') 
@section('title', 'Account Group') 
@section('heading', 'Account Group') 
@section('breadcrumb', 'Home / Account / Report / Account Group') 
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('accounts.report.accountgroup') }}" method="GET">
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group">
                        <label for="agid">Sub Group</label>
                        <select class="form-control" id="agid" name="agid" required>
                            <option value="">Select</option>
                            @foreach($subgroups as $subgroup)
                                <option value="{{ $subgroup->acsubgrp_id }}" {{ $agid==$subgroup->acsubgrp_id ? 'selected':'' }}>{{ $subgroup->subgroup }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="{{ $fdate }}" required>
                    </div>
                </div>
                <div class="col-12 col-sm-5">
                    <div class="form-group">
                        <label for="tdate">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-7">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ $tdate }}" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-5">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    @if(!empty($vouchers))
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            @if($export==1)
                                <a href="{{ route('accounts.report.accountgroup.export',['fdate'=>$fdate,'tdate'=>$tdate, 'agid'=> $agid, 'accountid'=>$accountid]) }}" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                            @endif
                        </div>
                    </div>
                </div>
                <table class="table table-bordered mt-2">
                    <thead>
                    <tr>
                        <th rowspan="2">#</th>
                        <th rowspan="2">Particulars</th>
                        <th colspan="2">Closing Balance</th>
                    </tr>
                    <tr>
                        <th>Debit</th>
                        <th>Credit</th>
                    </tr>
                    </thead>
                    <tbody>
                        @php $total_dr = $total_cr = 0; @endphp
                        @foreach($vouchers as $voucher)
                            @php $total_dr += $voucher['dr_amount']; $total_cr += $voucher['cr_amount'];  @endphp
                            <tr>
                                <td align="center">{{ $loop->iteration }}</td>
                                <td>{{ $voucher['ledger_name'] }}</a></td>
                                <td align="right">{{ number_format($voucher['dr_amount'],2) }}</td>
                                <td align="right">{{ number_format($voucher['cr_amount'],2) }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                    <tfoot>
                    <tr>
                        <td colspan="2" align="center"><b>Grand Total</b></td>
                        <td align="right"><b>{{ number_format($total_dr,2) }}</b></td>
                        <td align="right"><b>{{ number_format($total_cr,2) }}</b></td>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    @else
        <div class="alert alert-info">No Result Found !</div>
    @endif
@endsection