@extends('layouts.template') 
@section('title', 'Daybook') 
@section('heading', 'Daybook') 
@section('breadcrumb', 'Home / Account / Report / Daybook') 
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('accounts.report.daybook') }}" method="GET">
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="{{ $fdate }}" required>
                    </div>
                </div>
                <div class="col-12 col-sm-8">
                    <div class="form-group">
                        <label for="tdate">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ $tdate }}" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    @if($vouchers->count() > 0)
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            @if($export==1)
                                <a href="{{ route('accounts.report.daybook.export',['fdate'=>$fdate,'tdate'=>$tdate, 'accountid'=>$accountid]) }}" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                            @endif
                        </div>
                    </div>
                </div>
                <table class="table table-bordered mt-2">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>Vocher No</th>
                        <th>Date</th>
                        <th>Voucher Type</th>
                        <th>Particulars</th>
                        <th>Debit</th>
                        <th>Credit</th>
                    </tr>
                    </thead>
                    <tbody>
                        @foreach($vouchers as $voucher)
                            @php $dr_amount = $cr_amount = 0; 
                            $particulars = $voucher->credit->ledger_name." To ".$voucher->debit->ledger_name;
                            if($voucher->vid == 2 || $voucher->vid == 3){
                                $cr_amount = $voucher->vamount;
                            }else{
                                $dr_amount = $voucher->vamount;
                            }
                            @endphp
                            <tr>
                                <td align="center">{{ $loop->iteration }}</td>
                                <td align="center">{{ $voucher->vno }}</td>
                                <td align="center">{{ $voucher->vdate_formatted }}</td>
                                <td align="center">{{ $voucher->vtype->vtype_name }}</td>
                                <td>{{ $particulars }}</td>
                                <td align="right">{{ number_format($dr_amount,2) }}</td>
                                <td align="right">{{ number_format($cr_amount,2) }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    @else
        <div class="alert alert-info">No Result Found !</div>
    @endif
@endsection