@extends('layouts.template') 
@section('title', 'Ledger Book') 
@section('heading', 'Ledger Book') 
@section('breadcrumb', 'Home / Account / Report / Ledger Book') 
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('accounts.report.ledger') }}" method="GET">
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group">
                        <label for="ledgerid" class="required">Ledger</label>
                        <select class="form-control" id="ledgerid" name="ledgerid" required>
                            <option value="">Select</option>
                            @foreach($ledgers as $ledger)
                                <option value="{{ $ledger->ledger_id }}" {{ $ledgerid==$ledger->ledger_id ? "selected":"" }}>{{ $ledger->ledger_name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate" class="required">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="{{ $fdate }}" required>
                    </div>
                </div>
                <div class="col-12 col-sm-5">
                    <div class="form-group">
                        <label for="tdate" class="required">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-7">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ $tdate }}" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-5">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    @if(!empty($vouchers))
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            @if($export==1)
                                <a href="{{ route('accounts.report.ledger.export',['ledgerid'=>$ledgerid,'fdate'=>$fdate,'tdate'=>$tdate, 'accountid'=>$accountid]) }}" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                            @endif
                        </div>
                    </div>
                </div>
                <table class="table table-bordered mt-2">
                    <thead>
                    <tr>
                        <th width="10%">Date</th>
                        <th width="29%">Particulars</th>
                        <th width="10%">Voucher No.</th>
                        <th width="15%">Voucher Type</th>
                        <th width="12%">Debit</th>
                        <th width="12%">Credit</th>
                        <th width="12%">Closing Balance</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td></td>
                            <td colspan="3">Opening Balance</td>
                            <td align="right">@if($ledgerdet->dc=='dr') {{ number_format($open_bal,2) }} @endif</td>
                            <td align="right">@if($ledgerdet->dc=='cr') {{ number_format($open_bal,2) }} @endif</td>
                            <td align="right">{{ number_format($open_bal,2) }}</td>
                        </tr>
                        @php $close_bal=$open_bal; @endphp
                        @foreach($vouchers as $voucher)
                            @php 
                            if($ledgerdet->dc=='dr'){
                                $close_bal += $voucher['dr']-$voucher['cr'];
                            }else{
                                $close_bal += $voucher['cr']-$voucher['dr'];
                            }
                            @endphp
                            <tr>
                                <td align="center">{{ $voucher['vdate'] }}</td>
                                <td>{{ $voucher['ledger_name'] }}</td>
                                <td align="center">{{ $voucher['vno'] }}</td>
                                <td align="center">{{ $voucher['vtype'] }}</td>
                                <td align="right">{{ number_format($voucher['dr'],2) }}</td>
                                <td align="right">{{ number_format($voucher['cr'],2) }}</td>
                                <td align="right">{{ number_format($close_bal,2) }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                    <tfoot>
                    <tr>
                        <td colspan="6" align="center"><b>Closing Balance</b></td>
                        <td align="right"><b>{{ number_format($close_bal,2) }}</b></td>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    @else
        <div class="alert alert-info">No Result Found !</div>
    @endif
@endsection