@extends('layouts.template') 
@section('title', 'Receipts & Payments') 
@section('heading', 'Receipts & Payments') 
@section('breadcrumb', 'Home / Account / Report / Receipts & Payments') 
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('accounts.report.receiptpayment') }}" method="GET">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate" class="required">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="{{ $fdate }}" required>
                    </div>
                </div>
                <div class="col-12 col-sm-5">
                    <div class="form-group">
                        <label for="tdate" class="required">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-7">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ $tdate }}" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-5">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        @if($export==1)
                            <a href="{{ route('accounts.report.receiptpayment.export',['fdate'=>$fdate,'tdate'=>$tdate,'accountid'=>$accountid]) }}" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                        @endif
                    </div>
                </div>
            </div>
            @php $total_receipts = $total_payments = 0; @endphp
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Receipts</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($openings as $opening)
                                @php $total_receipts += $opening['amount']; @endphp
                                <tr>
                                    <td>{{ 'OPENING BALANCE : '.$opening['ledger_name'] }}</td>
                                    <td align="right">{{ number_format($opening['amount'],2) }}</td>
                                </tr>
                            @endforeach
                            @if(array_key_exists('receipt', $voucher_amounts))
                                @foreach($voucher_amounts['receipt'] as $voucher_amount)
                                    @php $total_receipts += $voucher_amount['amount']; @endphp
                                    <tr>
                                        <td>{{ $voucher_amount['ledger_name'] }}</td>
                                        <td align="right">{{ number_format($voucher_amount['amount'],2) }}</td>
                                    </tr>
                                @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Payments</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            @if(array_key_exists('payment', $voucher_amounts))
                                @foreach($voucher_amounts['payment'] as $voucher_amount)
                                    @php $total_payments += $voucher_amount['amount']; @endphp
                                    <tr>
                                        <td>{{ $voucher_amount['ledger_name'] }}</td>
                                        <td align="right">{{ number_format($voucher_amount['amount'],2) }}</td>
                                    </tr>
                                @endforeach
                            @endif
                            @foreach($closings as $closing)
                                @php $total_payments += $closing['amount']; @endphp
                                <tr>
                                    <td>{{ 'CLOSING BALANCE : '.$closing['ledger_name'] }}</td>
                                    <td align="right">{{ number_format($closing['amount'],2) }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b>{{ number_format($total_receipts,2) }}</b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b>{{ number_format($total_payments,2) }}</b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection