@extends('layouts.template')
@section('title','Account Groups')
@section('heading','Account Groups')
@section('breadcrumb','Home / Account Groups / Update')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Edit Account Group</div>
        <div class="card-body">
            <form action="{{ route('accounts.group.update') }}" method="post">
                @csrf
                <input type="hidden" name="sub_id" value="{{ encrypt($subgroup->acsubgrp_id) }}">
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="main_id" class="required">Main Group</label>
                            @php $main_id = old('main_id') ?? $subgroup->acmaingrp_id @endphp
                            <select class="form-control" id="main_id" name="main_id" required>
                                @foreach($maingroups as $maingroup)
                                    <option value="{{ $maingroup->acmaingrp_id }}" {{ $main_id==$maingroup->acmaingrp_id ? "selected":"" }}>{{ $maingroup->main_group }}</option>
                                @endforeach
                            </select>
                            @error('main_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-8">
                        <div class="form-group">
                            <label for="subgroup" class="required">Sub Group Name</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control @error('subgroup') border-danger @enderror" id="subgroup" name="subgroup" value="{{ old('subgroup') ?? $subgroup->subgroup }}">
                                        @error('subgroup')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Update</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection