@extends('layouts.template')
@section('title','Voucher Types')
@section('heading','Voucher Types')
@section('breadcrumb','Home / Voucher Types / Update')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Edit Voucher Type</div>
        <div class="card-body">
            <form action="{{ route('accounts.vtype.update') }}" method="post">
                @csrf
                <input type="hidden" name="vtype_id" value="{{ encrypt($vctype->id) }}">
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="vocher_type" class="required">Under</label>
                            @php $vocher_type_id = old('vocher_type') ?? $vctype->vid @endphp
                            <select class="form-control" id="vocher_type" name="vocher_type" required>
                                <option value="">Select</option>
                                @foreach($vtypes->where('default1',1) as $vtype)
                                    <option value="{{ $vtype->id }}" {{ $vocher_type_id==$vtype->id ? "selected":"" }}>{{ $vtype->vtype_name }}</option>
                                @endforeach
                            </select>
                            @error('vocher_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-8">
                        <div class="form-group">
                            <label for="vocher_type_name" class="required">Voucher Type</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control @error('vocher_type_name') border-danger @enderror" id="vocher_type_name" name="vocher_type_name" value="{{ old('vocher_type_name') ?? $vctype->vtype_name }}">
                                        @error('vocher_type_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Update</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection