@extends('layouts.template')
@section('title','Voucher Types')
@section('heading','Voucher Types')
@section('breadcrumb','Home / Voucher Types')
@section('content')
    @if($add==1)
        <div class="card card-primary">
            <div class="card-header">Add Voucher Type</div>
            <div class="card-body">
                <form action="{{ route('accounts.vtype.save') }}" method="post">
                    @csrf
                    <div class="row">
                        <div class="col-12 col-sm-4">
                            <div class="form-group">
                                <label for="vocher_type" class="required">Under</label>
                                <select class="form-control" id="vocher_type" name="vocher_type" required>
                                    <option value="">Select</option>
                                    @foreach($vtypes->where('default1',1) as $vtype)
                                        <option value="{{ $vtype->id }}" {{ old('vocher_type')==$vtype->id ? "selected":"" }}>{{ $vtype->vtype_name }}</option>
                                    @endforeach
                                </select>
                                @error('vocher_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-12 col-sm-8">
                            <div class="form-group">
                                <label for="vocher_type_name" class="required">Voucher Type</label>
                                <div class="row">
                                    <div class="col-12 col-sm-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('vocher_type_name') border-danger @enderror" id="vocher_type_name" name="vocher_type_name" value="{{ old('vocher_type_name') }}">
                                            @error('vocher_type_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-12 col-sm-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-sm btn-success">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <br>
    @endif
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="vtypeTable" width="100%">
                <thead>
                <tr>
                    <th class="no-sort">#</th>
                    <th>Voucher Type</th>
                    <th>Under</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                    @foreach($vtypes as $vtype)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $vtype->vtype_name }}</td>
                            <td>{{ $vtype->vtype->vtype_name }}</td>
                            <td>
                                @if($vtype->default1==0)
                                    {{ app_table_links($vtype->id,array(580,66)) }}
                                @endif
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var vtypeTable = $("#vtypeTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                stateSave : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
            });
        });
    </script>
@endsection