@extends('layouts.template')
@section('title','Payment Voucher')
@section('heading','Payment Voucher')
@section('breadcrumb','Home / Vouchers / Payment')
@section('content')
    <div class="card">
        <div class="card-header">
            <div class="card-tools">
                {{ app_button_links(array(567)) }}
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="vtype">Voucher Type</label>
                        <select class="form-control" id="vtype">
                            <option value="">Select</option>
                            @foreach($vtypes as $vtype)
                                <option value="{{ $vtype->id }}">{{ $vtype->vtype_name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate" value="{{ $fdate }}">
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate">To Date</label>
                        <input type="date" class="form-control" id="tdate" value="{{ $tdate }}">
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate">Voucher No</label>
                        <input type="text" class="form-control" id="vno">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <button type="button" class="btn btn-success float-right" id="getResult">Submit</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="voucherTable" width="100%">
                <thead>
                <tr>
                    <th class="no-sort">#</th>
                    <th>Voucher No</th>
                    <th>Date</th>
                    <th>Voucher Type</th>
                    <th class="no-sort">Particulars</th>
                    <th>Amount</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var voucherTable = $("#voucherTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                stateSave : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('accounts.payment.voucher.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.fdate = $('#fdate').val(),
                        data.tdate = $('#tdate').val(),
                        data.vtype = $('#vtype').val(),
                        data.vno = $('#vno').val();
                    }
                },
                columns : [
                    { data : 'sno' },
                    { data : 'vno' },
                    { data : 'date' },
                    { data : 'vtype' },
                    { data : 'particular' },
                    { data : 'amount' },
                    { data : 'action' },
                ]
            });
            
            $('#getResult').click(function(){
                voucherTable.draw();
            });
        });
    </script>
@endsection