@extends('layouts.template')
@section('title','Home')
@section('heading','Books Due Report')
@section('breadcrumb','Home/Books/ report/Books Due Report')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
     <div class="card">
        <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
         
                       {{ app_button_links_v(array(564,565,566,569)) }}
            
        </div> 
     </div>
    </div>
</div>

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        
                        <div class="col-md-4">
                         <div class="form-group">
                              <label for="member_type" class="required"><b>Member Type</b></label>
                              <select class="form-control" id="member_type" name="member_type" required>
                                <option value="">Select</option>
                                 @foreach($membertypes as $mbts)
                                <option value="{{ $mbts->mmbrtyp_id }}" {{ old('member_type')==$mbts->mmbrtyp_id ? "selected":"" }}>{{ $mbts->member_type }}</option>
                                 @endforeach
                             </select>
                             @error('member_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                         </div>
                        </div>
                        
                        <div class="col-md-4">
                         <div class="form-group">
                            <label for="to_date" class="required">Date</label>
                            <input type="date" class="form-control" id="to_date" name="to_date" value="{{ date('Y-m-d') }}" required>
                            @error('to_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                         </div>
                        </div>
                     
                    </div>
                     <div id="stud" style="display: none;">
                         <div class="row">   
                       <div class="col-md-4">
                        <div class="form-group">
                            <label for="course" class="required"><b>Course</b></label>
                            <select class="form-control" id="course" name="course" required>
                                <option value="">Select</option>
                                @foreach($courses as $crs)
                                <option value="{{ $crs->course_id}}" {{ old('course')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                                @endforeach
                            </select>
                        @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    
                     <div class="col-md-4">
                        <div class="form-group">
                             <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                                <option value="">select</option>
                            </select>
                        </div>
                    </div>
                      </div> 
                       </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead >
                        <tr>
                            <th><b>Membership No</b></th>
                            <th><b>Member Name</b></th>
                            <th><b>Book Title</b></th>
                            <th><b>Author</b></th>
                            <th><b>Actual Return Date</b></th>
                            <th><b>Due Days</b></th>
                            <th><b>Due Amount</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script>
    <script>
    $(document).ready(function() {
        $('#member_type').change(function() {
            var selectedValue = $(this).val();
           
            if (selectedValue == 2) {
                $('#stud').show();  
             
            } else if (selectedValue == 1) {
                $('#stud').hide();
         
            }
             else{
                $('#stud').hide();
          
            }
        });
    });
    </script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('book.due.report.get') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.member_type = $('#member_type').val();
                        data.to_date = $('#to_date').val();
                        data.course = $('#course').val();
                        data.semester_id = $('#semester_id').val();
                        
                    }
                },
                columns : [
                    { data : 'mem_det_id' },
                    { data : 'member_id' },
                    { data : 'title' },
                    { data : 'author' },
                    { data : 'act_return_date' },
                    { data : 'due_days' },
                    { data : 'amount' },
                   
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
   

@endsection