@extends('layouts.template')
@section('title','Home')
@section('heading','Fine Paid Report')
@section('breadcrumb','Home/Books/Fine Payment/Fine Paid Report')
@section('content')

 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
        {{ app_button_links_v(array(552,551)) }}
        
    </div>
   </div>
   </div>
   </div>
   
   <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                       
           <div class="col-md-3">
            <div class="form-group">
                 <label for="fdate" class="required"><b>From Date</b></label>
                <input type="date" class="form-control text" id="fdate" name="fdate" value="{{ date('Y-m-d') }}" required>
              
            </div>
        </div>
        
           <div class="col-md-3">
            <div class="form-group">
                 <label for="tdate" class="required"><b>To Date</b></label>
                <input type="date" class="form-control text" id="tdate" name="tdate" value="{{ date('Y-m-d') }}" required>
              
            </div>
        </div> 
   </div>
   <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Bill No</b></th>
                            <th><b>Date</b></th>
                            <th><b>Amount</b></th>
                            <th><b>Membership No.</b></th>
                            <th><b>Member Name</b></th>
                            <th><b>Member Type</b></th>
                          
                            <th class="no-sort"><b>Print</b></th>
                           
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('book.fine.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.fdate = $('#fdate').val(),
                        data.tdate = $('#tdate').val();
                        
                       
                    }
                },
                columns : [
                    { data : 'sno' },
                    { data : 'bill_no' },
                    { data : 'pay_date' },
                    { data : 'paid_amount' },
                    { data : 'memb_no' },
                    { data : 'member_id' },
                    
                   
                  { data : 'member_type' },
               
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
    


@endsection