@extends('layouts.template')
@section('title','Home')
@section('heading','Issue Books')
@section('breadcrumb','Home/Books/Issue Books')
@section('content')


<form action="{{ route('book.issue.save') }}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Issue Book</b></div>
    <div class="card-body">
    <div class="row">
     
    <div class="col-md-2">
      <div class="form-group">
        <label for="member_type" class="required"><b>Member Type</b></label>
          <select class="form-control" id="member_type" name="member_type" required>
            <option value="">Select</option>
             @foreach($membertypes as $mbts)
            <option value="{{ $mbts->mmbrtyp_id }}" {{ old('member_type')==$mbts->mmbrtyp_id ? "selected":"" }}>{{ $mbts->member_type }}</option>
             @endforeach
         </select>
         @error('member_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
      </div>
    </div>
       
     <div class="col-md-4">
        <div class="form-group">
        <label for="member_id" class="required">Member</label>
        <select class="js-example-basic-single" id="member_id" name="member_id" style="width:100%" required>
              <option value="">Select</option>
                
           </select>
        </div>
    </div>
    
    <div class="col-md-2">
     <div class="form-group">
        <label for="issue_date" class="required">Issue Date</label>
        <input type="date" class="form-control" id="issue_date" name="issue_date" value="{{ date('Y-m-d') }}" required>
        @error('issue_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
     </div>
    </div>
    
    <div class="col-md-2">
     <div class="form-group">
        <label for="return_date" class="required">Return Date</label>
        <input type="date" class="form-control" id="return_date" name="return_date" value="{{ date('Y-m-d') }}" required>
        @error('return_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
     </div>
    </div>
    </div>
   <!-- <div class="row">    
 
      <div class="col-md-4">   
        <div class="form-group">
            <label class="required">Book 1</label>
             <select class="js-example-data-ajax book_name" name="book_id[]" style="width:100%;" ></select>
        </div>
     </div>
  
 
    
    
   
        
      
    </div>-->
    
    
            <div id="result">
            
            </div>
   
    
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Save</button>
            </div>
        </div>
    </div>
    
    </div>
    </div>
    </div>
       
    </div>    
   
   
  
    </form>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/member.js') }}"></script>
 
  

<script>
 $(document).ready(function() {
    $(".js-example-data-ajax").select2({
        ajax: {
            url: "{{ url('/get-books') }}", // Laravel route
            dataType: 'json',
            delay: 250,
            data: function(params){
                return {
                    search: params.term, // Just passing the search term
                };
            },
            processResults: function (data, params) {
                params.page = params.page || 1;
                return {
                    results: data.items,
                    pagination: {
                        more: (params.page * 30) < data.total_count
                    }
                };
            },
            cache: true
        },
        placeholder: 'Search for a books',
        minimumInputLength: 1
        
    });
    
    
    
   $('#issue_date').change(function(e) { 
    var is_date = $('#issue_date').val();
    var member_type = $('#member_type').val();
   if (member_type != '') {
            $.ajax({
                url : '../book-getReturnDate',
                data: {
                    member_type: member_type,
                    date: is_date
                },
                success: function(data) {
                    $('#return_date').val(data);
                },
                error: function(xhr) {
                    alert(xhr.responseJSON.error); 
                }
            });
        } else {
            alert('Please Select member Type!');
        }
    
   }); 
   
    $("#member_type").on('change',function(){
        var member_type = $(this).val(); 
        var is_date = $('#issue_date').val();
        
        if (member_type != '') {
            $.ajax({
                url : '../book-getReturnDate',
                data: {
                    member_type: member_type,
                    date: is_date
                },
                success: function(data) {
                    $('#return_date').val(data);
                },
                error: function(xhr) {
                    alert(xhr.responseJSON.error); 
                }
            });
        } else {
            alert('Please Select member Type!');
        }
    }); 
    
    $("#member_id").on('change',function(){
        var member_id = $(this).val();
        var member_type = $('#member_type').val();
         $("#result").html('');
            $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                    
           if(member_id=='' || member_type==''){
                alert('Please select all mandatory fields !');
            }else{
                $.ajax({
                    type : 'GET',
                    url : '../bookmax-get',
                    data : {member_id:member_id,member_type:member_type},
                    success : function(response){
                        $("#result").html('');
                        $("#result").append(response);
                    }
                });
            }
        });
   
   
 });
</script>

@endsection
    