@extends('layouts.template')
@section('title','Home')
@section('heading','View Book')
@section('breadcrumb','Home/Book/View Book')
@section('content')


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>View Book Reservation Details</b></div>
                <div class="card-body">
                    <form action="{{route('reservation.approve.save')}}" method="post">
                @csrf
                    <div class="row">
                       <input type="hidden" id="reserve_id" name="reserve_id" value="{{ encrypt($bookreservation->id) }}">
                       
                        
                         <div class="col-12 col-sm-6">
                                <div class="form-group row">
                                <div class="col-5 font-weight-bold">Requested On</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ date('d-m-Y',strtotime($bookreservation->date)) }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Book Number</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $bookreservation->book->book_no }}</div>
                            </div>
                             <div class="form-group row">
                                <div class="col-5 font-weight-bold">Book Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                
                                <div class="col-6">{{ $bookreservation->book->title }}</div>
                               
                            </div>
                        </div>
                          <div class="col-12 col-sm-6">
                         
                             <div class="form-group row">
                                <div class="col-5 font-weight-bold">Member Type</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <input type="hidden" id="member_type" name="member_type" value="{{$bookreservation->member_type}}">
                                <div class="col-6">{{ $bookreservation->membertypes->member_type }}</div>
                               
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Member Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                
                                <div class="col-6">{{ $member_name }}</div>
                               
                            </div>
                            </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-sm-12">
                                 <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Issue Date</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    
                                    <div class="col-6"><input type="date" class="form-control" id="issue_date" name="issue_date" value="{{ $issue_date }}" required></div>
                                   
                                </div>
                                 <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Return Date</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    
                                    <div class="col-6"><input type="date" class="form-control" id="return_date" name="return_date" value="{{ $return_date }}" required readonly></div>
                                   
                                </div>
                                 <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Remark</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    
                                    <div class="col-6"><textarea class="form-control" id="remark" name="remark" >{{$bookreservation->remark}}</textarea></div>
                                   
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </div>
            </div>
            
            
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        @if($bookreservation->lib_status == 0)
                          <button type="submit" name="action" value="approve" class="btn btn-primary float-right mr-2">Approve</button>
                        <button type="submit" name="action" value="reject" class="btn btn-danger float-right mr-2">Reject</button>
                      
                    @endif
                    </div>
                </div>
            
            
        </div>
        </form>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="{{ asset('public/js/studall.js') }}"></script>
     <script>
     $('#issue_date').change(function(e) { 
    var is_date = $('#issue_date').val();
    var member_type = $('#member_type').val();
   if (member_type != '') {
            $.ajax({
                url : '../book-getReturnDate',
                data: {
                    member_type: member_type,
                    date: is_date
                },
                success: function(data) {
                    $('#return_date').val(data);
                },
                error: function(xhr) {
                    alert(xhr.responseJSON.error); 
                }
            });
        } else {
            alert('Please Select member Type!');
        }
    
   }); 
   </script>
@endsection