@extends('layouts.template')
@section('title','Home')
@section('heading','Reserve Books')
@section('breadcrumb','Home/Reserve Books')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Check Book Availability</b></div>
            <div class="card-body">
                @if(!empty($mem_det))
                <div class="row">
                     <div class="col-md-3">
                        <div class="form-group">
                            <label for="mem_no" class="required"><b>Membership No</b></label>
                            <input type="text" class="form-control" id="mem_no" name="mem_no" value="{{ $mem_det->memb_no }}" required readonly>
                            @error('mem_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                     <div class="col-md-3">
                                <div class="form-group">
                                    <label for="categ_id" class="required"><b>Category</b></label>
                                    <select class="form-control" id="categ_id" name="categ_id" required>
                                        <option value="">Select</option>
                                        @foreach($category as $categ)
                                            <option value="{{ $categ->libcat_id }}" {{ old('categ_id')==$categ->libcat_id ? "selected":"" }}>{{ $categ->category_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('categ_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subcateg_id" class="required"><b>sub-category</b></label>
                                    <select class="form-control" id="subcateg_id" name="subcateg_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('subcateg_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                           
                         
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="date" class="required"><b>Date</b></label>
                            <input type="date" class="form-control" id="date" name="date" value="{{ date('Y-m-d') }}" required>
                            @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
                        </div>
                    </div>
                </div>
                @else
                   <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">Please Obtain a Membership!</font></strong>
                    </div>
                @endif
            </div>
        </div>
    </div>
</div>

<div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        

  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  <script src="{{ asset('public/js/getsubcateglib.js') }}"></script> 
  <script src="{{ asset('public/js/getreservation.js') }}"></script> 
  
@endsection