@extends('layouts.template')
@section('title','Home')
@section('heading','View Books')
@section('breadcrumb','Home/Books/View Books')
@section('content')

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="categ_id"><b>Book category</b></label>
                                <select class="form-control" id="categ_id">
                                    <option value="">Select</option>
                                    @foreach($category as $categ)
                                        <option value="{{ $categ->libcat_id }}">{{ $categ->category_code.' - '.$categ->category_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
             
                     
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Book No</b></th>
                            <th><b>Book Name</b></th>
                            <th><b>Author</b></th>
                            <th><b>ISBN</b></th>
                            <th><b>Keyword</b></th>
                            <th><b>Location</b></th>
                            
                            <th class="no-sort">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('book.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.categ_id = $('#categ_id').val();
                        
                    }
                },
                columns : [
                    { data : 'book_no' },
                    { data : 'title' },
                    { data : 'author' },
                    { data : 'isbn' },
                    { data : 'keywords' },
                    { data : 'mloc' },
                 
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
   


@endsection