@extends('layouts.template')
@section('title', 'Home')
@section('heading', 'Certificate')
@section('breadcrumb', 'Home/Certificate/Event/report-view')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color: #005A9C; color: white;"></div>
            <div class="card-body">

                <div class="container">
                    <div class="certificate-shadow">
                        <table width="100%" style="border-collapse: collapse; border: 5px solid #800000; border-radius: 10px; overflow: hidden;">
                            <tr>
                                <td width="25%" rowspan="4" align="center">
                                    <img src="{{ asset('public/uploads/logo/'.$institution->logo) }}" alt="{{ $institution->logo }}" height="100px">
                                </td>
                                <td width="50%" align="center" style="font-size: 24px; font-weight: bold;">{{ $institution->name }}</td>
                                <td width="25%" rowspan="4" align="center"></td>
                            </tr>
                            <tr>
                                <td align="center" style="font-size: 18px;">{{ $institution->affiliation }}</td>
                            </tr>
                            <tr>
                                <td align="center" style="font-size: 16px;">{{ $institution->address }}</td>
                            </tr>
                            <tr>
                                <td align="center" style="font-size: 16px;">{{ 'Ph: '.$institution->mobile.' '.$institution->landline }}</td>
                            </tr>
                        </table>

                        <hr style="background: #800000; height: 3px;">

                        <div class="head" style="padding: 20px;">
                            <table width="100%">
                                <tr>
                                    <td class="float-left"><b>No.:</b></td>
                                    <td align="right" style="white-space: nowrap;"><b>DATE: {{ date('d/m/Y') }}</b></td>
                                </tr>
                                <tr>
                                    <td colspan="2" align="center">
                                        <div id="title" style="font-size: 20px; color: #800000; font-weight: bold;">
                                            {{ strtoupper($template->title) }}
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" class="content" style="padding: 20px; text-align: justify;">
                                        <p style="font-size: 16px;">{!! strip_tags($template->content) !!}</p>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <div class="border-decorations" style="position: relative; top: -15px; z-index: -1;">
                            <div style="position: absolute; left: 0; top: 0; width: 100%; height: 100%; border-left: 10px solid #800000; border-right: 10px solid #800000;">
                                <div style="border: 2px dotted #800000; height: 100%; margin: 0 20px;"></div>
                            </div>
                        </div>

                        
                        <div style="margin-top: 40px;">
                            <table width="100%">
                                <tr>
                                    <td style="text-align: left; width: 33%;">
                                        <p style="margin: 0;">Program Coordinator</p>
                                    
                                    </td>
                                    <td style="text-align: center; width: 34%;">
                                        <p style="margin: 0;">HOD of Dept.</p>
                                      
                                    </td>
                                    <td style="text-align: right; width: 33%;">
                                        <p style="margin: 0;">Principal</p>
                                      
                                    </td>
                                </tr>
                            </table>
                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

<style>
    .certificate-shadow {
        box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
        background-color: #fff;
        padding: 30px;
        margin: 20px auto;
        width: 80%; 
        border-radius: 10px;
    }

    /* Add decorative styles */
    body {
        background-color: #f9f9f9; /* Light background for contrast */
    }
</style>

@endsection
