
@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Edit Club') 
@section('breadcrumb', 'Home/CLUBS/Edit Club') 
@section('content')         
<div class="row">     
    <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>     
            <div class="card-body">                  
                <form action="{{route('clubs.report.update')}}" method="POST">
                    @csrf
                    <input type="hidden" name="club_id" value="{{$club_id->club_id}}">
                    
                    <div class="row">              
                        <div class="col-md-3">                         
                            <div class="form-group">                             
                                <label for="club_name"><b>Club Name</b></label>                         
                                <input type="text" name="club_name" id="club_name" class="form-control" value="{{$club_id->club_name}}" required>                                                             
                            </div>                             
                        </div>                                                             
                        <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="user_id"><b>Staff-in-charge</b></label>                         
                                <select class="form-control" id="user_id" name="user_id[]" multiple required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($staff as $staffs)                         
                                        <option value="{{ $staffs->user_id }}" {{ in_array($staffs->user_id, old('user_id', [])) ? "selected" : "" }}>{{ $staffs->name }}</option>                         
                                    @endforeach                         
                                </select>                         
                                @error('user_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>                                                  
                        <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="ac_id"><b>Academic Year</b></label>                         
                                <select class="form-control" id="acyear" name="ac_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($acyears as $acyear)                         
                                        <option value="{{ $acyear->ac_id }}" {{ $club_id->ac_id == $acyear->ac_id ? "selected" : "" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>                         
                                    @endforeach                         
                                </select>                         
                                @error('ac_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>                                                    
                    </div>                  
                    <div class="row">         
                        <div class="col-md-12">         
                            <button type="submit" class="btn btn-primary float-right" id="add">Save</button>         
                        </div>         
                    </div>                           
                </form>
            </div>         
        </div>         
    </div>         
</div>                    


 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Club Name</b></th>
                            <th><b>Staff-in-charge</b></th>
                            <th><b>Acyear</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($clubs as $club)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                     <td>{{$club->club_name}}</td>
                                <td>{{ implode(', ', $club->getUserNames()) }}</td> 
                                <td>{{ date('Y', strtotime($club->acyear->sdate)) . '-' . date('Y', strtotime($club->acyear->edate)) }}</td> <!-- Format acyear -->
                                   

                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>







<style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
     table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
         .select2-container--default .select2-selection--multiple {
        min-height: 38px; 
    }
    .select2-container--default .select2-selection--multiple .select2-selection__choice {
        font-size: 16px; 
        padding: 5px 10px;
    }
    .select2-container--default .select2-selection--multiple .select2-selection__placeholder {
        font-size: 16px; 
    }
</style>     
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>

<script>
    $(document).ready(function() {
        $('#user_id').select2({
            placeholder: "Select Staff",
            allowClear: true,
            sorter: function(data) {
                return data.sort(function(a, b) {
                    if (a.selected === b.selected) {
                        return 0;
                    }
                    return a.selected ? -1 : 1;
                });
            }
        });
    });
</script>

@endsection