@extends('layouts.template')
@section('title','Home')
@section('heading','Enquiry')
@section('breadcrumb','Home/ Enquiry / View Gate Pass')
@section('content')

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>View Gate Pass</b></div>
                <div class="card-body">
                    <div class="row">
                       
           <div class="col-md-3">
            <div class="form-group">
                 <label for="fdate" class="required"><b>From Date</b></label>
                <input type="date" class="form-control text" id="fdate" name="fdate" value="{{ date('Y-m-d') }}" required>
              
            </div>
        </div>
        
           <div class="col-md-3">
            <div class="form-group">
                 <label for="tdate" class="required"><b>To Date</b></label>
                <input type="date" class="form-control text" id="tdate" name="tdate" value="{{ date('Y-m-d') }}" required>
              
            </div>
        </div> 
          
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Name</b></th>
                            <th><b>Date</b></th>
                            <th><b>Time</b></th>
                            <th><b>Reason</b></th>
                            <th><b>Contact No</b></th>
                            
                            
                            <th class="no-sort">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('gatepass.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.fdate = $('#fdate').val(),
                        data.tdate = $('#tdate').val();
                       
                       
                    }
                },
                columns : [
                     { data : 'sno' },
                    { data : 'name' },
                    { data : 'date' },
                    { data : 'time' },
                    { data : 'reason' },
                    { data : 'cno' },
                   
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
    

@endsection