@extends('layouts.template')
@section('title','Home')
@section('heading','Enquiry')
@section('breadcrumb','Home/ Enquiry /Report')
@section('content')

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                       
           <div class="col-md-3">
            <div class="form-group">
                 <label for="fdate" class="required"><b>From Date</b></label>
                <input type="date" class="form-control text" id="fdate" name="fdate" value="{{ date('Y-m-d') }}" required>
              
            </div>
        </div>
        
           <div class="col-md-3">
            <div class="form-group">
                 <label for="tdate" class="required"><b>To Date</b></label>
                <input type="date" class="form-control text" id="tdate" name="tdate" value="{{ date('Y-m-d') }}" required>
              
            </div>
        </div> 
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="handled_by"><b>Lead Handled By</b></label>
                                <select class="form-control" id="handled_by">
                                    <option value="">Select</option>
                                    @foreach($staffs as $stf)
                                        <option value="{{ $stf->user_id }}">{{ $stf->name.' '.$stf->lname }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        
                         <div class="col-md-3">
                            <div class="form-group">
                                <label for="meeting_status"><b>Meeting Status</b></label>
                                <select class="form-control" id="meeting_status">
                                    <option value="">Select</option>
                                   
                                        <option value="PENDING">PENDING</option>
                                        <option value="DONE">DONE</option>
                                   
                                </select>
                            </div>
                        </div>
                        
                           <div class="col-md-3">
                            <div class="form-group">
                                <label for="course"><b>Course</b></label>
                                <select class="form-control" id="course">
                                    <option value="">Select</option>
                                    @foreach($courses as $crs)
                                        <option value="{{ $crs->course_id }}">{{ $crs->course_name }}</option>
                                    @endforeach
                                   
                                </select>
                            </div>
                        </div>
                        
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="enq_status"><b>Enquiry Status</b></label>
                                <select class="form-control" id="enq_status">
                                    <option value="">Select</option>
                                   
                                        <option value="0">PENDING</option>
                                        <option value="1">ADMITTED</option>
                                         <option value="2">REJECTED</option>
                                   
                                </select>
                            </div>
                        </div>
             
                     
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Enq no</b></th>
                            <th><b>Visitor Name</b></th>
                            <th><b>Mobile No</b></th>
                            <th><b>Date</b></th>
                            <th><b>Handled by</b></th>
                            <th><b>Course</b></th>
                            <th><b>Meeting Status</b></th>
                            <th><b>Enquiry Status</b></th>
                            <th class="no-sort"><b>Followup</b></th>
                            <th class="no-sort"><b>Admission</b></th>
                            <th class="no-sort"><b>Reject</b></th>
                            
                            
                            <th class="no-sort">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('enquiry.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.fdate = $('#fdate').val(),
                        data.tdate = $('#tdate').val(),
                        data.handled_by = $('#handled_by').val(),
                        data.meeting_status = $('#meeting_status').val(),
                        data.course = $('#course').val(),
                        data.enq_status = $('#enq_status').val();
                       
                    }
                },
                columns : [
                    { data : 'enq_no' },
                    { data : 'visitor_name' },
                    { data : 'mobile' },
                    { data : 'en_date' },
                    { data : 'handled_by' },
                    { data : 'class' },
                  { data : 'meeting_status' },
                  { data : 'enq_status' },
                   { data : 'followup' },
                   { data : 'admission' },
                    { data : 'reject' },
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
   

@endsection