@extends('layouts.template')

@section('title', 'Home')
@section('heading', 'Add Events')
@section('breadcrumb', 'Home/Events/Add Events')

@section('content')
<div class="row mb-4">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card-tools">
            {{ app_button_links(array(375, 376)) }}
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C; color:white;">
                <b>Select the Criteria</b>
            </div>
            <div class="card-body">
                <form action="{{ route('events.save') }}" method="post">
                    @csrf
                    <div class="row mb-3">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="ac_id" class="required"><b>Academic Year</b></label>
                                <select class="form-control" id="acyear" name="ac_id" required>
                                    <option value=""><span class="fw-bold">Select</span></option>
                                    @foreach($acyears as $acyear)
                                        <option value="{{ $acyear->ac_id }}" {{ old('ac_id') == $acyear->ac_id ? "selected" : "" }}>
                                            {{ $acyear->start_date_formatted . ' - ' . $acyear->end_date_formatted }}
                                        </option>
                                    @endforeach
                                </select>
                                @error('ac_id')
                                    <div class="text-danger small mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="user_id" class="required"><b>Staff-in-charge</b></label>
                                <select class="form-control" id="user_id" name="user_id" required>
                                    <option value=""><span class="fw-bold">Select</span></option>
                                    @foreach($staff as $staffs)
                                        <option value="{{ $staffs->user_id }}" {{ old('user_id') == $staffs->user_id ? "selected" : "" }}>
                                            {{ $staffs->name }}
                                        </option>
                                    @endforeach
                                </select>
                                @error('user_id')
                                    <div class="text-danger small mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="course_id" class="required"><b>Course</b></label>
                                <select class="form-control" id="course_id" name="course_id" required>
                                    <option value=""><span class="fw-bold">Select</span></option>
                                    @foreach($course as $courses)
                                        <option value="{{ $courses->course_id }}" {{ old('course_id') == $courses->course_id ? "selected" : "" }}>
                                            {{ $courses->course_name }}
                                        </option>
                                    @endforeach
                                </select>
                                @error('course_id')
                                    <div class="text-danger small mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="event" class="required"><b>Event</b></label>
                                <input type="text" name="event" class="form-control" placeholder="Event" required>
                            </div>
                        </div>
                    </div>

                    <div class="row mb-3">
                        <div class="col-md-6">
                            <label for="desc" class="required"><b>Description</b></label>
                            <textarea name="desc" class="form-control"  placeholder="Description" required></textarea>
                        </div>
                        <div class="col-md-3">
                            <label for="fdate" class="required"><b>From Date</b></label>
                            <input type="date" class="form-control" id="fdate" name="fdate" required>
                            @error('fdate')
                                <div class="text-danger small mt-1">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="col-md-3">
                            <label for="tdate" class="required"><b>To Date</b></label>
                            <input type="date" class="form-control" id="tdate" name="tdate" required>
                            @error('tdate')
                                <div class="text-danger small mt-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary float-right">Submit</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@endsection
