@extends('layouts.template')
@section('title','Home')
@section('heading','Report')
@section('breadcrumb','Home/Events/Report')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
     
                <div class="card-tools">
                    {{ app_button_links(array(375,376)) }}
                </div>
            
    </div>
</div>

<div class="card" style="border-top:2px solid #005A9C">
    <div class="card-header" style="background-color:#005A9C;color:white"></div> 
    <div class="card-body" style="overflow: hidden;"> 
    <div  style="height:auto; overflow:scroll;">
        <div><a href="{{route('events.report.print')}}" target="_blank"><i class="fa fa-print"></i></a></div>
        <table class="table table-bordered" width="100%"  style="overflow: hidden;">
            
            <thead>
                <tr style="white-space:nowrap;">
                    <th width="10%"><b>Name</b></th>
                    <th width="20%"><b>Description</b></th>
                    <th width="10%"><b>Staff-in-charge</b></th>
                    <th width="20%"><b>Course</b></th>
                    <th width="10%"><b>From Date</b></th>
                    <th width="10%"><b>To Date</b></th>
                    <th  width="20%"><b>Actions</b></th>
                </tr>
            </thead>
            <tbody>
                @forelse($event as $events)
                    <tr>
                        <td width="20%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $events->event }}</td>
                        <td width="20%" style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $events->desc }}</td>
                        <td width="10%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $events->staff->name }}</td>
                        <td width="10%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $events->course->course_name }}</td>
                        <td width="10%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{date('d-m-Y',strtotime($events->fdate))}}</td>
                        <td width="10%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{date('d-m-Y',strtotime($events->tdate))}}</td>
                        <td width="20%"><a href="{{route('events.report.delete',['id'=>$events->addevent_id])}}"><i class="icon-trash text-danger"></i></a></td>
                        <!--<td><a href="{{route('events.report.edit',['id'=>$events->addevent_id])}}"><i class="icon-pencil text-primary"></i></a></td>-->
                    </tr>
                @empty
                    <tr>
                        <td colspan="2">No Result Found !</td>
                    </tr>
                @endforelse
            </tbody>
        </table>
        </div>
    </div>
</div>

<style>
   
    .form-control {
        border: 1px solid black;
    }
    .card-body {
        border-left: 1px solid #DCDCDC;
        border-right: 1px solid #DCDCDC;
        border-bottom: 1px solid #DCDCDC;
    }
</style>  

@endsection
