<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exam Admit Card</title>
    <style>
        @media print {
            @page {
                margin: 0;
            }
            body {
                background-repeat: no-repeat;
                background-size: cover;
                border: 1px solid black;
                margin: 0;
                padding: 10px;
            }
        }

        * {
            font-family: Times, serif;
            font-size: 16px;
            line-height: 22px;
        }

        .container {
            width: 100%;
            max-width: 900px;
            margin: 0 auto;
            padding: 10px;
            border: 1px solid black;
            /*background-color: #f4f4f4;*/
            /*box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);*/
        }

        .header {
            text-align: center;
            margin-bottom: 20px;
        }

        .header h1 {
            font-size: 20px;
            margin: 0;
        }

        .details {
            margin-bottom: 20px;
            font-size: 18px;
        }

        .details td {
            padding: 5px;
        }

        .exam-info {
            margin-top: 30px;
        }

        .exam-info table {
            width: 100%;
            border-collapse: collapse;
        }

        .exam-info table, .exam-info th, .exam-info td {
            border: 1px solid black;
        }

        .exam-info th, .exam-info td {
            padding: 10px;
            text-align: center;
        }

        .footer {
            margin-top: 20px;
            text-align: center;
            font-size: 14px;
        }

        .footer .signature {
            margin-top: 40px;
            text-align: left;
        }

        /* Flex layout for left and right side */
        .content {
            display: flex;
            justify-content: space-between;
            align-items: flex-start;
            margin-top: 20px;
        }

        .left-side {
            width: 50%;
            margin-left: 30px;
            padding-right: 30px; 
        }

        .right-side {
            width: 48%;
            text-align: center;
        }

        .right-side img {
            border: 1px solid #000;
            height: 150px;
            width: 150px;
        }

        .signature {
            margin-top: 20px;
            text-align: center;
        }

        .label-cell {
            padding-right: 15px;
        }

       
        .left-side table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 10px 10px;  
        }

        .left-side td {
            padding-bottom: 10px; 
        }

      
        .instructions {
            margin-top: 20px;
            font-size: 14px;
        }

        .instructions ul {
            list-style-type: disc;
            margin-left: 20px;
        }

        .instructions ul li {
            margin-bottom: 10px;
        }

    </style>
</head>
<body onload="window.print();">
    <div class="container">
        <table width="100%">
            <tr>
                <td width="25%" rowspan="4" align="center" style="vertical-align: middle;">
                    <img src="{{ asset('public/uploads/logo/'.$ins_det->logo) }}" alt="{{ $ins_det->logo }}" height="100px">
                </td>
                <td width="50%" align="center" style="font-weight: bold; font-size:25px;">{{ $ins_det->name }}</td>
                <td width="25%" rowspan="3" align="center"></td>
            </tr>
            <tr>
                <td align="center" style="font-size: 20px;">{{ $ins_det->affiliation }}</td>
            </tr>
            <tr>
                <td align="center" style="font-size: 20px;">{{ $ins_det->address }}</td>
            </tr>
            <tr>
                <td align="center"><h1>ADMIT CARD</h1></td>
            </tr>
        </table>
        <hr>
        <br>

        <div class="content">
            <div class="left-side">
                <table width="100%" style="border-collapse: separate; border-spacing: 10px 0;">
                    <tr>
                        <td><strong>Programme</strong></td>
                        <td> :</td>
                        <td>{{ $students->course->course_name }}</td>
                    </tr>
                    <tr>
                        <td style="white-space:nowrap"><strong>Candidate Name</strong></td>
                        <td> : </td>
                        <td>{{ strtoupper($students->name) }}</td>
                    </tr>
                    <tr>
                        <td><strong>Address</strong></td>
                        <td>:</td>
                        <td>{{ $students->paddress }}</td>
                    </tr>
                    <tr>
                        <td><strong>Phone</strong></td>
                        <td>:</td>
                        <td>{{ $students->mobile }}</td>
                    </tr>
                    <tr>
                        <td style="white-space:nowrap"><strong>Admission No</strong></td>
                        <td> :</td>
                        <td>{{ $students->adno }}</td>
                    </tr>
                     <tr>
                        <td style="white-space:nowrap"><strong>Register No</strong></td>
                        <td> :</td>
                        <td>{{ $register_no->register_no }}</td>
                    </tr>
                </table>
            </div>

            <div class="right-side">
                <img src="{{ asset('public/uploads/student/photo/'.$students->photo) }}" alt="{{ $students->name }}">
                <div class="signature">
                    <p>Candidate Signature:</p>
                    <p>____________________</p>
                </div>
            </div>
        </div>

        <div class="exam-info">
            <h3>Exam Details</h3>
            <table>
                <thead>
                    <tr>
                        <th>Subject</th>
                        <th>Exam Date</th>
                        <th>Start Time</th>
                        <th>End Time</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($exam as $e)
                    <tr>
                        <td>{{ $e->subject_name }}</td>
                        <td>{{ date('d-m-Y', strtotime($e->date)) }}</td>
                        <td>{{ $e->s_time }}</td>
                        <td>{{ $e->e_time }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>

        <div class="footer">
            <div class="signature">
                <p>Authorized Signature:</p>
                  <img src="{{ asset('public/uploads/staff/signature/auth.png') }}"  height="100px" width="200px">
            </div>
            <br>
        </div>
<hr>
        <div class="instructions">
            <h6><strong>IMPORTANT INSTRUCTIONS TO CANDIDATES</strong></h6>
            <ul>
                <li>The candidate should bring the hall ticket to the examination hall on each day of examination.</li>
                <li>Ensure that you reach the examination center at least 30 minutes before the exam starts.</li>
                <li>Candidate must carry a valid photo ID along with the admit card.</li>
                <li>Any kind of cheating or malpractice will lead to disqualification from the exam.</li>
                <li>Use of mobile phones is strictly prohibited in the examination hall.</li>
                <li>Follow all the instructions written on the hall ticket during the exam.</li>
            </ul>
        </div>
    </div>
</body>
</html>
