@extends('layouts.template')
@section('title','Home')
@section('heading','College')
@section('breadcrumb','Home/Feedback/College')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        
                <div class="card-tools">
                    {{ app_button_links(array(451,452)) }}
                </div>
           
    </div>
</div>

     <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header"  style="background:#005A9C;color:white;"><b>College Feedback Report from Students</b></div>
    <div class="card-body">
       <div>
           <h4 align="center">COLLEGE EVALUATION REPORT FROM STUDENTS</h4>
         <h4 align="center" class="text-success">ACADEMIC YEAR {{$currentAcademicYear}}</h4>
        <h2 align="right"><a href="{{route('college.feedback.pdf',['ac_id'=>$cur_acyear->ac_id])}}"><i class="fa-solid fa-file-pdf text-danger" style="font-size:20px"></i></a></h2>

       </div> 
        <hr>
        <div class="row">
            <div class="col-md-12">
                 <table class="table table-bordered" style="border:1px solid black;">
                            <thead>
                               
                                <tr>
                                    <th><b>#</b></th>
                                    <th><b>FEEDBACK CRITERIA</b></th>
                                    <th><b>OUTSTANDING</b></th>
                                    <th><b>VERY GOOD</b></th>
                                    <th><b>GOOD</b></th>
                                    <th><b>AVERAGE</b></th>
                                    <th><b>TOTAL RESPONSE</b></th>
                                    <th><b>TOTAL GRADE POINT</b></th>
                                    <th><b>TYPICAL SCORE</b></th>
                                    
                                </tr>
                            </thead>
                             <tbody>
                @php
     $gradePoints = [
    'Outstanding' =>  5.0,
    'Very Good' => 3.5,
    'Good' => 3.0,
    'Average' => 2.0,
];
  $totalGradePoints = 0;


$totalResponses = 0;              
                @endphp
                @foreach($criteriaWithSubcriteria as $criteria)
                    @foreach ($criteria['subcriteria'] as $subcriterion )
                        <!--<h5 style="margin-top: 20px;">{{ $subcriterion->sub_criteria }}</h5>-->
                       
                                 
                                @php
                                    $outstanding = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Outstanding'] ?? 0;
                                    $veryGood = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Very Good'] ?? 0;
                                    $good = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Good'] ?? 0;
                                    $average = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Average'] ?? 0;
                                    $total = $outstanding + $veryGood + $good + $average;
                                    
                                    $gradePointsTotal = (
                                        ($outstanding * $gradePoints['Outstanding']) +
                                        ($veryGood * $gradePoints['Very Good']) +
                                        ($good * $gradePoints['Good']) +
                                        ($average * $gradePoints['Average'])
                                    );
                                    $totalGradePoints += $gradePointsTotal;
                                    $totalResponses += $total;
                                @endphp
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $subcriterion->sub_criteria }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $outstanding }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $veryGood }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $good }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $average }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $total }}</td> 
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$gradePointsTotal}}</td>
                                    <td>
                        @if($total > 0)
                            {{ number_format($gradePointsTotal / $total, 2) }}
                        @else
                            0.00
                        @endif
                    </td>
                                </tr>
                               
                            
                    @endforeach
                @endforeach
                </tbody>
                        </table>
            <h4 class="mt-4" STYLE="background:#fed35c"><b>Cumulative Grade Point Average (CGPA): </b>
                    @if($totalResponses > 0)
                        {{ number_format($totalGradePoints / $totalResponses, 2) }} / 5.00
                    @else
                        0.00 / 5.00
                    @endif
                </h4>
            </div>
            
        </div>
        
        
        
        
        </div>
        </div>
        </div>
        </div>
         <style>
      
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
        
        @endsection