@extends('layouts.template')
@section('title','Home')
@section('heading','Fee Report')
@section('breadcrumb','Home/Fees/Fee Report')
@section('content')

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <form action="{{ route('fee.report.get') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="fdate"><b>From Date</b></label>
                                    <input type="date" class="form-control" id="fdate" name="fdate" value="{{ old('fdate') ? old('fdate'):date('Y-m-d') }}">
                                    @error('fdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="tdate"><b>To Date</b></label>
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ old('tdate') ? old('tdate'):date('Y-m-d') }}">
                                    @error('tdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course"><b>Course</b></label>
                                    <select class="js-example-basic-single" style="width:100%" id="course" name="course">
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester"><b>Semester</b></label>
                                    <select class="js-example-basic-single" style="width:100%" id="semester" name="semester">
                                        <option value="">Select</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mode"><b>Payment Mode</b></label>
                                    <select class="js-example-basic-single" id="mode" name="mode" style="width:100%">
                                        <option value="">Select</option>
                                        @foreach($paymodes as $paymode)
                                            <option value="{{ $paymode->mode_id }}" {{ old('mode') == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('mode')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="staff"><b>Collected By</b></label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <select class="js-example-basic-single" style="width:100%" id="staff" name="staff">
                                                <option value="">Select</option>
                                                @foreach($staffs as $staff)
                                                    <option value="{{ $staff->user_id }}" {{ old('staff')==$staff->user_id ? "selected":"" }}>{{ $staff->name }}</option>
                                                @endforeach
                                            </select>
                                            @error('staff')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                        <div class="col-md-6">
                                            <button type="submit" class="btn btn-primary">Filter</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
             
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/fee.js') }}"></script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }

    </style>
@endsection