@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Caste')
@section('breadcrumb','Settings / Genre / Caste')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Caste</b></div>
    <div class="card-body">
    <form action="{{ route('caste.save') }}" method="post">
    @csrf
                        
                            <div class="row">
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="religion_id" class="required"><b>Religion</b></label>
                            <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                            <option value="">Select</option>
                            @foreach($religion as $religions)
                            <option value="{{ $religions->religion_id  }}" {{ old('religion_id ') == $religions->religion_id  ? "selected":"" }}>{{ $religions->religion_name}}</option>
                            @endforeach
                            </select>
                            @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="community_id" class="required"><b>Community</b></label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                            </select>
                            @error('community_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                                            <div class="col-md-3">
                                            <div class="form-group">
                                            <label for="caste" class="required"><b>Caste</b></label>
                                            <input type="text" class="form-control @error('caste') border-danger @enderror" id="caste" name="caste" value="{{ old('caste') }}">
                                            @error('caste')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                            </div>
                                            </div>
                                            
                                            </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Religion</b></th>
                            
                            <th><b>Community</b></th>
                            <th><b>Caste</b></th>
                            <th><b>Action</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($caste as $c)
                                <tr>
                                    <td>{{ $c->religion->religion_name}}</td>
                                   <td>{{$c->community->community}}</td>
                                   <td>{{$c->caste}}</td>
                                   <td>{{ app_table_links($c->caste_id,array(124,125)) }}</td>
                                   

                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
        
        
        
     
     
     
     
     
           
        
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/caste.js') }}"></script>  
    <style>
                                              .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
 
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection