@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Community')
@section('breadcrumb','Settings / Genre / Community')
@section('content')



    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Community</b></div>
    <div class="card-body">
    <form action="{{ route('community.save') }}" method="post">
    @csrf
                        
                        <div class="row">
                            
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="religion_id" class="required"><b>Religion</b></label>
                        <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                        <option value="">Select</option>
                        @foreach($religion as $religions)
                        <option value="{{ $religions->religion_id  }}" {{ old('religion_id ') == $religions->religion_id  ? "selected":"" }}>{{ $religions->religion_name}}</option>
                        @endforeach
                        </select>
                        @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                            
                            
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="community" class="required"><b>Community</b></label>
                        <input type="text" class="form-control @error('community') border-danger @enderror" id="community" name="community" value="{{ old('community') }}">
                        @error('community')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        
                        </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Religion</b></th>
                            <th><b>Community</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($community as $comm)
                                <tr>
                                     <td>{{$comm->religion->religion_name}}</td>
                                   <td>{{$comm->community}}</td>
                                   <td>{{app_table_links($comm->community_id,array(121,122)) }}</td>

                                    
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
    
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
 
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection