@extends('layouts.template')
@section('title','Add Stock')
@section('heading','Home')
@section('breadcrumb','Home/Inventory/Add Stock')
@section('content')



            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add Stock Item</b></div>
            <div class="card-body">
            <form action="{{ route('stock.save') }}" method="post">
            @csrf
                         
            <div class="row mb-4">
            <div class="col-md-3">
            <div class="form-group">
            <label for="item_code" class="required"><b>Item Code</b></label>
            <input type="text" class="form-control @error('item_code') border-danger @enderror" id="item_code" name="item_code" placeholder="Item Code"  value="{{ old('item_code') }}">
            @error('item_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            <div class="col-md-3">
            <div class="form-group">
            <label for="stock_item" class="required"><b>Stock Item</b></label>
            <input type="text" class="form-control @error('stock_item') border-danger @enderror" id="stock_item" name="stock_item" placeholder="Stock Item" value="{{ old('stock_item') }}">
            @error('stock_item')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
                            
                             
            <div class="col-md-3">
            <div class="form-group">
            <label for="c_id" class="required"><b>Main Category</b></label>
                                   
            <select class="js-example-basic-single" id="c_id" name="c_id" style="width:100%">
            <option value="">Select</option>
            @foreach($stockcategory as $stockcategorys)
            <option value="{{ $stockcategorys->c_id }}" {{ old('c_id') == $stockcategorys->c_id ? "selected":"" }}>{{ $stockcategorys->category}}</option>
            @endforeach
            </select>
            @error('c_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
                             
                              
            <div class="col-md-3">
            <div class="form-group">
            <label for="subcate_id" class="required"><b>Sub Category</b></label>
                                    
            <select class="js-example-basic-single" id="subcate_id" name="subcate_id" style="width:100%">
            <option value="">Select</option>
            </select>
            @error('subcate_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            </div>
            <div class="row mb-4">
            <div class="col-md-3">
            <div class="form-group">
            <label for="stockloc_id" class="required"><b>Location</b></label>
            <select class="js-example-basic-single" id="stockloc_id" name="stockloc_id" style="width:100%">
            <option value="">Select</option>
            @foreach($stocklocation as $location)
            <option value="{{ $location->stockloc_id }}" {{ old('stockloc_id') == $location->stockloc_id ? "selected":"" }}>{{ $location->loc_name}}</option>
            @endforeach
            </select>
            @error('stockloc_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            
            
            <div class="col-md-3">
            <div class="form-group">
            <label for="opening_quantity" class="required"><b>Opening Quantity</b></label>
            <input type="text" class="form-control @error('opening_quantity') border-danger @enderror" id="opening_quantity" placeholder="Opening Quantity" name="opening_quantity" value="{{ old('opening_quantity') }}">
            @error('opening_quantity')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
           
            
            <div class="col-md-3">
            <div class="form-group">
            <label for="stock_id" class="required"><b>Units</b></label>
            <select class="js-example-basic-single" id="stock_id" name="stock_id" style="width:100%">
            <option value="">Select</option>
            @foreach($stockunit as $units)
            <option value="{{ $units->stock_id }}" {{ old('stock_id') == $units->stock_id ? "selected":"" }}>{{ $units->formal_name}}</option>
            @endforeach
            </select>
            @error('stock_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            
            
            <div class="col-md-3">
            <div class="form-group">
            <label for="unit_price" class="required"><b>Unit Price</b></label>
            <input type="text" class="form-control @error('unit_price') border-danger @enderror" id="unit_price" name="unit_price" placeholder="Unit Price" value="{{ old('unit_price') }}">
            @error('unit_price')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            </div>
            
            <div class="row mb-4">
            <div class="col-md-3">
            <div class="form-group">
            <label for="total" class="required"><b>Total</b></label>
            <input type="text" class="form-control @error('total') border-danger @enderror" id="total" name="total" placeholder="0" value="{{ old('total') }}" readonly>
            @error('total')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            
            
            <div class="col-md-3">
            <div class="form-group">
            <label for="" class="required"><b>Saleable</b></label>
            <div class="row">
            <div class="col-md-3">
            <div class="form-check form-check-success">
            <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="saleable" value="1" {{ old('saleable')=='1' ? "checked":"" }}> Yes </label>
            </div>
            </div>
            <div class="col-md-3">
            <div class="form-check form-check-success">
            <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="saleable" value="0" {{ old('saleable')=='0' ? "checked":"" }}> No </label>
            </div>
            </div>
            </div>
            </div>
            </div>
            
                           
            <div class="col-md-3">
            <div class="form-group">
            <label for="" class="required"><b>Consumable</b></label>
            <div class="row">
            <div class="col-md-4">
            <div class="form-check form-check-success">
            <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="consumable" value="1" {{ old('consumable')=='1' ? "checked":"" }}> Yes </label>
            </div>
            </div>
            <div class="col-md-3">
            <div class="form-check form-check-success">
            <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="consumable" value="0" {{ old('consumable')=='0' ? "checked":"" }}> No </label>
            </div>
            </div>
            </div>
            </div>
            </div>
            
                          
            <div class="col-md-3">
            <div class="form-group">
            <label for="date" class="required"><b>Date</b></label>
            <input type="date" class="form-control @error('date') border-danger @enderror" id="date" name="date" value="{{ \Carbon\Carbon::now()->format('Y-m-d')  }}">
            @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            </div> 
                            
                            
             <br>              
            <div class="row mb-4">
            <div class="col-md-12">
            <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">Add</button>
            </div>
            </div>
            </div>
            </form>
            
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  <script src="{{ asset('public/js/stocksubcate.js') }}"></script>
 <script>
       
    let openingQuantityInput = document.getElementById('opening_quantity');
    let unitPriceInput = document.getElementById('unit_price');
    let totalInput = document.getElementById('total');
    
    openingQuantityInput.addEventListener('input', updateTotal);
    unitPriceInput.addEventListener('input', updateTotal);

    function updateTotal() {
       
        let openingQuantity = parseFloat(openingQuantityInput.value);
        let unitPrice = parseFloat(unitPriceInput.value);
        let totalAmount = openingQuantity * unitPrice;

        totalInput.value = totalAmount.toFixed(2); 
    }
 </script>
   <style>
       input {
    display: block;
    width: 50vw;
    opacity:0.5;
    padding: 0 1.25rem;
}

input,
input::placeholder {
    /*font: 1.25rem/3 sans-serif;*/
    opacity:0.5;
}
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        .form-control{
            border:1px solid #E8E8E8;
        }
   </style> 
    
@endsection
