@extends('layouts.template')
@section('title','Home')
@section('heading','Stock Adjustment')
@section('breadcrumb','Home/Inventory/Stock Adjustment')
@section('content')


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Stock Adjustment</b></div>
    <div class="card-body">
    <form action="{{ route('stock.adjustment.save') }}" method="post">
    @csrf    
    <div class="row">
    <div class="col-md-2">
    <div class="form-group">
    <label for="date" class="required"><b>Date</b></label>
    <input type="date" class="form-control @error('date') border-danger @enderror" id="date" name="date" placeholder=""  value="{{ \Carbon\Carbon::now()->format('Y-m-d')  }}">
    @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>   
                            
                        <div class="col-md-2">
                                <div class="form-group">
                                    <label for="stockadd_id" class="required"><b>Stock Items</b></label>
                                    
                                    <select class="js-example-basic-single" id="stockadd_id" name="stockadd_id" style="width:100%">
                                        <option value="">Select</option>
                                        @foreach($stockitem as $items)
                                            <option value="{{ $items->stockadd_id }}" {{ old('stockadd_id') == $items->stockadd_id ? "selected":"" }}>{{ $items->stock_item	}}</option>
                                        @endforeach
                                    </select>
                                    @error('stockadd_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-2">
                                <div class="form-group">
                                    <label for="quantity" class="required"><b>Quantity</b></label>
                                    <input type="text" class="form-control @error('quantity') border-danger @enderror" id="quantity" name="quantity" placeholder=""  value="{{ old('quantity')  }}">
                                    @error('quantity')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>   
                              <div class="col-md-2">
                                <div class="form-group">
                                    <label for="adjustment_type" class="required"><b>Adjustment Type</b></label>
                                    
                                    <select class="js-example-basic-single" id="adjustment_type" name="adjustment_type" style="width:100%">
                                        <option value="">Select</option>
                                        <option value="1">Purchase</option>
                                        <option value="2">Sale</option>
                                        <option value="3">Damage</option>
                                    </select>
                                    @error('adjustment_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-2">
                                <div class="form-group">
                                    <label for="stock_affect" class="required"><b>Stock Affect</b></label>
                                    
                                    <select class="js-example-basic-single" id="stock_affect" name="stock_affect" style="width:100%">
                                        <option value="">Select</option>
                                        <option value="0">Add</option>
                                        <option value="1">Less</option>
                                    </select>
                                    @error('stock_affect')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                          </div>
                            <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                            </div>
                        </div>

                    </form>
                    </div>
                
<style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>







@endsection