@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Stock Location')
@section('breadcrumb','Settings / Inventory / Stock Location')
@section('content')





            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add</b></div>
     
            <div class="card-body">
            <form action="{{ route('stocklocation.save') }}" method="post">
            @csrf
            <div class="row">
                
            <div class="col-md-4">
            <div class="form-group">
            <label for="loc_name" class="required"><b>Stock location name</b></label>
            <input type="text" class="form-control @error('loc_name') border-danger @enderror" id="loc_name" name="loc_name" value="{{ old('loc_name') }}">
            @error('loc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            <div class="col-md-4">
            <div class="form-group">
            <label for="loc_address" class="required"><b>Location address</b></label>
            <input type="text" class="form-control @error('loc_address') border-danger @enderror" id="loc_address" name="loc_address" value="{{ old('loc_address') }}">
            @error('loc_address')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            </div>
                                    
            <div class="row">
            <div class="col-md-12">
            <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">Save</button>
            </div>
            </div>
                                    
                                    
            </div>
                         
            </form> 
            </div>
            </div>
            </div>
            </div>
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
            <div class="card-body">
            <table class="table table-bordered">
            <thead>
            <tr>
            <th><b>Stock Location</b></th>
            <th><b>Location Address</b></th>
            <th><b>Action</b></th>
            </tr>
            </thead>
            <tbody>
            @forelse($stocklocation as $location)
            <tr>
            <td>{{$location->loc_name}}</td>
            <td>{{$location->loc_address}}</td>
            <td>{{app_table_links($location->stockloc_id,array(94,95))}}</td>
                                     

            </tr>
            @empty
            <tr>
            <td colspan="2">No Result Found !</td>
            </tr>
            @endforelse
            </tbody>
            </table>
            </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
     
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        
	
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection