@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Stock Unit')
@section('breadcrumb','Settings / Inventory / Stock Unit')
@section('content')






    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Add</b></div>
    <div class="card-body">
    <form action="{{ route('inventory.save') }}" method="post">
    @csrf
                        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="symbol" class="required"><b>Symbol</b></label>
    <input type="text" class="form-control @error('symbol') border-danger @enderror" id="symbol" name="symbol" value="{{ old('symbol') }}">
    @error('symbol')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="fname" class="required"><b>Formal name</b></label>
                                            <input type="text" class="form-control @error('fname') border-danger @enderror" id="fname" name="fname" value="{{ old('fname') }}">
                                            @error('fname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                   <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="decimal" class="required"><b>Number of decimal places</b></label>
                                            <input type="text" class="form-control @error('decimal') border-danger @enderror" id="decimal" name="decimal" value="{{ old('decimal') }}">
                                            @error('decimal')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                     </div>
                                 <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
        
        
        
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Units of Measure</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($stockunit as $stock)
                                <tr>
                                     <td>{{$stock->formal_name}}</td>
                             <td>{{ app_table_links($stock->stock_id,array(68))}}</td>
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
     
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection