@extends('layouts.template')
@section('title','IQAC')
@section('heading','IQAC Report')
@section('breadcrumb','Home / IQAC / Report')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b> <i class="fa-solid fa-house" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Home / IQAC /</span>Report</b></div>
    <div class="card-body">




        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Document Report</b></div>
    
        <div class="card-body">
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="acyear"><b>Period</b></label>
        <select class="form-control" id="acyear">
        @foreach($acyears as $acyear)
        <option value="{{ $acyear->ac_id }}">{{ $acyear->date_formatted  }}</option>
        @endforeach
        </select>
        </div>
        </div>
                        
        <div class="col-md-3">
        <div class="form-group">
        <label for="criteria_id" class="required"><b>Criteria</b></label>
                                   
        <select class="form-control" id="criteria_id" name="criteria_id" required>
        <option value="">Select</option>
        @foreach($criterias as $crta)
        <option value="{{ $crta->id }}" {{ old('criteria_id')==$crta->id ? "selected":"" }}>{{ $crta->criteria }}</option>
        @endforeach
        </select>
        @error('criteria_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                            
                            
        <div class="col-md-12">
        <div class="form-group">
        <button type="button" class="btn btn-primary float-right" id="getData">Go</button>
        </div>
        </div>
                    
        </div>
        </div>
        </div>
        </div>
        </div>
    
    
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card" style="border-top:2px solid #004170">
    <div class="card-body">
    <table class="table table-bordered" id="reportTable" width="100%">
    <thead>
    <tr>
    <th><b>Document</b></th>
    <th><b>Critreria</b></th>
    <th><b>Uploaded By</b></th>
    <th><b>Evidence</b></th>
    <th><b>Delete</b></th>
    </tr>
    </thead>
    <tbody>
    </tbody>
    </table>
    </div>
    </div>
    </div>
    </div> 
    
    
    
    
    
    
     </div>
    </div>
    </div>
    </div> 
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('iqacreport.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.acyear = $('#acyear').val();
                        data.criteria = $('#criteria_id').val();
                       
                    }
                },
                columns : [
                    { data : 'document' },
                    { data : 'criteria' },
                    { data : 'name' },
                    { data : 'evidence' },
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection