@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Book Mainlocation')
@section('breadcrumb','Settings / Library / Book Mainlocation')
@section('content')







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background:#005A9C;color:white;"><b>Add</b></div>
    
                <div class="card-body">
                    <form action="{{ route('libmainloc.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                          <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="mainloc_code" class="required"><b>Main Location Code</b></label>
                                            <input type="text" class="form-control @error('mainloc_code') border-danger @enderror" id="mainloc_code" name="mainloc_code" value="{{ old('mainloc_code') }}">
                                            @error('mainloc_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="mainloc_name" class="required"><b>Main Location Name</b></label>
                                            <input type="text" class="form-control @error('mainloc_name') border-danger @enderror" id="mainloc_name" name="mainloc_name" value="{{ old('mainloc_name') }}">
                                            @error('mainloc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Code</b></th>
                            <th><b>Location Name</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($libmainloc as $main)
                                <tr>
                                     <td>{{$main->mainloc_code}}</td>
                                   <td>{{$main->mainloc_name}}</td>
                                   <td>{{app_table_links($main->ml_id,array(86,87))}}</td>
                                  
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection