@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','MemberType')
@section('breadcrumb','Settings / Library / MemberType')
@section('content')





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <form action="{{ route('libmembertyp.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                          <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="member_type" class="required"><b>Member Type</b></label>
                                            <input type="text" class="form-control @error('member_type') border-danger @enderror" id="member_type" name="member_type" value="{{ old('member_type') }}">
                                            @error('member_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="book_nums" class="required"><b>Max. No. Books to be issued</b></label>
                                            <input type="text" class="form-control @error('book_nums') border-danger @enderror" id="book_nums" name="book_nums" value="{{ old('book_nums') }}">
                                            @error('book_nums')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                     <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="valid_period" class="required"><b>Validity Period(Days)</b></label>
                                            <input type="text" class="form-control @error('valid_period') border-danger @enderror" id="valid_period" name="valid_period" value="{{ old('valid_period') }}">
                                            @error('valid_period')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Member Type</b></th>
                            <th><b>Max no. of books to be issued</b></th>
                            <th><b>Validity Period	</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($libmembertyp as $mbrtyp)
                                <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{$mbrtyp->member_type}}</td>
                                    <td>{{$mbrtyp->book_nums}}</td>
                                    <td>{{$mbrtyp->valid_period}}</td>
                                    <td>{{ app_table_links($mbrtyp->mmbrtyp_id,array(101,102)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
     
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection