@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Book Sublocation')
@section('breadcrumb','Settings / Library / Book Sublocation')
@section('content')







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
   
                <div class="card-body">
                    <form action="{{ route('libsubloc.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ml_id" class="required"><b>Main Location</b></label>
                                    <select class="form-control" id="ml_id" name="ml_id" required>
                                        <option value="">Select</option>
                                        @foreach($libmainloc as $main)
                                            <option value="{{ $main->ml_id}}" {{ old('ml_id')==$main->ml_id? "selected":"" }}>{{ $main->mainloc_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('ml_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subloc_code" class="required"><b>Sublocation Code</b></label>
                                            <input type="text" class="form-control @error('subloc_code') border-danger @enderror" id="subloc_code" name="subloc_code" value="{{ old('subloc_code') }}">
                                            @error('subloc_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                 
                                    </div>

                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subloc_name" class="required"><b>Sublocation Name</b></label>
                                            <input type="text" class="form-control @error('subloc_name') border-danger @enderror" id="subloc_name" name="subloc_name" value="{{ old('subloc_name') }}">
                                            @error('subloc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                 </div>
 
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Main Location</b></th>
                            <th><b>Sublocation</b></th>
                            <th><b>Sublocation Code</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($libsubloc as $sub)
                                <tr>
                                     <td>{{$sub->mainloc->mainloc_name}}</td>
                                   <td>{{$sub->subloc_name}}</td>
                                   <td>{{$sub->subloc_code}}</td>
                                 <td>{{app_table_links($sub->sl_id,array(89,90))}}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
      
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection