@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Add Activity')
@section('breadcrumb','Settings / OBE / Activity')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add Activity</b></div>
   
                <div class="card-body">
                    <form action="{{ route('activity.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="domain_id" class="required"><b>Domain</b></label>
                                    <select class="js-example-basic-single" id="domain_id" name="domain_id" style="width:100%" required>
                                        <option value="">SELECT</option>
                                        @foreach($domains as $domns)
                                            <option value="{{ $domns->id  }}" {{ old('domain_id ') == $domns->id  ? "selected":"" }}>{{ $domns->domain}}</option>
                                        @endforeach
                                    </select>
                                    @error('domain_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                          <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="activity_name" class="required"><b>Activity Name</b></label>
                                            <input type="text" class="form-control @error('activity_name') border-danger @enderror" id="activity_name" name="activity_name" value="{{ old('activity_name') }}" required>
                                            @error('activity_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-12">
                                        <div class="form-group">
                                             <label></label>
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Activity</b></th>
                            <th><b>Domain</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($activities as $actv)
                                <tr>
                                    <td>{{$actv->activity_name}}</td>
                                    <td>{{$actv->domain->domain}}</td>
                                    <td>{{app_table_links($actv->id,array(216,215)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
        </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection