@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Add Assessment Method')
@section('breadcrumb','Settings / OBE / Assessment Method')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
    </div>       
    <div class="card-body">




    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add Assessment Method</b></div>
   
                <div class="card-body">
                    <form action="{{ route('assessmentmethod.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="type" class="required"><b>Type</b></label>
                                    <select class="js-example-basic-single" id="type" name="type" style="width:100%" required>
                                        <option value="">SELECT</option>
                                        <option value="Internal">Internal</option>
                                        <option value="External">External</option>
                                    </select>
                                    @error('type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                          <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="method" class="required"><b>Method</b></label>
                                            <input type="text" class="form-control @error('method') border-danger @enderror" id="method" name="method" value="{{ old('method') }}" required>
                                            @error('method')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-3">
                                        <div class="form-group">
                                             
                                            <button type="submit" class="btn btn-primary">Save</button>
                                        </div>
                                    </div>
                                </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Method</b></th>
                            <th><b>Type</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($asessmethod as $meth)
                                <tr>
                                    <td>{{$meth->method}}</td>
                                    <td>{{$meth->type}}</td>
                                    <td>{{app_table_links($meth->id,array(225,224)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
      </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection