@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','CO-PSO Mapping')
@section('breadcrumb','Settings / OBE / CO-PSO Mapping / Edit')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('copsomapping.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="copso_id" value="{{ encrypt($copso->id) }}">
                        <div class="row">
                          
                            <div class="col-md-4">
                            <div class="form-group">
                               <label for="co_outcome" class="required"><b>Course Outcome</b></label>
                                @php $co_outcome=old('co_outcome ') ?? $copso->co_id; @endphp
                               <select class="form-control" id="co_outcome" name="co_outcome" required>
                                 @foreach($coutcome as $cn)
                                            <option value="{{ $cn->id  }}" {{ $co_outcome == $cn->id  ? "selected":"" }}>{{$cn->co_no.' '.$cn->co_name}}</option>
                                        @endforeach
                                </select>
                            </div>
                        </div>
                            
                              <div class="col-md-4">
                                        <div class="form-group">
                                            <label for="ps_outcome" class="required"><b>Program Specific Outcomes</b></label>
                                            @php $ps_outcome=old('ps_outcome ') ?? $copso->pso_id; @endphp
                                    <select class="js-example-basic-single" id="ps_outcome" name="ps_outcome" style="width:100%">
                                        @foreach($psoutcome as $p)
                                            <option value="{{ $p->id}}" {{ $ps_outcome == $p->id? "selected":"" }}>{{ $p->pso_no.' '.$p->pso_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('ps_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-3">
                            <div class="form-group">
                               <label for="level_id" class="required"><b>BT Level</b></label>
                                @php $level_id=old('level_id ') ?? $copso->level_id; @endphp
                               <select class="form-control" id="level_id" name="level_id" required>
                                 @foreach($btlevels as $lv)
                                            <option value="{{ $lv->id  }}" {{ $level_id == $lv->id  ? "selected":"" }}>{{$lv->level}}</option>
                                        @endforeach
                                </select>
                            </div>
                        </div>  
                                    
                             <div class="col-md-4">
                            <div class="form-group">
                               <label for="assmnt_method" class="required"><b>Assessment Method</b></label>
                                @php $assmnt_method=old('assmnt_method ') ?? $copso->assmnt_method; @endphp
                               <select class="form-control" id="assmnt_method" name="assmnt_method" required>
                                 @foreach($assessmentmethods as $asm)
                                            <option value="{{ $asm->id  }}" {{ $assmnt_method == $asm->id  ? "selected":"" }}>{{$asm->method}}</option>
                                        @endforeach
                                </select>
                            </div>
                        </div>         
                                    
                                    
                                     <div class="col-md-3">
                            <div class="form-group">
                               <label for="mapping_level" class="required"><b>Mapping Level</b></label>
                                @php $mapping_level=old('mapping_level ') ?? $copso->mapping_level; @endphp
                               <select class="form-control" id="mapping_level" name="mapping_level" required>
                                <option value="">select</option>
                                <option value="0" {{ $mapping_level == 0? "selected":"" }}>0</option>
                                <option value="1" {{ $mapping_level == 1? "selected":"" }}>1</option>
                                 <option value="2" {{ $mapping_level == 2? "selected":"" }}>2</option>
                                  <option value="3" {{ $mapping_level == 3? "selected":"" }}>3</option>
                                   <option value="4" {{ $mapping_level == 4? "selected":"" }}>4</option>
                                </select>
                            </div>
                        </div>  
                                    
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
       
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection