@extends('layouts.template')
@section('title','OBE')
@section('heading','Outcome Based Education')
@section('breadcrumb','Home / OBE /Add University Marks')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
        {{ app_button_links_v(array(273,274,275,283,284,285,286,289,290,291)) }}
        
    </div> 
    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            
             
            
        <div class="card">
            
         
        <div class="card-header" style="background: #005A9C;color:white;">
        <b>Select the Criteria</b>
        </div>
        <div class="card-body">
        <form action="{{ route('universitymark.get') }}" method="post">
        @csrf
                        <div class="row">
                        <div class="col-md-4">
                        <label for="course_id" class="required">Course</label>
                        <div class="form-group">
                        <select class="form-control" id="course_id" name="course_id" required>
                        <option value="">Select</option>
                        @foreach($courses as $course)
                        <option value="{{ $course->course_id }}" {{ $course_id==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                        @endforeach
                        </select>
                        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        
                        
                            <div class="col-md-8">
                            <label for="semester_id" class="required">Semester</label>
                            <div class="row">
                            <div class="col-md-6">
                            <div class="form-group">
                            <select class="form-control" id="semester_id" name="semester_id">
                            <option value="">Select</option>
                            <option value="na" {{ $semester_id=='na' ? "selected":"" }}>Not Assigned</option>
                            @foreach($semesters as $semester)
                            <option value="{{ $semester->semester_id }}" {{ $semester_id==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                            @endforeach
                            </select>
                            </div>
                            </div>
                            
                                    <div class="col-md-6">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Get Details</button>
                                    </div>
                                    </div>
                                    </div>
                    </div>
                    </div>
                    </form>
                    </div>
                    </div>
                    </div>
                    </div>
                    
                    
    @if(!empty($students))
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #004170;color:white;">
        <b>UNIVERSITY MARK LIST {{ date('Y',strtotime($cur_acyear->sdate)).' - '.date('Y',strtotime($cur_acyear->edate))}}</b>
        </div>
                    
                    
                    <div class="card-body">
                    <form action="{{ route('universitymark.save') }}" method="post">
                    @csrf
                    <input type="hidden" name="crs_id" value="{{ encrypt($course_id) }}" >
                    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
                    
                    <div class="form-group row">
                       
                      <table class="table table-bordered" id="table_promote">
                        <thead>
                         <tr>
                           <th>Subject Name</th>
                           <th>Max Mark</th>
                         </tr>
                        </thead>
                        <tbody>
                         @foreach($subjects as $sb)
                            <tr>
                                <td>{{$sb->subject_code.' '.$sb->subject_name}}</td>
                                <td><input type="text" size="2"class="form-control @error('max_mark') border-danger @enderror" id="max_mark{{$sb->subject_id}}" name="max_mark{{$sb->subject_id}}" value="{{$sb->submax->where('ac_id',$ac_id)->pluck('max_mark')->first()}}"></td></td>
                            </tr>
                          @endforeach    
                        </tbody>    
                       </table>
                     
                    </div>
                   
                    </div>
                </div>
            </div>
        </div>
                            
                            
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
            <div class="card-body">
                            
                          <div class="form-group row">
                               <div class="div_scroller">
                                <table class="table table-bordered" id="table_promote">
                                <thead>
                                <tr>
                                <th>
                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                </div>
                                </th>
                                <th><b>Adno</b></th>
                                <th><b>Student Name</b></th>
                                @foreach($subjects as $sb)
                                <th style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>{{$sb->subject_code}}</b></th>
                                 @endforeach  
                                </tr>
                                </thead>
                                    <tbody>
                                        @foreach($students as $student)
                                            <tr>
                                                <td>
                                                    <div class="form-group">
                                                        <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                            <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}"> </label>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td>{{ $student->adno }}</td>
                                                <td>{{ $student->name }}</td>
                                                @foreach($subjects as $sb)
                                                <td><input type="text" size="2" class="form-control @error('gpa') border-danger @enderror" id="gpa{{ $student->student_id }}_{{$sb->subject_id}}" name="gpa{{ $student->student_id }}_{{$sb->subject_id}}" value="{{$student->universitysubmark->where('ac_id',$ac_id)->where('sub_id',$sb->subject_id)->pluck('mark')->first()}}"></td>
                                                 @endforeach  
                                            </tr>
                                        @endforeach
                                    <tbody>
                                </table>
                                </div>
                         </div>
                           <div class="row">
                             
                                        <div class="col-md-6">
                                        <div class="form-group">
                                        <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/promote.js') }}"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }

          .div_scroller{
    	overflow:auto;
      }
    </style>
@endsection