@extends('layouts.settings-template')
@section('title','Add Domain')
@section('heading','Add Term')
@section('breadcrumb','Settings / OBE / Term')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white"></div>    
<div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Term</b></div>
                <div class="card-body">
                    <form action="{{ route('obterm.save') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-8">
                                <label for="term" class="required">Term Name</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('term') border-danger @enderror" id="term" name="term" value="{{ old('term') }}">
                                            @error('term')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                   
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                       </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Term</b></th>
                            
                            <th colspan="2"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($terms as $trm)
                                <tr>
                                    <td>{{ $trm->term }}</td>
                                   
                                    <td>{{ app_table_links($trm->id ,array(237)) }}
                                    {{ app_table_links($trm->id ,array(236)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
      </div>
            </div>
        </div>
    </div>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
       
    </style>
@endsection