@extends('layouts.template')
@section('title','Home')
@section('heading','Student Report')
@section('breadcrumb','Home/Student/Student Report')
@section('content')

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="acyear"><b>Academic Year</b></label>
                                <select class="form-control" id="acyear">
                                    @foreach($acyears as $acyear)
                                        <option value="{{ $acyear->ac_id }}">{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="course"><b>Course</b></label>
                                <select class="form-control" id="course">
                                    <option value="">Select</option>
                                    @foreach($courses as $course)
                                        <option value="{{ $course->course_id }}">{{ $course->course_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                      <div class="col-md-3">
                            <div class="form-group">
                                <label for="religion_id"><b>Religion</b></label>
                                <select class="form-control" id="religion_id">
                                    <option value="">Select</option>
                                    @foreach($religion as $religions)
                                        <option value="{{ $religions->religion_id }}">{{ $religions->religion_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                     
                     <div class="col-md-3">
    <div class="form-group">
        <label for="category"><b>Community</b></label>
        <select class="form-control" id="category" name="category">
            <option value="">Select</option>
        </select>
    </div>
</div>

<div class="col-md-3">
    <div class="form-group">
        <label for="quota"><b>Admission Quota</b></label>
        <select class="form-control" id="quota" name="quota">
            <option value="">Select</option>
            @foreach($acquota as $quota)
                <option value="{{ $quota->aq_id }}" 
                    {{ old('quota') == $quota->aq_id ? 'selected' : '' }}>
                    {{ $quota->quota }}
                </option>
            @endforeach
        </select>
    </div>
</div>

                     
                     
                     
                     
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead style="background-color:#FEBE10;">
                        <tr>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Address</b></th>
                            <th><b>Mobile</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th><b>Religion</b></th>
                            <th><b>Community</b></th>
                            <!--<th><b>Caste</b></th>-->
                            <th><b>Quota</b></th>
                            <th class="no-sort">TC Status</th>
                            <th class="no-sort">Status</th>
                            <th class="no-sort">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/castestudentreport.js') }}"></script>  
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('report.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.acyear = $('#acyear').val();
                        data.course = $('#course').val();
                        data.religion = $('#religion_id').val();
                        data.category = $('#category').val();
                        data.quota = $('#quota').val();
                    }
                },
                columns : [
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'address' },
                    { data : 'mobile' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'religion' },
                    { data : 'community' },
                    // { data : 'caste' },
                    { data : 'quota' },
                    { data : 'tcstatus' },
                    { data : 'status' },
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
    <style>
        .form-control{
            border:1px solid black;
        }
       

 
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }

    </style>


@endsection