@extends('layouts.template')
@section('title','Advance Salary Payment')
@section('heading','Advance Salary Payment')
@section('breadcrumb','Home / Salary / Advance Salary Payment')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head> 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
     <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(508,507)) }}
    </div>
    
    <div class="card-body">
           <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Advance Salary Payment</b></div>
        <div class="card-body">
        <form>
        @csrf
        <div class="row">
            
            <div class="col-md-3">
                <div class="form-group">
                    <label for="staftyp_id" class="required">Staff Type</label>
                    <select class="js-example-basic-single" id="staftyp_id" name="staftyp_id" style="width:100%">
                       <option value="">Select</option>
                          @foreach($stafftype as $type)
                            <option value="{{ $type->staftyp_id }}" {{ old('staftyp_id') == $type->staftyp_id ? "selected":"" }}>{{ $type->type_name}}</option>
                           @endforeach
                    </select>
                        @error('staftyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
            </div>
        
          <div class="col-md-3">
            <div class="form-group">
                <label for="pdate" class="required">Payment Date</label>
                <input type="date" id="pdate" name="pdate" class="form-control" value="{{ $cur_date}}" >
            </div>
          </div>
          
          <div class="col-md-3">
            <div class="form-group">
              <label for="pdate" class="required">Payment Mode</label>   
           <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%">
               @foreach($paymodes as $paymode)
                 <option value="{{ $paymode->mode_id }}" {{ old('mode_id') == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
               @endforeach
           </select>
               @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
          
            </div>
        </div>
        
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
              <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    
    
 
        </div>
        </div>
        </div>
    </div>

   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script>
      $(document).ready(function(){
      $("#btn-get").on('click',function(){
        var stafftype = $('#staftyp_id').val();
        var pdate = $('#pdate').val();
        var mode_id = $('#mode_id').val();
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(stafftype=='' || pdate=='' || mode_id==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../salaryadvpayment-get',
                data : {stafftype:stafftype,pdate:pdate,mode_id:mode_id},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
    </script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
        .div_scroller{
    	overflow:auto; 
    	scrollbar-width: initial; /* Make the scrollbar thinner */
    scrollbar-color: #888 #f1f1f1; /* thumb color and track color */
      }
    </style>
@endsection
    