@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Academic Year')
@section('breadcrumb',' Settings / Academic Year')
@section('content')





        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Enter Details</b></div>
        <div class="card-body">
        <form action="{{ route('acyear.insert') }}" method="post">
        @csrf
        <div class="row">
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="sdate" class="required"><b>Start Date</b></label>
        <input type="date" class="form-control @error('sdate') border-danger @enderror" id="sdate" name="sdate" value="{{ old('sdate') }}">
        @error('sdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                                    
        <div class="col-md-3">
        <div class="form-group">
        <label for="sdate" class="required"><b>End Date</b></label>
        <input type="date" class="form-control @error('edate') border-danger @enderror" id="edate" name="edate" value="{{ old('edate') }}">
        @error('edate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
       
        </div>
          
        <div class="row">                            
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right">Save</button>
        </div>
        </div>
        </div>
                                    
                                    
                                
        </form>
        </div>
        </div>
        </div>
        </div>






        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #004170;color:white;"><b>Set Academic Year</b></div>
        <div class="card-body">
        <table class="table table-bordered">
        <thead>
        <tr>
        <th><b>#</b></th>
        <th><b>Start Date</b></th>
        <th><b>End Date</b></th>
        <th><b>Default</b></th>
        </tr>
        </thead>
        <tbody>
                            @forelse($acyears as $acyear)
                                <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $acyear->start_date_formatted }}</td>
                                <td>{{ $acyear->end_date_formatted }}</td>
                                <td><a href="{{ route('acyear.save',encrypt($acyear->ac_id)) }}"><i class="icon-check icon-sm {{ $acyear->default1 == 1 ? "text-success":"text-muted" }}"></i></a></td>
                                </tr>
                            @empty
                                <tr>
                                <td colspan="4">No Result Found !</td>
                                </tr>
                            @endforelse
                    </tbody>
                    </table>
                    </div>
                    </div>
                    </div>
    </div>
    
    
    
    
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection
