@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Holiday Setting')
@section('breadcrumb','Settings / Holiday Setting')
@section('content')




        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Add Holiday</b></div>
        <div class="card-body">
        <form action="{{route('holiday.save')}}" method="post">
        @csrf
                        <div class="row">
                        
                        <div class="col-md-3">
                        <label for="title" class="required"><b>Add Holiday</b></label>
                        <div class="form-group">
                        <input type="text" class="form-control @error('title') border-danger @enderror" id="title" name="title" value="{{ old('title') }}">
                        @error('title')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
           
                                <div class="col-md-3">
                                <label for="start_date" class="required"><b>Start Date</b></label>
                                <div class="form-group">
                                <input type="date" class="form-control @error('start_date') border-danger @enderror" id="start_date" name="start_date" value="{{ old('start_date') }}">
                                @error('start_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                    
                                <div class="col-md-3">
                                <label for="end_date" class="required"><b>End Date</b></label>
                                <div class="form-group">
                                <input type="date" class="form-control @error('end_date') border-danger @enderror" id="end_date" name="end_date" value="{{ old('end_date') }}">
                                @error('end_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                
                                <div class="col-md-3">
                                <label for="color" class="required"><b>Choose Color</b></label>
                                <div class="form-group">
                                <input type="color" list="presetColors" class="form-control" name="color" value="#ff0000" style="width:100%">
                                <datalist id="presetColors">
                                <option>Select</option>    
                                <option>#ff0000</option> 
                                <option>#00ff00</option> 
                                <option>#0000ff</option>
                                <option>#800080</option>
                                </datalist>

                                </div>
                               
                                </div>
                                </div>
                                            <div class="row">
                                            <div class="col-md-12">
                                            <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                            </div>
                                            </div>
                                            
                                            
                                            
                    </div>
                    
                    
                    
                    </form>
                     
                    </div>
                    </div>
                    </div>
                    </div>
                    
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf_token" content="{{ csrf_token() }}">
    <!--<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">-->
    <link href='https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css' rel='stylesheet'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/css/iziToast.min.css" integrity="sha512-O03ntXoVqaGUTAeAmvQ2YSzkCvclZEcPQu1eqloPaHfJ5RuNGiS4l+3duaidD801P50J28EHyonCV06CUlTSag==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css" integrity="sha512-mSYUmp1HYZDFaVKK//63EcZq4iFWFjxSL+Z3T/aCt4IO9Cejm03q3NKKYN6pFQzY0SBOr8h+eCIAZHPXcpZaNw==" crossorigin="anonymous" referrerpolicy="no-referrer" />



    <!--<div class="container">-->
    <!--    <div class="row">-->
    <!--        <div class="col-12 mt-3">-->
    <!--            <div id='calendar'></div>-->
    <!--        </div>-->
    <!--    </div>-->
    <!--</div>-->


<div class="row">
<div class="col-lg-12 grid-margin stretch-card">
<div class="card" style="border-top:2px solid #004170">
<div class="card-body">
<div class="row">   
<div class="col-md-2">
<label  style="margin-left:2px">Public Holiday</label>
</div>
<div class="col-md-1">
<div class="color-box" style="background-color: #ff0000;">
</div>
</div>
<div class="col-md-2">
<label>Vacation</label>
</div>
<div class="col-md-1">
<div class="color-box" style="background-color: #00ff00;">
</div>
</div>
<div class="col-md-2">
<label>Half Day</label>
</div>
<div class="col-md-1">
<div class="color-box" style="background-color: #800080;">
</div>
</div>

</div> 

<br>
<br>
<br>
<br>
 <div id='calendar'></div>
</div>
</div>
</div>
</div>







    <div id="modal-action" class="modal" tabindex="-1">
        
    </div>



    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.4/jquery.min.js" integrity="sha512-pumBsjNRGGqkPzKHndZMaAG+bir374sORyzM3uulLV14lN5LyykqNk8eEeUlUkB3U0M4FApyaHraT65ihJhDpQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <script src='https://cdn.jsdelivr.net/npm/fullcalendar@6.1.7/index.global.min.js'></script>
    <script src='https://cdn.jsdelivr.net/npm/@fullcalendar/bootstrap5@6.1.7/index.global.min.js'></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/js/iziToast.min.js" integrity="sha512-Zq9o+E00xhhR/7vJ49mxFNJ0KQw1E1TMWkPTxrWcnpfEFDEXgUiwJHIKit93EW/XxE31HSI5GEOW06G6BF1AtA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js" integrity="sha512-T/tUfKSV1bihCnd+MxKD0Hm1uBBroVYBOYSk1knyvQ9VyZJpc/ALb4P0r6ubwVPSGB2GvjeoMAJJImBG12TiaQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <script>
        const modal = $('#modal-action')
        const csrfToken = $('meta[name=csrf_token]').attr('content')

document.addEventListener('DOMContentLoaded', function() {
    var calendarEl = document.getElementById('calendar');
    var calendar = new FullCalendar.Calendar(calendarEl, {
        initialView: 'dayGridMonth',
        themeSystem: 'bootstrap5',
        events: `{{ route('holiday.get') }}`, 
        editable: true,
        eventClassNames: function(info) {
          
        return info.event.extendedProps.backgroundColor === 'red' ? 'fc-holiday' : '';

        },
        dateClick: function(info) {
            $.ajax({
                url: `{{ route('holiday.create') }}`,
                data: {
                    start_date: info.dateStr,
                    end_date: info.dateStr
                },
                success: function(res) {
                    modal.html(res).modal('show')
                    $('.datepicker').datepicker({
                        todayHighlight: true,
                        format: 'yyyy-mm-dd'
                    });

                    $('#form-action').on('submit', function(e) {
                        e.preventDefault();
                        const form = this;
                        const formData = new FormData(form);
                        $.ajax({
                            url: form.action,
                            method: form.method,
                            data: formData,
                            processData: false,
                            contentType: false,
                            success: function(res) {
                                modal.modal('hide');
                                calendar.refetchEvents();
                            },
                            error: function(res) {
                              
                            }
                        });
                    });
                }
            });
        },
        eventClick: function({event}) {
            $.ajax({
                url: `{{ url('events') }}/${event.id}/edit`,
                success: function(res) {
                    modal.html(res).modal('show');

                    $('#form-action').on('submit', function(e) {
                        e.preventDefault();
                        const form = this;
                        const formData = new FormData(form);
                        $.ajax({
                            url: form.action,
                            method: form.method,
                            data: formData,
                            processData: false,
                            contentType: false,
                            success: function(res) {
                                modal.modal('hide');
                                calendar.refetchEvents();
                            }
                        });
                    });
                }
            });
        },
        eventDrop: function(info) {
            const event = info.event;
            $.ajax({
                url: `{{ url('events') }}/${event.id}`,
                method: 'put',
                data: {
                    id: event.id,
                    start_date: event.startStr,
                    end_date: event.end.toISOString().substring(0, 10),
                    title: event.title,
                    category: event.extendedProps.category
                },
                headers: {
                    'X-CSRF-TOKEN': csrfToken,
                    accept: 'application/json'
                },
                success: function(res) {
                    iziToast.success({
                        title: 'Success',
                        message: res.message,
                        position: 'topRight'
                    });
                },
                error: function(res) {
                    const message = res.responseJSON.message;
                    info.revert();
                    iziToast.error({
                        title: 'Error',
                        message: message ?? 'Something went wrong',
                        position: 'topRight'
                    });
                }
            });
        },
        eventResize: function(info) {
            const {event} = info;
            $.ajax({
                url: `{{ url('events') }}/${event.id}`,
                method: 'put',
                data: {
                    id: event.id,
                    start_date: event.startStr,
                    end_date: event.end.toISOString().substring(0, 10),
                    title: event.title,
                    category: event.extendedProps.category
                },
                headers: {
                    'X-CSRF-TOKEN': csrfToken,
                    accept: 'application/json'
                },
                success: function(res) {
                    iziToast.success({
                        title: 'Success',
                        message: res.message,
                        position: 'topRight'
                    });
                },
                error: function(res) {
                    const message = res.responseJSON.message;
                    info.revert();
                    iziToast.error({
                        title: 'Error',
                        message: message ?? 'Something went wrong',
                        position: 'topRight'
                    });
                }
            });
        }
    });

    calendar.render();
});

    </script>

                    
    <style>
        .sunday-holiday{
            background-color: red; 
        }
      
        .color-box {
            width: 20px; 
            height: 20px; 
            display: inline-block;
            vertical-align: middle; 
            margin: 5px; 
        }
  .fc-toolbar-title {
    color: #ffffff;
    background-color: #004170; 
    padding: 10px; 
    border-radius: 5px; 
}
.fc-col-header-cell {
    background-color: #004170; 
    color: white; 
    font-weight: bold; 
}
.fc {
    background-color: #F8F8F8;
    border:1px solid #F0F0F0;
}
.fc-daygrid-day.fc-day-today {
            background-color: #F0F8FF; 
           
        }
        
        
        
    </style>                
                    
                    
                    
                    
                    
                    
                    
                    
                   
                    
@endsection