@extends('layouts.settings-template')
@section('title','Institution')
@section('heading','Institution')
@section('breadcrumb','Settings / Institution')
@section('content')
    <div class="card">
        <div class="card-header bg-custom">
            Institution Details
        </div>
        <div class="card-body">
            <form action="{{ route('institution.save') }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="name" class="required">Name</label>
                            <input type="text" class="form-control @error('name') border-danger @enderror" id="name" name="name" value="{{ $details->name }}">
                            @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="address">Address</label>
                            <textarea class="form-control @error('address') border-danger @enderror" id="address" name="address" rows="1">{{ $details->address }}</textarea>
                            @error('address')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="affiliation">Affiliation</label>
                            <input type="text" class="form-control @error('affiliation') border-danger @enderror" id="affiliation" name="affiliation" value="{{ $details->affiliation }}">
                            @error('affiliation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="mobile">Mobile</label>
                            <input type="text" class="form-control @error('mobile') border-danger @enderror" id="mobile" name="mobile" value="{{ $details->mobile }}">
                            @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="landline">Landline</label>
                            <input type="text" class="form-control @error('landline') border-danger @enderror" id="landline" name="landline" value="{{ $details->landline }}">
                            @error('landline')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="text" class="form-control @error('email') border-danger @enderror" id="email" name="email" value="{{ $details->email }}">
                            @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="website">Website</label>
                            <input type="text" class="form-control @error('website') border-danger @enderror" id="website" name="website" value="{{ $details->website }}">
                            @error('website')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="logo">Logo</label>
                            <input type="file" class="form-control-file @error('logo') border-danger @enderror" id="logo" name="logo" class="file-upload-default">
                            @error('logo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            @if(!empty($details->logo))
                                <img src="{{ asset('public/uploads/logo/'.$details->logo) }}" alt="{{ $details->logo }}" height="150px">
                            @endif
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection