@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Mess Fee')
@section('breadcrumb','Settings / Hostel Settings /Mess Fee')
@section('content')






    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Mess Fee</b></div>
                <div class="card-body">
                    <form action="{{ route('messfee.save') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="hostel_id" class="required"><b>Hostel Name</b></label>
                                    <select class="js-example-basic-single" id="hostel_id" name="hostel_id" style="width:100%">
                                        <option value="">Select</option>
                                        @foreach($hostels as $hostel)
                                            <option value="{{ $hostel->hostel_id }}" {{ old('hostel_id')==$hostel->hostel_id ? "selected":"" }}>{{ $hostel->hostel_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('hostel_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="month_id" class="required"><b>Month</b></label>
                                    <select class="js-example-basic-single" id="month_id" name="month_id" style="width:100%">
                                        <option value="">Select</option>
                                        @foreach($months as $month)
                                            <option value="{{ $month->month_id }}" {{ old('month_id')==$month->month_id ? "selected":"" }}>{{ $month->month_formatted }}</option>
                                        @endforeach
                                    </select>
                                    @error('month_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="amount" class="required"><b>Amount</b></label>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <input type="text" class="form-control @error('amount') border-danger @enderror" id="amount" name="amount" value="{{ old('amount') }}">
                                            @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                        <div class="col-md-8">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Hostel Name</b></th>
                            <th><b>Month</b></th>
                            <th><b>Amount</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($fees as $fee)
                                <tr>
                                    <td>{{ $fee->hostel->hostel_name }}</td>
                                    <td>{{ $fee->monthdet->month_formatted }}</td>
                                    <td>{{ $fee->amount }}</td>
                                    <td>{{ app_table_links($fee->fee_id,array(44)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="4">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
      
    <style>
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection