@extends('layouts.settings-template')
@section('title','Edit')
@section('heading','Edit')
@section('breadcrumb','')
@section('content')
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('classteacher.update') }}" method="post">
    @csrf
    <input type="hidden" name="clstchr_id" value="{{ encrypt($classteacher->clstchr_id) }}">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ac_id" class="required">Academic Year</label>
                                    <select class="form-control" id="ac_id" name="ac_id" required>
                                        @foreach($acyear as $acyear)
                                            <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                                        @endforeach
                                    </select>
                                    @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Course</label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($course as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required">Semester</label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                         @foreach($semester as $sem)
                                            <option value="{{ $sem->semester_id }}" {{ old('semester_id')==$sem->semester_id ? "selected":"" }}>{{ $sem->semester_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                         <div class="col-md-3">
                                <div class="form-group">
                                    <label for="user_id" class="required">Class Teacher</label>
                                    <select class="form-control" id="user_id" name="user_id" required>
                                        <option value="">Select</option>
                                        @foreach($user as $users)
                                            <option value="{{ $users->user_id  }}" {{ old('user_id')==$users->user_id  ? "selected":"" }}>{{ $users->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                       <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-success">Update</button>
                                </div>
                            </div>
                        </div>
                    </form>
                    </div>
                    
                </div>
            </div>
        </div>
         
@endsection