@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','SectionHead')
@section('breadcrumb','Settings / Staff Setting /SectionHead')
@section('content')


 <div class="row">
                <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
             <form action="{{route('hod.save')}}" method="post">
    @csrf    
            <div class="row">
                <div class="col-md-3">
                <div class="form-group">
                <label for="ac_id" class="required"><b>Academic Year</b></label>
                <select class="form-control" id="ac_id" name="ac_id" required>
                    <option value="">Select</option>
                @foreach($acyears as $acyear)
                <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                @endforeach
                </select>
                @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                <div class="col-md-3">
                <div class="form-group">
                <label for="dept_id" class="required"><b>Department</b></label>
                <select class="form-control" id="dept_id" name="dept_id" required>
                <option value="">Select</option>
                @foreach($department as $dept)
                <option value="{{ $dept->id }}" {{ old('dept_id')==$dept->id ? "selected":"" }}>{{ $dept->dept_name }}</option>
                @endforeach
                </select>
                @error('dep_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                
                <div class="col-md-3">
                <div class="form-group">
                <label for="id" class="required"><b>Teacher</b></label>
                <select class="form-control" id="user_id" name="user_id" required>
                <option value="">Select</option>
                @foreach($user as $users)
                <option value="{{ $users->user_id }}" {{ old('user_id')==$users->id ? "selected":"" }}>{{ $users->name }}</option>
                @endforeach
                </select>
                @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                
                </div>
                
                 <div class="row">
                     <div class="col-md-12">
                <div class="form-group">
                     <button type="submit" class="btn btn-primary float-right">Save</button>
                     </div>
                     </div>
                </div>
                
                
                  </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
     <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Acyear</b></th>
                            <th><b>Department</b></th>
                            <th><b>HOD</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($HOD as $HODS)
                                <tr>
                                   @php 
                                   $startDate=$HODS->acyear->sdate;
                                   $endDate=$HODS->acyear->edate;
                                   $startYear=date('Y',strtotime($startDate));
                                   $endYear=date('Y',strtotime($endDate));
                                
                                   
                                   @endphp
                                   <td>{{$loop->iteration}}</td>
                                    <td>{{$startYear}}-{{$endYear}}</td>
                                    <td>{{ $HODS->dept->dept_name }}</td>
                                    <td>{{ $HODS->user->name }}</td>
                                   <td>{{app_table_links($HODS->hod_id,array(359)) }}</td>
                                   
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        } 
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection