@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Deduction')
@section('breadcrumb','Settings / Salary / Deduction')
@section('content')




            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
            <div class="card-body">
            <form action="{{ route('slrydeduction.save') }}" method="post">
                        @csrf
                        
            <div class="row">
                            
            <div class="col-md-3">
            <div class="form-group">
            <label for="deduction_name" class="required"><b>Deduction</b></label>
            <input type="text" class="form-control @error('deduction_name') border-danger @enderror" id="deduction_name" name="deduction_name" value="{{ old('deduction_name') }}">
                                            @error('deduction_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            <div class="col-md-3">
            <div class="form-group">
            <label for="deduction_code" class="required"><b>Deduction Code</b></label>
            <input type="text" class="form-control @error('deduction_code') border-danger @enderror" id="deduction_code" name="deduction_code" value="{{ old('deduction_code') }}">
            @error('deduction_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
                            
                            
                            
            <div class="col-md-3">
            <div class="form-group">
            <label for="accounttype_id" class="required"><b>Account Type</b></label>
            <select class="form-control" id="accounttype_id" name="accounttype_id" required>
            @foreach($accountype as $account)
            <option value="{{ $account->accounttype_id }}" {{ old('accounttype_id ')==$account->accounttype_id? "selected":"" }}>{{ $account->account_type }}</option>
            @endforeach
            </select>
            @error('accounttype_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
                                  
            </div>
                                <div class="row">
                                <div class="col-md-12">
                                <div class="form-group">
                                <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                                </div>
                                </div>
                                    
                                    
                                </form>
                </div>
                </div>
                </div>
                </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Deduction Name</b></th>
                            <th><b>Deduction Code</b></th>
                            <th><b>Account Type</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($slrydeduction as $deduction)
                                <tr>
                                     
                                    
                                   <td>{{$deduction->deduction_name}}</td>
                                       <td>{{$deduction->deduction_code}}</td>
                                       <td>{{$deduction->actype->account_type}}</td>
                                       <td>{{app_table_links($deduction->deduction_id,array(115,116)) }}</td>
                                      
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
     
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection