@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Staff Category')
@section('breadcrumb','Settings / Staff Setting / Staff Category')
@section('content')



    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Set Staff Category</b></div>
                <div class="card-body">
                    <form action="{{ route('staffcategory.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                          <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="name" class="required"><b>Name</b></label>
                                            <input type="text" class="form-control @error('name') border-danger @enderror" id="name" name="name" value="{{ old('name') }}">
                                            @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="description" class="required"><b>Description</b></label>
                                            <input type="text" class="form-control @error('description') border-danger @enderror" id="description" name="description" value="{{ old('description') }}">
                                            @error('description')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Name</b></th>
                            <th><b>Description</b></th>
                            <!--<th>Actions</th>-->
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($staffcategory as $cate)
                                <tr>
                                     <td>{{$cate->name}}</td>
                                   <td>{{$cate->description}}</td>
                                   <!--<td>{{ app_table_links($cate->stfcate_id,array(107)) }}</td>-->
                                    
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
     
    <style>
     
        .form-control{
            border:1px solid #E8E8E8;
        }
                                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
@endsection