@extends('layouts.settings-template')
@section('title','Settings')
@section('heading', 'Staff Type')
@section('breadcrumb','Settings / Staff Setting / Staff Type')
@section('content')

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <form action="{{ route('stafftype.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="stfcate_id" class="required"><b>Category Name</b></label>
                                    <select class="form-control" id="stfcate_id " name="stfcate_id" required>
                                        @foreach($staffcategory as $category)
                                            <option value="{{ $category->stfcate_id }}" {{ old('stfcate_id')==$category->stfcate_id ? "selected":"" }}>{{ $category->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('stfcate_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="type_name" class="required"><b>Type Name</b></label>
                                            <input type="text" class="form-control @error('type_name') border-danger @enderror" id="type_name" name="type_name" value="{{ old('type_name') }}">
                                            @error('type_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
</div>
 <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Category Name</b></th>
                            
                            <th><b>Type Name</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($stafftype as $type)
                                <tr>
                                     
                                    
                                   <td>{{$type->type->name}}</td>
                                       <td>{{$type->type_name}}</td>
                                       <td>{{app_table_links($type->staftyp_id,array(109))}}</td>
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
        
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
           
          
        }
       
        .form-control{
            border:1px solid black;
        }
       
        
         .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection