
@extends('layouts.student-template')
@section('title','Home')
@section('heading','Attendance - Report')
@section('breadcrumb','Home/Attendance/Attendance-Report')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Select the Criteria</b></div>
    <div class="card-body">
           
                  
            <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="fdate"><b>From Date</b></label>
            <input type="date" class="form-control" id="fdate" name="fdate" value="{{ old('fdate') ? old('fdate'):date('Y-m-d') }}">
            @error('fdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>       
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="tdate"><b>To Date</b></label>
                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ old('tdate') ? old('tdate'):date('Y-m-d') }}">
                    @error('tdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    </div>
                   <div class="col-md-3">
                    <div class="form-group">
                          <label for="course_id" class="required"><b>Course</b></label>
                            <select class="form-control" id="course_id" name="course_id" required>
                            <option value="">Select</option>
                            
                                <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                 </select>
                            
                            @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                   </div> 
                   </div> 
                   
                    <div class="col-md-3">
                    <div class="form-group">
                          <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                            <option value="">Select</option>
                             @foreach($sem as $semester)
                                <option value="{{ $semester->semester_id }}" {{ old('semester_id')==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                                @endforeach
                            </select>
                            @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                   </div> 
                   </div> 
                
                   </div> 
                   
                    <div class="row">
                    <div class="col-md-12">
                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                    </div>
                    </div>
                    
                    
                    
                    
                    
                    
                    
        </div>
        </div>
        </div>
        </div>
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card" id="result">
            
        </div>
        </div> 
        
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
        <script>
             $(document).ready(function(){
      $("#btn-get").on('click',function(){
        var sem = $('#semester_id').val();
    
        var course=$('#course_id').val();
        var fdate=$('#fdate').val();
        var tdate=$('#tdate').val();
        
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(course=='' || sem==''|| fdate=='' || tdate==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../studentlog-attendance-report',
                data : {tid:course,did:sem,fdate:fdate,tdate:tdate},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
        </script>
         <style>
            .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }  
         </style>
         
         
         
         
         @endsection