@extends('layouts.template')
@section('title','Home')
@section('heading','Admission')
@section('breadcrumb','Home/Student/Admission')
@section('content')

    <form action="{{ route('student.save') }}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Personal Information</b></div>
    <div class="card-body" style="">
        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="name" class="required">Name</label>
    <input type="text" class="form-control text" id="name" name="name" value="{{ old('name') }}" placeholder="Student Name" required>
    @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="male" class="required">Gender</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" {{ old('gender')=='male' ? "checked":"" }}> Male </label>
                                </div>
                                </div>
                                <div class="col-md-8">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" {{ old('gender')=='female' ? "checked":"" }}> Female </label>
                                </div>
                                </div>
                                </div>
                                </div>
                                </div>
                                
                                
                           
                                
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="paddress" class="required">Permanent Address</label>
                            <textarea class="form-control text" id="paddress" name="paddress" placeholder="Permanent Address" required rows="2">{{ old('paddress') }}</textarea>
                            @error('paddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                            
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caddress">
                                <input type="checkbox" class="form-check-input" id="same" name="same" value="1" {{ old('same')=='1' ? "checked":"" }}> Communication Address
                                </label>
                                <textarea class="form-control text" id="caddress" name="caddress" rows="2" placeholder="Communication Address">{{ old('caddress') }}</textarea>
                                @error('caddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                </div>
                                <br>
                                
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" placeholder="Mobile" value="{{ old('mobile') }}" required>
                                    @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="email"  class="required">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" placeholder="Email" value="{{ old('email') }}">
                                    @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="aadhar">Aadhar No</label>
                                    <input type="text" class="form-control text" id="aadhar" name="aadhar" placeholder="Aadhar No" value="{{ old('aadhar') }}">
                                    @error('aadhar')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="dob" class="required">Date of Birth</label>
                                    <input type="date" class="form-control text" id="dob" name="dob" placeholder="Date of Birth" value="{{ old('dob') }}" required>
                                    @error('dob')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                        <div class="row">
                                        <div class="col-md-3">
                                        <div class="form-group">
                                        <label for="bgroup">Blood Group</label>
                                        <select class="form-control text" id="bgroup" name="bgroup">
                                        <option value="">Select</option>
                                        <option value="O+ve" {{ old('bgroup')=='O+ve' ? "selected":"" }}>O+ve</option>
                                        <option value="O-ve" {{ old('bgroup')=='O-ve' ? "selected":"" }}>O+ve</option>
                                        <option value="A+ve" {{ old('bgroup')=='A+ve' ? "selected":"" }}>A+ve</option>
                                        <option value="A-ve" {{ old('bgroup')=='A-ve' ? "selected":"" }}>A-ve</option>
                                        <option value="B+ve" {{ old('bgroup')=='B+ve' ? "selected":"" }}>B+ve</option>
                                        <option value="B-ve" {{ old('bgroup')=='B-ve' ? "selected":"" }}>B-ve</option>
                                        <option value="AB+ve" {{ old('bgroup')=='AB+ve' ? "selected":"" }}>AB+ve</option>
                                        <option value="AB-ve" {{ old('bgroup')=='AB-ve' ? "selected":"" }}>AB-ve</option>
                                        </select>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="religion">Religion</label>
                                    <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                                    <option value="">Select</option>
                                    @foreach($religion as $religions)
                                    <option value="{{ $religions->religion_id  }}" {{ old('religion_id') == $religions->religion_id  ? "selected":"" }}>{{ $religions->religion_name}}</option>
                                    @endforeach
                                    </select>
                                    @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="community_id" >Community</label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                            </select>
                            @error('community_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                                    
                                    
                                    
                                    
                                    
                                    
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caste">Caste</label>
                                <select class="js-example-basic-single " id="caste_id" name="caste_id" style="width:100%">
                                <option value="">Select</option>    
                                </select>
                                @error('caste_id ')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                            
                            
                                        <!--<div class="col-md-3">-->
                                        <!--<div class="form-group">-->
                                        <!--<label for="category">Category</label>-->
                                        <!--<select class="form-control text" id="category" name="category">-->
                                        <!--<option value="">Select</option>-->
                                        <!--<option value="GENERAL" {{ old('category')=='GENERAL' ? "selected":"" }}>GENERAL</option>-->
                                        <!--<option value="SC" {{ old('category')=='SC' ? "selected":"" }}>SC</option>-->
                                        <!--<option value="ST" {{ old('category')=='ST' ? "selected":"" }}>ST</option>-->
                                        <!--<option value="OBC" {{ old('category')=='OBC' ? "selected":"" }}>OBC</option>-->
                                        <!--<option value="OEC" {{ old('category')=='OEC' ? "selected":"" }}>OEC</option>-->
                                        <!--</select>-->
                                        <!--</div>-->
                                        <!--</div>-->
                                        </div>
                       <br>
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="apl">APL/BPL</label>
                        <div class="row">
                        <div class="col-md-4">
                        <div class="form-check form-check-success">
                        <label class="form-check-label"><input type="radio" class="form-check-input " id="apl" name="pline" value="APL" {{ old('pline')=='APL' ? "checked":"" }}> APL </label>
                        </div>
                        </div>
                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="bpl" name="pline" value="BPL" {{ old('pline')=='BPL' ? "checked":"" }}> BPL </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fname">Father's Name</label>
                                    <input type="text" class="form-control text" id="fname" name="fname" placeholder="Father's Name" value="{{ old('fname') }}">
                                    @error('fname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                            
                            
                            
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fmobile" class="required">Father's Mobile</label>
                                    <input type="text" class="form-control text" id="fmobile" name="fmobile" placeholder="Father's Mobile"  value="{{ old('fmobile') }}" required>
                                    @error('fmobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                            
                            
                            
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="foccupation">Father's Occupation</label>
                                    <input type="text" class="form-control text" id="foccupation" placeholder="Father's Occupation" name="foccupation" value="{{ old('foccupation') }}">
                                    @error('foccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mname">Mother's Name</label>
                                    <input type="text" class="form-control text" id="mname" name="mname"  placeholder="Mother's Name"  value="{{ old('mname') }}">
                                    @error('mname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="moccupation">Mother's Occupation</label>
                                    <input type="text" class="form-control text" id="moccupation"   placeholder="Mother's Occupation"  name="moccupation" value="{{ old('moccupation') }}">
                                    @error('moccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gname">Guardian Name</label>
                                    <input type="text" class="form-control text" id="gname" name="gname" placeholder="Guardian Name" value="{{ old('gname') }}">
                                    @error('gname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gaddress">Guardian Address</label>
                                    <textarea class="form-control text" id="gaddress" name="gaddress" placeholder="Guardian Address"  rows="2">{{ old('gaddress') }}</textarea>
                                    @error('gaddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                     <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="gmobile" class="required">Guardian Mobile</label>
                            <input type="text" class="form-control text" id="gmobile" name="gmobile"  placeholder="Guardian Mobile"   value="{{ old('gmobile') }}" required>
                            @error('gmobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                            
                       
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="income" class="required">Annual Income</label>
                        <input type="text" class="form-control text" id="income" name="income" value="{{ old('income') }}" placeholder="Annual Income"  required>
                        @error('income')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="yes">Day Scholar</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="dscholar" value="Yes" {{ old('dscholar')=='Yes' ? "checked":"" }}> Yes </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="dscholar" value="No" {{ old('dscholar')=='No' ? "checked":"" }}> No </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="accomodation">Accomodation Details</label>
                            <textarea class="form-control text" id="accomodation" name="accomodation" rows="2" placeholder="Accomodation Details">{{ old('accomodation') }}</textarea>
                            @error('accomodation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                             </div>
                             <br>
                             
                               <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="abc_id" >ABC ID</label>
                            <input type="text" class="form-control text" id="abc_id" name="abc_id"  placeholder="ABC ID"   value="{{ old('abc_id') }}">
                            @error('abc_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                            
                       
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="arts_sports" >Arts/Sports</label>
                        <input type="text" class="form-control text" id="arts_sports" name="arts_sports" value="{{ old('arts_sports') }}" placeholder="Arts/Sports" >
                        @error('arts_sports')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="yes">NCC/NSS</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NCC" {{ old('ncc_nss')=='NCC' ? "checked":"" }}> NCC </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NSS" {{ old('ncc_nss')=='NSS' ? "checked":"" }}> NSS </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="link_aadhar_mob">Linked to Aadhar(Mob)</label>
                             <input type="text" class="form-control text" id="link_aadhar_mob" name="link_aadhar_mob" value="{{ old('link_aadhar_mob') }}" placeholder="Linked to Aadhar" >
                        @error('link_aadhar_mob')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                            </div>
                             </div>
                             <br>
                             
                            <div class="row">
                                 
                                        
                                
                                
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="yes">Malankara Catholic Community</label>
                            <div class="row">
                            <div class="col-md-4">
                            <div class="form-check form-check-success">
                            <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="catholic" value="Yes" {{ old('catholic')=='Yes' ? "checked":"" }}> Yes </label>
                            </div>
                            </div>
                                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="catholic" value="No" {{ old('catholic')=='No' ? "checked":"" }}> No </label>
                                        </div>
                                        </div>
                                       
                                        </div>
                                        </div>
                                        </div>
                        
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="parish">Name of Parish</label>
                        <input type="text" class="form-control text" id="parish"   placeholder="Name of Parish" name="parish" value="{{ old('parish') }}">
                        @error('parish')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        
                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="physical">Physically Handicaped</label>
                            <input type="text" class="form-control text" id="physical" placeholder="Physically Handicaped"  name="physical" value="{{ old('physical') }}">
                            @error('physical')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                             
                             
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="photo">Photo</label>
                            <input type="file"  id="photo" name="photo">
                            @error('photo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                           
                            
        </div>
       <br>
        </div>
        </div>
        </div>
       
        
        
        
        
        
        
        
        
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#004170;color:white;"><b>Academic Information</b></div>
        <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastinst">Institution Last Studied</label>
                                    <input type="text" class="form-control text" id="lastinst"  placeholder="Institution Last Studied"  name="lastinst" value="{{ old('lastinst') }}">
                                    @error('lastinst')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastcourse">Course Last Studied</label>
                                    <input type="text" class="form-control text" id="lastcourse" placeholder="Course Last Studied" name="lastcourse" value="{{ old('lastcourse') }}">
                                    @error('lastcourse')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastyear">Year of Study</label>
                                    <input type="text" class="form-control text" id="lastyear" name="lastyear"  placeholder="Year of Study" value="{{ old('lastyear') }}">
                                    @error('lastyear')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="sslc">SSLC Marks (%)</label>
                                    <input type="text" class="form-control text" id="sslc" name="sslc" placeholder="SSLC Marks (%)" value="{{ old('sslc') }}">
                                    @error('sslc')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="plustwo">Plus Two Marks (%)</label>
                                    <input type="text" class="form-control text" id="plustwo" name="plustwo" value="{{ old('plustwo') }}"  placeholder="Plus Two Marks (%)">
                                    @error('plustwo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="degree">Degree Marks (%)</label>
                                    <input type="text" class="form-control text" id="degree" name="degree" value="{{ old('degree') }}"  placeholder="Degree Marks (%)">
                                    @error('degree')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>Course Information</b></div>
                    <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Admission Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="{{ old('adate') ? old('adate'):$prev_adm->adate }}" required>
                                    @error('adate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adno" class="required">Admission No</label>
                                    <input type="text" class="form-control text" id="adno" name="adno" value="{{ old('adno') ? old('adno'):$adno }}" required>
                                    @error('adno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ac_id" class="required">Academic Year</label>
                                    @php $acid = old('ac_id') ? old('ac_id'):$prev_adm->ac_id; @endphp
                                    <select class="form-control" id="ac_id" name="ac_id" required>
                                        @foreach($acyears as $acyear)
                                            <option value="{{ $acyear->ac_id }}" {{ $acid==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                                        @endforeach
                                    </select>
                                    @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="pathway_id" class="required"><b>Pathway</b></label>
                                     <select class="form-control" id="pathway_id" name="pathway_id" onchange="toggleDivContent()" required>
                                        <option value="">Select</option>
                                          @foreach($pathway as $path)
                                            <option value="{{ $path->id  }}">{{ $path->pathway }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                           
                        </div>
                        <br>
                        <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Course</label>
                                    @php $course_id = old('course_id') ? old('course_id'):$prev_adm->course_id; @endphp
                                   
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ $course_id==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id">Semester</label>
                                    @php $semester_id = old('semester_id') ? old('semester_id'):$prev_adm->semester_id; @endphp
                                    <select class="form-control" id="semester_id" name="semester_id">
                                        <option value="">Select</option>
                                        @foreach($semesters as $semester)
                                            <option value="{{ $semester->semester_id }}" {{ $semester_id==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="clno">Class No</label>
                                    <input type="text" class="form-control text" id="clno" name="clno" value="{{ old('clno') }}"  placeholder="Class No">
                                    @error('clno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="seclang">Common Course Selected</label>
                                    @php $seclang = old('seclang') ? old('seclang'):$prev_adm->seclang; @endphp
                                    <select class="form-control" id="seclang" name="seclang">
                                        <option value="">Select</option>
                                        <option value="Malayalam" {{ $seclang=='Malayalam' ? "selected":"" }}>Malayalam</option>
                                        <option value="Hindi" {{ $seclang=='Hindi' ? "selected":"" }}>Hindi</option>
                                    </select>
                                </div>
                            </div>
                        
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="quota">Admission Quota</label>
                                    <select class="form-control text" id="quota" name="quota">
                                        <option value="">Select</option>
                                         @foreach($acquota as $quota)
                                      <option value="{{ $quota->aq_id }}" {{ $quota== $quota->quota ? "selected":"" }}>{{ $quota->quota }}</option>
                                         @endforeach
                                         </select>
                                         @error('quota')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror 
                                    <!--    <option value="Merit" {{ old('quota')=='Merit' ? "selected":"" }}>Merit</option>-->
                                    <!--    <option value="Management" {{ old('quota')=='Management' ? "selected":"" }}>Management</option>-->
                                    <!--    <option value="Reservation" {{ old('quota')=='Reservation' ? "selected":"" }}>Reservation</option>-->
                                    <!--    <option value="Community" {{ old('quota')=='Community' ? "selected":"" }}>Community</option>-->
                                    <!--    <option value="Sports" {{ old('quota')=='Sports' ? "selected":"" }}>Sports</option>-->
                                    <!--</select>-->
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="category_id" class="required">Fee Category</label>
                                    @php $category_id = old('category_id') ? old('category_id'):$prev_adm->category_id; @endphp
                                    <select class="form-control text" id="category_id" name="category_id" required>
                                        <option value="">Select</option>
                                        @foreach($categories as $category)
                                            <option value="{{ $category->category_id }}" {{ $category_id==$category->category_id ? "selected":"" }}>{{ $category->category_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('category_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecI"><b>AEC I</b></label>
                                     <select class="form-control" id="aecI" name="aecI">
                                        <option value="">Select</option>
                                          @foreach($aecIsub as $aecI)
                                            <option value="{{ $aecI->subject_id  }}">{{ $aecI->subject_code.' - '.$aecI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecII"><b>AEC II</b></label>
                                     <select class="form-control" id="aecII" name="aecII">
                                        <option value="">Select</option>
                                         @foreach($aecIIsub as $aecII)
                                        <option value="{{ $aecII->subject_id  }}">{{ $aecII->subject_code.' - '.$aecII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                             
                           
                            
                        </div>
                        
                        <br>
                        <h5 class="section-title">Minor I Preferences</h5>
                            <div class="row">
                           
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI"><b>Minor I [1'st Preference]</b></label>
                                     <select class="form-control" id="minorI" name="minorI">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefII"><b>Minor I [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefII" name="minorI_prefII">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIII"><b>Minor I [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIII" name="minorI_prefIII">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIV"><b>Minor I [4'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIV" name="minorI_prefIV">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                        </div>
                        <br>
                        
                        <br>
                            <div class="row">
                           
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefV"><b>Minor I [5'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefV" name="minorI_prefV">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div> 
                         </div>
                        
                        <br>
                         <h5 class="section-title">Minor II Preferences</h5>
                            <div class="row">
                           
                             
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII"><b>Minor II [1'st Preference]</b></label>
                                     <select class="form-control" id="minorII" name="minorII">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefII"><b>Minor II [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefII" name="minorII_prefII">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIII"><b>Minor II [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIII" name="minorII_prefIII">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIV"><b>Minor II [4'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIV" name="minorII_prefIV">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                        
                        </div>
                        <br>
                        <div class="row">
                          
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefV"><b>Minor II [5'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefV" name="minorII_prefV">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            </div>
                          <br>
                        
                         <h5 class="section-title">MDC I Preferences</h5>
                            <div class="row">
                          
                           
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI"><b>MDC I [1'st Preference]</b></label>
                                     <select class="form-control" id="mdcI" name="mdcI">
                                        <option value="">Select</option>
                                          @foreach($mdcIsub as $mdcI)
                                            <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI_prefII"><b>MDC I [2'nd Preference]</b></label>
                                     <select class="form-control" id="mdcI_prefII" name="mdcI_prefII">
                                        <option value="">Select</option>
                                          @foreach($mdcIsub as $mdcI)
                                            <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIII"><b>MDC I [3'rd Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIII" name="mdcI_prefIII">
                                            <option value="">Select</option>
                                              @foreach($mdcIsub as $mdcI)
                                                <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                                  @endforeach
                                         </select>
                                    </div>
                                </div>
                                
                                 <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIV"><b>MDC I [4'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIV" name="mdcI_prefIV">
                                            <option value="">Select</option>
                                              @foreach($mdcIsub as $mdcI)
                                                <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                                  @endforeach
                                         </select>
                                    </div>
                                </div>
                         
                        </div>
                        
                        
                         <br>
                        
                        
                            <div class="row">
                              
                               
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefV"><b>MDC I [5'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefV" name="mdcI_prefV">
                                            <option value="">Select</option>
                                              @foreach($mdcIsub as $mdcI)
                                                <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                                  @endforeach
                                         </select>
                                    </div>
                                </div>
                                
                            </div>
                        <br>
                        
                        
                     <div id="pathway_content" style="display: none; margin-top: 10px; padding: 10px; border: 1px solid #ccc;">
                         <br>
                            <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id1">Course</label>
                                    @php $course_id1 = old('course_id1') ? old('course_id1'):$prev_adm->course_id; @endphp
                                   
                                    <select class="form-control" id="course_id1" name="course_id1">
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}">{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id1')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id1">Semester</label>
                                    @php $semester_id1 = old('semester_id1') ? old('semester_id1'):$prev_adm->semester_id; @endphp
                                    <select class="form-control" id="semester_id1" name="semester_id1">
                                        <option value="">Select</option>
                                        @foreach($semesters as $semester)
                                            <option value="{{ $semester->semester_id }}">{{ $semester->semester_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('semester_id1')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecI2"><b>AEC I</b></label>
                                     <select class="form-control" id="aecI2" name="aecI2">
                                        <option value="">Select</option>
                                          @foreach($aecIsub as $aecI)
                                            <option value="{{ $aecI->subject_id  }}">{{ $aecI->subject_code.' - '.$aecI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecII2"><b>AEC II</b></label>
                                     <select class="form-control" id="aecII2" name="aecII2">
                                        <option value="">Select</option>
                                         @foreach($aecIIsub as $aecII)
                                        <option value="{{ $aecII->subject_id  }}">{{ $aecII->subject_code.' - '.$aecII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            
                            
                            
                            </div>
                            <br>
                        <h5 class="section-title">Minor I Preferences</h5>     
                            <div class="row">
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI2"><b>Minor I [1'st Preference]</b></label>
                                     <select class="form-control" id="minorI2" name="minorI2">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefII2"><b>Minor I [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefII2" name="minorI_prefII2">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIII2"><b>Minor I [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIII2" name="minorI_prefIII2">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIV2"><b>Minor I [4'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIV2" name="minorI_prefIV2">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                         <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefV2"><b>Minor I [5'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefV2" name="minorI_prefV2">
                                        <option value="">Select</option>
                                          @foreach($minorIsub as $minI)
                                            <option value="{{ $minI->subject_id  }}">{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                        </div>
                        
                        
                        <br>
                        <h5 class="section-title">Minor II Preferences</h5>
                            <div class="row">
                           
                           
                           
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII2"><b>Minor II [1'st Preference]</b></label>
                                     <select class="form-control" id="minorII2" name="minorII2">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefII2"><b>Minor II [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefII2" name="minorII_prefII2">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            
                            
                              
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIII2"><b>Minor II [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIII2" name="minorII_prefIII2">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>    
                                
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIV2"><b>Minor II [4'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIV2" name="minorII_prefIV2">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                        </div>
                        <br>
                        
                        
                            <div class="row">
                                
                            
                          
                                
                          
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefV2"><b>Minor II [5'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefV2" name="minorII_prefV2">
                                        <option value="">Select</option>
                                         @foreach($minorIIsub as $minII)
                                        <option value="{{ $minII->subject_id  }}">{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                                          @endforeach
                                     </select>
                                </div>
                            </div>
                            
                         
                        </div>
                        
                        
                         <br>
                        
                         <h5 class="section-title">MDC I Preferences</h5>
                            <div class="row">
                                
                                 <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI2"><b>MDC I [1'st Preference]</b></label>
                                     <select class="form-control" id="mdcI2" name="mdcI2">
                                        <option value="">Select</option>
                                          @foreach($mdcIsub as $mdcI)
                                            <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI_prefII2"><b>MDC I [2'nd Preference]</b></label>
                                     <select class="form-control" id="mdcI_prefII2" name="mdcI_prefII2">
                                        <option value="">Select</option>
                                          @foreach($mdcIsub as $mdcI)
                                            <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                              @endforeach
                                     </select>
                                </div>
                            </div>
                                
                                
                               <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIII2"><b>MDC I [3'rd Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIII2" name="mdcI_prefIII2">
                                            <option value="">Select</option>
                                              @foreach($mdcIsub as $mdcI)
                                                <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                                  @endforeach
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIV2"><b>MDC I [4'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIV2" name="mdcI_prefIV2">
                                            <option value="">Select</option>
                                              @foreach($mdcIsub as $mdcI)
                                                <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                                  @endforeach
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefV2"><b>MDC I [5'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefV2" name="mdcI_prefV2">
                                            <option value="">Select</option>
                                              @foreach($mdcIsub as $mdcI)
                                                <option value="{{ $mdcI->subject_id  }}">{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                                                  @endforeach
                                         </select>
                                    </div>
                                </div>
                                
                            </div>
                        <br>
                     </div>
                        <br>
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Register</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
          .section-title {
        background-color: #004170;
        color: white;
        padding: 10px;
        border-radius: 5px;
        font-size: 16px;
        margin-bottom: 15px;
        text-align:left;
    }
    </style>
    
    <script src="{{ asset('public/js/caste.js') }}"></script>
    <script src="{{ asset('public/js/getcaste.js') }}"></script>
    <script src="{{ asset('public/js/minorI.js') }}"></script>
     <script src="{{ asset('public/js/minorII.js') }}"></script>
     <script>
    function toggleDivContent() {
        const selectedValue = document.getElementById('pathway_id').value;
        const pathwayContent = document.getElementById('pathway_content');

        if (selectedValue == 1) {
            pathwayContent.style.display = 'block';
        } else {
            pathwayContent.style.display = 'none';
        }
    }
</script>
@endsection