
@extends('layouts.template')
@section('title','Home')
@section('heading','Admission Register')
@section('breadcrumb','Home/Student/Admission Register')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
                   
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="ac_id" class="required"><b>Academic Year</b></label>
                        <select class="form-control" id="acyear"  name="ac_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @foreach($acyears as $acyear)
                        <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                        @endforeach
                        </select>
                        @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="course_id" class="required"><b>Course</b></label>
                            <select class="form-control" id="course" name="course_id" style="border:1px solid #E5E4E2;">
                            <option value=""><span class="fw-bold">Select</span></option>
                            @foreach($course as $crs)
                            <option value="{{ $crs->course_id }}" {{ old('course_id') == $crs->course_id ? "selected":"" }}>{{ $crs->course_name}}</option>
                            @endforeach
                            </select>
                            </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            </div>
                           
                        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="button" class="btn btn-primary float-right" id="getData" style="display: inline-block;">Get Details</button>
                        </div>
                        </div>
                        </div>    
                   
        </div>
        </div>
        </div>
        </div>
        <!--<div class="row">-->
        <!--<div class="col-lg-12 grid-margin stretch-card" id="result">-->
            
        <!--</div>-->
        <!--</div>-->
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <div id="totalStudents" class="mb-3">
    <span style="font-size:20px;background:#F8F8F8"><b>Total Students: </b></span><span id="studentCount" style="font-size:20px;background:#F8F8F8"><b>0</b></span>
</div>
<div class="table-responsive">
                    <table class="table table-bordered" id="reportTable">
                        <thead style="background-color:#FEBE10;">
                        <tr>
                            <th><b>Adm No</b></th>
                            <th ><b>Name</b></th>
                            <th><b>Address</b>
                            <th ><b>Mobile</b></th>
                            <th><b>Father Name/Mother Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="{{ asset('public/js/semester.js') }}"></script> 
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

    <script>
$(function () {
    var reportTable = $("#reportTable").DataTable({
        lengthChange: true,
        scrollX: true,
        searching: true,
        processing: true,
        serverSide: true,
        columnDefs: [{ targets: 'no-sort', orderable: false }],
        ajax: {
            url: '{{ route('student.admission.getdata') }}',
            dataType: 'json',
            type: 'GET',
            data: function(data) {
                data.acyear = $('#acyear').val();
                data.course = $('#course').val();
                 data.sem = $('#semester_id').val();
            },
            error: function(xhr, error, code) {
                console.log("Error:", error);
                console.log("Code:", code);
                console.log("Response:", xhr.responseText);
            },
            complete: function(data) {
                // Update total number of students
                $('#studentCount').text(data.responseJSON.recordsFiltered);
            }
        },
        columns: [
            { data: 'adno' },
            { data: 'name' },
            { data: 'address' },
            { data: 'mobile' },
            { data: 'parent_name' },
            { data: 'course' },
            { data: 'semester' },
        ]
    });

    $('#getData').click(function() {
        reportTable.draw();
    });
});

    </script>
   <style>
    .form-control{
            border:1px solid black;
        }



  
        
</style>

        
@endsection
        
        
      
       