

@extends('layouts.template')
@section('title','Home')
@section('heading','Generate CC')
@section('breadcrumb','Home/Student/Student Information/Generate CC')
@section('content')


  
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="">
                <div class="card-header" style="background-color:#005A9C;color:white;font-family: system-ui;"><b>Student Details</b></div>
                <div class="card-body">
                    <form action="{{ route('studata.save') }}" method="post">
                        @csrf
                        <input type="hidden" name="sid" value="{{ encrypt($student->student_id) }}">
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Admission No</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sadno" value="{{ $student->adno }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sname" value="{{ $student->name }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Date of Birth</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="date" class="form-control" name="sdob" value="{{ $student->dob }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Admission Date</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="date" class="form-control" name="sadate" value="{{ $student->adate }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Father Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sfname" value="{{ $student->fname }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Mother Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="smname" value="{{ $student->mname }}" required></div>
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Photo</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6">
                                        @if(!empty($student->photo))
                                            <img src="{{ asset('public/uploads/student/photo/'.$student->photo) }}" alt="{{ $student->photo }}" height="160px">
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Course</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6">{{ $student->course->course_name }}</div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Semester</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6">{{ $student->semester->semester_name }}</div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Update</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card"   style="">
                <div class="card-header" style="background-color:#004170;color:white;font-family: system-ui;"><b>CC Details</b></div>
                <div class="card-body">
                    <form action="{{ route('cc.save') }}" method="post">
                        @csrf
                        <input type="hidden" name="student_id" value="{{ encrypt($student->student_id) }}">
                        <input type="hidden" name="cc_code" value="{{ $cc_code }}">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ccno" class="required">CC No</label>
                                    <input type="text" class="form-control" id="ccno" name="ccno" value="{{ old('ccno') ? old('ccno'):$ccno }}" style="text-transform:uppercase" required>
                                    @error('ccno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ldate" class="required">Date of Leaving</label>
                                    <input type="date" class="form-control" id="ldate" name="ldate" value="{{ old('ldate')  }}" required>
                                    @error('ldate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Application Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="{{ old('adate') }}" required>
                                    @error('adate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="idate" class="required">Issue Date</label>
                                    <input type="date" class="form-control" id="idate" name="idate" value="{{ old('idate') ? old('idate'):date('Y-m-d') }}" required>
                                    @error('idate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                      
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="regno" class="required">Registration No</label>
                                    <input type="text" class="form-control" id="regno" name="regno" value="{{ old('regno')  }}" style="text-transform:uppercase" required>
                                    @error('regno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="yes" class="required">Exam Appeared</label>
                                    <div class="row">
                                        @php $appear = old('appear') @endphp
                                        <div class="col-md-4">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="appear" value="Yes" {{ $appear=='Yes' ? "checked":"" }}> Yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="appear" value="No" {{ $appear=='No' ? "checked":"" }}> No </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="result" class="required">Result</label>
                                    <input type="text" class="form-control" id="result" name="result" value="{{ old('result') ? old('result'):'Refer Marklist' }}" required>
                                    @error('result')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="conduct">Character & Conduct</label>
                                    <textarea class="form-control" id="conduct" name="conduct" rows="2">{{ old('conduct') }}</textarea>
                                    @error('conduct')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    <style>

        .form-control{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
/* Base styles for the back button */
.back-button {
  display: inline-flex;
  align-items: center;
  color: red;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  margin: 10px;
}


.back-button svg {
  margin-right: 8px;
  transition: transform 0.3s ease;
}


.back-button:hover svg {
  transform: translateX(-5px); 
}


.back-button:hover {
  color: darkred;
}

    </style>
@endsection