@extends('layouts.template')
@section('title','Home')
@section('heading','Change Course')
@section('breadcrumb','Home/Student/Change Course')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white">
                <b>Change Course</b>
            </div>
            <div class="card-body">
                <form action="{{route('student.course.change.update')}}" method="post">
                    @csrf
                    <input type="hidden" name="student_id" value="{{$student->student_id}}">
               

                <div class="row">
                    
                    
                    
                    <div class="col-md-4" style="background:#F8F8F8">
                        <div class="row align-items-center mb-4">
                           
                            <div class="col-12 d-flex justify-content-center mb-3">
                                <img class="img-md rounded-square" src="{{ asset('public/uploads/student/photo/'.$student->photo) }}" alt="Profile image" width="120px">
                            </div>

                            <div class="col-12 d-flex justify-content-center">
                                <input type="text" id="name" class="form-control" value="{{ strtoupper($student->name)}}" readonly>
                            </div>
                        </div>
                    </div>

                   
                    <div class="col-md-8">
                        <div class="row">
<div class="col-md-6 mb-3">
<div class="form-group">
<label for="name" class="required"><b>Full Name</b></label>    
<input type="text" id="name" class="form-control" value="{{ $student->name }}" readonly>
</div>   
    </div>       
 <div class="col-md-6 mb-3">
<div class="form-group">
<label for="adno" class="required"><b>Admission No.</b></label>    
<input type="text" id="adno" class="form-control" value="{{ $student->adno }}" readonly>
</div>   
    </div>    
       
    
    </div>
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($course as $crs)
                                            <option value="{{ $crs->course_id }}">{{ $crs->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')
                                        <div class="text-danger small mt-1">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6 mb-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('semester_id')
                                        <div class="text-danger small mt-1">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>




                        <button type="submit" class="btn btn-primary float-right">Update</button>
                    </div>
                </div>
            </form>
            </div>
        </div>
    </div>
</div>
 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
 <script src="{{ asset('public/js/sem.js') }}"></script>

<style>
    .card-body {
        border-left: 1px solid #DCDCDC;
        border-right: 1px solid #DCDCDC;
        border-bottom: 1px solid #DCDCDC;
    }
    .separator {
        border: 1px solid #DCDCDC;
        margin: 20px 0;
    }
</style>

@endsection
