@extends('layouts.template')
@section('title','Home')
@section('heading','Edit Student')
@section('breadcrumb','Home/Student/Student Information/Edit Student')
@section('content')

        <form action="{{ route('student.update') }}" method="post" enctype="multipart/form-data">
        @csrf
        <input type="hidden" name="student" value="{{ encrypt($student->student_id) }}">
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color: #005A9C;color:white;"><b>Personal Information</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="name" class="required">Name</label>
                                    <input type="text" class="form-control" id="name" name="name" value="{{ $student->name }}" required>
                                    @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="male" class="required">Gender</label>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" {{ $student->gender=='male' ? "checked":"" }}> Male </label>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" {{ $student->gender=='female' ? "checked":"" }}> Female </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="paddress">Permanent Address</label>
                                    <textarea class="form-control" id="paddress" name="paddress" required rows="2">{{ $student->paddress }}</textarea>
                                    @error('paddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="caddress">
                                        <input type="checkbox" class="form-check-input" id="same" name="same" value="1" {{ old('same')=='1' ? "checked":"" }}> Communication Address
                                    </label>
                                    <textarea class="form-control" id="caddress" name="caddress" rows="2">{{ $student->caddress }}</textarea>
                                    @error('caddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control" id="mobile" name="mobile" value="{{ $student->mobile }}" required>
                                    @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="text" class="form-control" id="email" name="email" value="{{ $student->email }}">
                                    @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aadhar">Aadhar No</label>
                                    <input type="text" class="form-control" id="aadhar" name="aadhar" value="{{ $student->aadhar }}">
                                    @error('aadhar')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="dob" class="required">Date of Birth</label>
                                    <input type="date" class="form-control" id="dob" name="dob" value="{{ $student->dob }}" required>
                                    @error('dob')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="bgroup">Blood Group</label>
                                    <select class="form-control" id="bgroup" name="bgroup">
                                        <option value="">Select</option>
                                        <option value="O+ve" {{ $student->bgroup=='O+ve' ? "selected":"" }}>O+ve</option>
                                        <option value="O-ve" {{ $student->bgroup=='O-ve' ? "selected":"" }}>O+ve</option>
                                        <option value="A+ve" {{ $student->bgroup=='A+ve' ? "selected":"" }}>A+ve</option>
                                        <option value="A-ve" {{ $student->bgroup=='A-ve' ? "selected":"" }}>A-ve</option>
                                        <option value="B+ve" {{ $student->bgroup=='B+ve' ? "selected":"" }}>B+ve</option>
                                        <option value="B-ve" {{ $student->bgroup=='B-ve' ? "selected":"" }}>B-ve</option>
                                        <option value="AB+ve" {{ $student->bgroup=='AB+ve' ? "selected":"" }}>AB+ve</option>
                                        <option value="AB-ve" {{ $student->bgroup=='AB-ve' ? "selected":"" }}>AB-ve</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="religion">Religion</label>
                                    <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                                    <option value="">Select</option>
                                    @foreach($religion as $religions)
                                    <option value="{{ $religions->religion_id  }}" {{ $student->religion_id == $religions->religion_id  ? "selected":"" }}>{{ $religions->religion_name}}</option>
                                    @endforeach
                                    </select>
                                    @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="community_id" class="required"><b>Community</b></label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                            </select>
                            @error('community_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                                    
                                    
                                    
                                    
                                    
                                    
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caste">Caste</label>
                                <select class="js-example-basic-single " id="caste_id" name="caste_id" style="width:100%">
                                <option value="">Select</option>    
                                </select>
                                @error('caste_id ')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="category">Category</label>
                                    <select class="form-control" id="category" name="category">
                                        <option value="">Select</option>
                                        <option value="GENERAL" {{ $student->category=='GENERAL' ? "selected":"" }}>GENERAL</option>
                                        <option value="SC" {{ $student->category=='SC' ? "selected":"" }}>SC</option>
                                        <option value="ST" {{ $student->category=='ST' ? "selected":"" }}>ST</option>
                                        <option value="OBC" {{ $student->category=='OBC' ? "selected":"" }}>OBC</option>
                                        <option value="OEC" {{ $student->category=='OEC' ? "selected":"" }}>OEC</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="apl">APL/BPL</label>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="apl" name="pline" value="APL" {{ $student->pline=='APL' ? "checked":"" }}> APL </label>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="bpl" name="pline" value="BPL" {{ $student->pline=='BPL' ? "checked":"" }}> BPL </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="fname">Father Name</label>
                                    <input type="text" class="form-control" id="fname" name="fname" value="{{ $student->fname }}">
                                    @error('fname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="foccupation">Father Occupation</label>
                                    <input type="text" class="form-control" id="foccupation" name="foccupation" value="{{ $student->foccupation }}">
                                    @error('foccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mname">Mother Name</label>
                                    <input type="text" class="form-control" id="mname" name="mname" value="{{ $student->mname }}">
                                    @error('mname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="moccupation">Mother Occupation</label>
                                    <input type="text" class="form-control" id="moccupation" name="moccupation" value="{{ $student->moccupation }}">
                                    @error('moccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="gname">Guardian Name</label>
                                    <input type="text" class="form-control" id="gname" name="gname" value="{{ $student->gname }}">
                                    @error('gname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="gaddress">Guardian Address</label>
                                    <textarea class="form-control" id="gaddress" name="gaddress" rows="2">{{ $student->gaddress }}</textarea>
                                    @error('gaddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="gmobile">Guardian Mobile</label>
                                    <input type="text" class="form-control" id="gmobile" name="gmobile" value="{{ $student->gmobile }}" required>
                                    @error('gmobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="income">Annual Income</label>
                                    <input type="text" class="form-control" id="income" name="income" value="{{ $student->income }}" required>
                                    @error('income')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="yes">Day Scholar</label>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="dscholar" value="Yes" {{ $student->dscholar=='Yes' ? "checked":"" }}> Yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="dscholar" value="No" {{ $student->dscholar=='No' ? "checked":"" }}> No </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="accomodation">Accomodation Details</label>
                                    <textarea class="form-control" id="accomodation" name="accomodation" rows="2">{{ $student->accomodation }}</textarea>
                                    @error('accomodation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="yes">Malankara Catholic Community</label>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="catholic" value="Yes" {{ $student->catholic=='Yes' ? "checked":"" }}> Yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="catholic" value="No" {{ $student->catholic=='No' ? "checked":"" }}> No </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="parish">Name of Parish</label>
                                    <input type="text" class="form-control" id="parish" name="parish" value="{{ $student->parish }}">
                                    @error('parish')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="physical">Physically Handicaped</label>
                                    <input type="text" class="form-control" id="physical" name="physical" value="{{ $student->physical }}">
                                    @error('physical')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="photo">Photo</label>
                                    <input type="file" class="form-control-file" id="photo" name="photo">
                                    @error('photo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color: #004170;color:white;"><b>Academic Information</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastinst">Institution Last Studied</label>
                                    <input type="text" class="form-control" id="lastinst" name="lastinst" value="{{ $student->lastinst }}">
                                    @error('lastinst')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastcourse">Course Last Studied</label>
                                    <input type="text" class="form-control" id="lastcourse" name="lastcourse" value="{{ $student->lastcourse }}">
                                    @error('lastcourse')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastyear">Year of Study</label>
                                    <input type="text" class="form-control" id="lastyear" name="lastyear" value="{{ $student->lastyear }}">
                                    @error('lastyear')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="sslc">SSLC Marks (%)</label>
                                    <input type="text" class="form-control" id="sslc" name="sslc" value="{{ $student->sslc }}">
                                    @error('sslc')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="plustwo">Plus Two Marks (%)</label>
                                    <input type="text" class="form-control" id="plustwo" name="plustwo" value="{{ $student->plustwo }}">
                                    @error('plustwo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="degree">Degree Marks (%)</label>
                                    <input type="text" class="form-control" id="degree" name="degree" value="{{ $student->degree }}">
                                    @error('degree')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color: #004170;color:white;"><b>Course Information</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Admission Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="{{ $student->adate }}" required>
                                    @error('adate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adno" class="required">Admission No</label>
                                    <input type="text" class="form-control" id="adno" name="adno" value="{{ old('adno') ? old('adno'):$student->adno }}" required>
                                    @error('adno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ac_id" class="required">Academic Year</label>
                                    <select class="form-control" id="ac_id" name="ac_id" required>
                                        @foreach($acyears as $acyear)
                                            <option value="{{ $acyear->ac_id }}" {{ $student->ac_id==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                                        @endforeach
                                    </select>
                                    @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Course</label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ $student->course_id==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id">Semester</label>
                                    <select class="form-control" id="semester_id" name="semester_id">
                                        <option value="">Select</option>
                                        @foreach($semesters as $semester)
                                            <option value="{{ $semester->semester_id }}" {{ $student->semester_id==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="seclang">Common Course Selected</label>
                                    <select class="form-control" id="seclang" name="seclang">
                                        <option value="">Select</option>
                                        <option value="Malayalam" {{ $student->seclang=='Malayalam' ? "selected":"" }}>Malayalam</option>
                                        <option value="Hindi" {{ $student->seclang=='Hindi' ? "selected":"" }}>Hindi</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="category_id" class="required">Fee Category</label>
                                    <select class="form-control" id="category_id" name="category_id" required>
                                        <option value="">Select</option>
                                        @foreach($categories as $category)
                                            <option value="{{ $category->category_id }}" {{ $student->category_id==$category->category_id ? "selected":"" }}>{{ $category->category_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('category_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="quota">Admission Quota</label>
                                    <select class="form-control" id="quota" name="quota">
                                        <option value="">Select</option>
                                        <option value="Merit" {{ $student->quota=='Merit' ? "selected":"" }}>Merit</option>
                                        <option value="Management" {{ $student->quota=='Management' ? "selected":"" }}>Management</option>
                                        <option value="Reservation" {{ $student->quota=='Reservation' ? "selected":"" }}>Reservation</option>
                                        <option value="Community" {{ $student->quota=='Community' ? "selected":"" }}>Community</option>
                                        <option value="Sports" {{ $student->quota=='Sports' ? "selected":"" }}>Sports</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="clno">Class No</label>
                                    <input type="text" class="form-control" id="clno" name="clno" value="{{ $student->clno }}">
                                    @error('clno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Update</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
     <style>
        .form-control{
            border:1px solid #B8B8B8;
             border-radius: 8px;
             background-color:white;
        }
                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
            
          
        }
.back-button {
  display: inline-flex;
  align-items: center;
  color: red;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  margin: 10px;
}


.back-button svg {
  margin-right: 8px;
  transition: transform 0.3s ease;
}


.back-button:hover svg {
  transform: translateX(-5px); 
}


.back-button:hover {
  color: darkred;
}
    </style>
     <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/caste.js') }}"></script>
    <script src="{{ asset('public/js/getcaste.js') }}"></script>
@endsection