@extends('layouts.template')
@section('title','Home')
@section('heading','Promote Students')
@section('breadcrumb','Home')
@section('content')






        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #005A9C;color:white;">
        <b>Select the Criteria</b>
        </div>
        <div class="card-body">
        <form action="{{ route('promote.get') }}" method="post">
        @csrf
                        <div class="row">
                        <div class="col-md-4">
                        <label for="course_id" class="required">Course</label>
                        <div class="form-group">
                        <select class="form-control" id="course_id" name="course_id" required>
                        <option value="">Select</option>
                        @foreach($courses as $course)
                        <option value="{{ $course->course_id }}" {{ $course_id==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                        @endforeach
                        </select>
                        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        
                        
                            <div class="col-md-8">
                            <label for="semester_id" class="required">Semester</label>
                            <div class="row">
                            <div class="col-md-6">
                            <div class="form-group">
                            <select class="form-control" id="semester_id" name="semester_id">
                            <option value="">Select</option>
                            <option value="na" {{ $semester_id=='na' ? "selected":"" }}>Not Assigned</option>
                            @foreach($semesters as $semester)
                            <option value="{{ $semester->semester_id }}" {{ $semester_id==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                            @endforeach
                            </select>
                            </div>
                            </div>
                            
                                    <div class="col-md-6">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Get Details</button>
                                    </div>
                                    </div>
                                    </div>
                    </div>
                    </div>
                    </form>
                    </div>
                    </div>
                    </div>
                    </div>
                    
                    
    @if(!empty($students))
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #004170;color:white;">
        <b>Promote Students</b>
        </div>
                    
                    
                    <div class="card-body">
                    <form action="{{ route('promote.save') }}" method="post">
                    @csrf
                    <input type="hidden" name="crs_id" value="{{ encrypt($course_id) }}" >
                    <div class="form-group row">
                                
                                <table class="table table-bordered" id="table_promote">
                                <thead style="color:black">
                                <tr>
                                <th>
                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                </div>
                                </th>
                                <th><b>Adno</b></th>
                                <th><b>Student Name</b></th>
                                </tr>
                                </thead>
                                    <tbody>
                                        @foreach($students as $student)
                                            <tr>
                                                <td>
                                                    <div class="form-group">
                                                        <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                            <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}"> </label>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td>{{ $student->adno }}</td>
                                                <td>{{ $student->name }}</td>
                                            </tr>
                                        @endforeach
                                    <tbody>
                                </table>
                            </div>
                                </div>
                </div>
            </div>
        </div>
                            
                            
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #073980">
            <div class="card-body">
                            
                            <div class="row">
                            <div class="col-md-4">
                            <label for="acyr_id" class="required"><b>Academic Year</b></label>
                            <div class="form-group">
                            <select class="form-control" id="acyr_id" name="acyr_id" required>
                            <option value="">Select</option>
                            @foreach($acyears as $acyear)
                            <option value="{{ $acyear->ac_id }}" {{ old('acyr_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                            @endforeach
                            </select>
                            @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                                    <div class="col-md-4">
                                    <label for="sem_id" class="required"><b>Semester</b></label>
                                    <!--<div class="row">-->
                                    <!--<div class="col-md-6">-->
                                    <div class="form-group">
                                    <select class="form-control" id="sem_id" name="sem_id">
                                    <option value="">Select</option>
                                    @foreach($semesters as $semester)
                                    <option value="{{ $semester->semester_id }}" {{ old('sem_id')==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                                    @endforeach
                                    </select>
                                    @error('sem_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                        
                                    <div class="col-md-4">
                                    <label for="category_id" class="required"><b>Fee Category</b></label>
                                    <!--<div class="row">-->
                                    <!--<div class="col-md-6">-->
                                    <div class="form-group">
                                    <select class="form-control" id="category_id" name="category_id">
                                    <option value="">Select</option>
                                    @foreach($fee_category as $category)
                                    <option value="{{ $category->category_id }}" {{ old('category_id')==$category->category_id ? "selected":"" }}>{{ $category->category_name }}</option>
                                    @endforeach
                                    </select>
                                    @error('category_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                        
                                        
                                        
                                        <div class="col-md-12">
                                        <div class="form-group">
                                        <button type="submit" class="btn btn-primary float-right">Promote</button>
                                        </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/promote.js') }}"></script>
    
    <style>
       
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }

        
    </style>
@endsection