@extends('layouts.template')
@section('title', 'Home')
@section('heading', 'View Exam')
@section('breadcrumb', 'Home/Search Student/View Exam')

@section('content')
<div class="row">
    <!-- Profile Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)]) }}" style="text-decoration:none; margin-right: 1px;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Profile
                </span>
            </a>
        </div>
    </div>

    <!-- Payments Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.payment', ['student_id' => $student->student_id]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Payments
                </span>
            </a>
        </div>
    </div>

    <!-- Fee Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.feereport', ['student_id' => $student->student_id]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Fee Report
                </span>
            </a>
        </div>
    </div>

    <!-- Due Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.duereport', ['student_id' => $student->student_id]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Due Report
                </span>
            </a>
        </div>
    </div>
</div>

<div class="row">
    <!-- Attendance Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.attendance', ['student_id' => $student->student_id]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Attendance Report
                </span>
            </a>
        </div>
    </div>

    <!-- View Exam Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.exam.view', ['student_id' => $student->student_id]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-danger">
                    <i class="icon-plus"></i> View Exam
                </span>
            </a>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-header" style="background-color: #005A9C; color: white;">
        <b>VIEW EXAM</b>
    </div>
    <div class="card-body" style="border-left: 1px solid #DCDCDC; border-right: 1px solid #DCDCDC; border-bottom: 1px solid #DCDCDC;">
        <table id="table-fine" class="table table-bordered">
            <thead style="background-color: #8FBC8F">
                <tr>
                    <th>#</th>
                    <th>SUBJECT</th>
                    <th>MAX MARK</th>
                    <th>DATE</th>
                    <th>START TIME</th>
                    <th>END TIME</th>
                </tr>
            </thead>
            <tbody>
                @foreach($student_det as $det)
                    <tr>
                        <td>{{ $loop->iteration }}</td>
                        <td>{{ $det->subject_name }}</td>
                        <td>{{ $det->max_mark }}</td>
                        <td>{{ date('d-m-Y',strtotime($det->date)) }}</td>
                        <td>{{ $det->s_time }}</td>
                        <td>{{ $det->e_time }}</td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection
