@extends('layouts.template')
@section('title','Home')
@section('heading','Duplicate TC Request')
@section('breadcrumb','Home/Student/Duplicate TC Request')
@section('content')
   <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(493,320)) }}
    </div>
        </div>
        </div>
       
   
   
   
   
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">

<form action="{{route('duplicate.tc.save')}}" method="post" enctype="multipart/form-data">
  @csrf  
    <div class="row">
    <div class="col-md-4">
    <label for="student_id" class="required">Student</label>
    <div class="form-group" >
    <select class="js-example-basic-single" id="student_id" name="student_id" style="width:100%;">
    <option value="">Select</option>
    @foreach($students as $student)
    <option value="{{ $student->student_id }}" {{ old('student_id') == $student->student_id ? "selected":"" }}>{{ $student->adno.' - '.$student->name }}</option>
    @endforeach
    </select>
    @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>    
    <div class="col-md-4">
    <label for="upload1">Upload1(<span class="text-danger">*</span>Attach copy of Hall Ticket/Grade Card)</label>
    <div class="form-group" >
    <input type="file" name="upload1" id="upload1"> 
    </div>
    </div>
     <div class="col-md-4">
    <label for="upload2">Upload2(<span class="text-danger">*</span>Attach Fee receipt in original)</label>
    <div class="form-group" >
    <input type="file" name="upload2" id="upload2"> 
    </div>
    </div>
   
    </div>
     <div class="row">
   <div class="col-md-12" >
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Add Details</button>
                                        </div>
                                    </div>  
    </div>
</form>
</div>
</div>
</div>
</div>


   <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Request Status</b></div>
    <div class="card-body">
  <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Student Name</b></th>
                            
                            <th><b>Admission No.</b></th>
                            <th><b>Attachment1</b></th>
                            <th><b>Attachment2</b></th>
                            <th><b>Status</b></th>

                        </tr>
                        </thead>
                        <tbody>
                            @forelse($duplicatetc as $tc)
                                <tr>
                                    <td>{{$tc->student->name}}</td>
                                    <td>{{$tc->student->adno}}</td>
                                    <td>
                                         @php
    $fileUrl = url('storage/uploads/duplicatetc/attachments/' . $tc->upload1);
@endphp
<a href="{{ $fileUrl }}" target="_blank">
 
    <i class="fas fa-paperclip"></i> Download
</a>
      </td>                                      
                                    
                                        
                                        
                                    
                                    <td>
                                       @php
    $fileUrl = url('storage/uploads/duplicatetc/attachments/' . $tc->upload2);
@endphp  
  <a href="{{ $fileUrl }}" target="_blank">
  
    <i class="fas fa-paperclip"></i> Download
</a>                                      
                                        
                                    </td>

                                        <td>
                                            
                                        @if($tc->status=='0')
                                         <p style="color:orange"><b>Pending</b></p>
                                        
                                          @elseif($tc->status=='1')
            <a href="#" 
           data-toggle="modal" 
           data-target="#statusModal" 
           data-status="Approved"
           data-details="{{route('duplicate.tc.view',['tc_id'=>$tc->duptc_id])}}">
           <p class="text-success"><b>Approved</b></p>
        </a>
                                        
                                           @elseif($tc->status=='2')
           <a href="#" 
           data-toggle="modal" 
           data-target="#statusModal" 
           data-status="Rejected"
           data-details="{{route('duplicate.tc.view',['tc_id'=>$tc->duptc_id])}}">
           <p class="text-danger"><b>Rejected</b></p>
        </a>
                                           @endif
                                         </td>
                                   

                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>




</div>
</div>
</div>
</div>









<!-- Modal -->
<div class="modal fade" id="statusModal" tabindex="-1" role="dialog" aria-labelledby="statusModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="statusModalLabel">Request Details</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!-- Details will be loaded here -->
        <div id="modal-content">
          <!-- This is where the details will be injected -->
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

<style>
      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
	
        .form-control{
            border:1px solid #E8E8E8;
        }
        .modal-dialog.modal-sm {
    max-width: 50%; /* Adjust the width as needed */
}
</style>
 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
    $(document).ready(function() {
        $('#statusModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget); // Button that triggered the modal
            var status = button.data('status'); // Extract info from data-* attributes
            var detailsUrl = button.data('details'); // Extract info from data-* attributes

            var modal = $(this);
            modal.find('.modal-title').text('Request ' + status);
            
            // Fetch the details via AJAX or directly display the link
            $.get(detailsUrl, function(response) {
                // Assuming the server returns HTML or a snippet to be displayed
                modal.find('#modal-content').html(response);
            }).fail(function() {
                modal.find('#modal-content').html('<p>Error loading details.</p>');
            });
        });
    });
</script>

@endsection