@extends('layouts.template')
@section('title','Hourly Attendance')
@section('heading','Hourly Attendance')
@section('breadcrumb','Home / Staff Time Table / Hourly Attendance')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>

<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         
  <form action="{{ route('studentattendance.hourly.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($cid) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($did) }}">
    <input type="hidden" id="date" name="date" value="{{ encrypt($date) }}">
     <input type="hidden" id="period" name="period" value="{{ encrypt($prd) }}">
     <input type="hidden" id="subject" name="subject" value="{{ encrypt($subj) }}">
    <input type="hidden" id="periodname" name="periodname" value="{{ encrypt($periodname) }}">

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
       
        <th><b>Adno</b></th>
        <th><b>Student Name</b></th>
        <th><b>{{date('l',strtotime($date))}} - {{date('d-m-Y',strtotime($date))}} [ Period {{$periodname}} ]</b></th>
        
    </tr>
    </thead>
    <tbody>
            @foreach($students as $student)
            @php
            $attendanceRecord = App\Models\StudentAttendance::where('date', $date)
                ->where('subject_id', $subj)
                ->where('student_id', $student->student_id)
                ->first();
        
            
            @endphp
        <tr>
          <input type="hidden" name="student_id[]" value="{{ $student->student_id }}">
          <input type="hidden" name="student_name[]" value="{{ $student->name }}">
           <td>{{ $student->adno }}</td>
           <td>{{ strtoupper($student->name) }}</td>
            @if (!$attendanceRecord)
           <td align="center">
            <input type="checkbox" name="attendance[{{ $student->student_id }}][]" value="{{ $date }}" 
        class="attendance-checkbox" 
        onclick="showAbsentForm(this, '{{ date('d-m-Y', strtotime($date)) }}', '{{ $student->student_id }}')" checked>
           </td>
           @else
           <td align="center">
               @if($attendanceRecord->am == 0 && $attendanceRecord->pm == 0)
             <i class="fas fa-check-square text-success fa-3x" onclick="showAbsentForm(this, '{{ date('d-m-Y', strtotime($date)) }}', '{{ $student->student_id }}')"></i>
             @elseif($attendanceRecord->am == 1 && $attendanceRecord->pm == 1)
             <i class="fas fa-window-close text-danger fa-3x" onclick="showPresentForm(this, '{{ date('d-m-Y', strtotime($date)) }}', '{{ $student->student_id }}')"></i>
            
             
             @endif
             </td>
           @endif
       
          
        </tr>
        
            @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
   
   
    <!-- Absent Details Modal -->
    <div class="modal fade" id="absentFormModal" tabindex="-1" role="dialog" aria-labelledby="absentFormModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
    <div class="modal-header" style="background:#004170">
    <h5 class="modal-title" id="absentFormModalLabel" style="color:white"><b>ABSENT DETAILS</b></h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body" STYLE="background:white">
    <form id="absentForm" action="{{route('studentattendance.hourly.update')}}" method="post">
            @csrf
            <input type="hidden" name="course_id" value="{{ $cid }}">
            <input type="hidden" name="semester_id" value="{{ $did }}">
            <input type="hidden" name="subject_id" value="{{ $subj }}">
            <input type="hidden" name="period_id" value="{{ $prd }}">
            <input type="hidden" name="periodname" value="{{ $periodname }}">
            <input type="hidden" id="absentDate" name="date">
            <input type="hidden" id="studentId" name="student_id">
            <input type="hidden" id="popupStaffName" name="student_name">

            <div class="form-group">
                <label for="absentName">Student Name</label>
                <input type="text" id="absentName" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
            <label for="absentDateField">Date</label>
            <input type="text" id="absentDateField" name="date" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
                <label for="stuleav_id">Leave Type</label>
                <select class="form-control" id="stuleav_id" name="stuleav_id" required>
                    <option value="">Select</option>
                    @foreach($studentleav as $leave)
                    <option value="{{ $leave->stuleav_id }}" {{ old('stuleav_id') == $leave->stuleav_id  ? "selected":"" }}>{{ $leave->leave_name }}</option>
                    @endforeach
                </select>
                @error('stuleav_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
            </div>
            <div class="form-group">
                <label for="absentReason">Reason</label>
                <textarea id="absentReason" name="reason" placeholder="Enter absent reason..." class="form-control" style="background-color:#F0F0F0"></textarea>
            </div>
             
            <button type="submit" class="btn btn-danger float-right">Save</button>
</form>
</div>
</div>
</div>
</div> 

<!-- Absent Details Modal -->
    <div class="modal fade" id="presentFormModal" tabindex="-1" role="dialog" aria-labelledby="presentFormModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
    <div class="modal-header" style="background:#004170">
    <h5 class="modal-title" id="presentFormModalLabel" style="color:white"><b>PRESENT DETAILS</b></h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body" STYLE="background:white">
    <form id="presentForm" action="{{route('studentattendance.hourly.present.update')}}" method="post">
            @csrf
            <input type="hidden" name="course_id" value="{{ $cid }}">
            <input type="hidden" name="semester_id" value="{{ $did }}">
            <input type="hidden" name="subject_id" value="{{ $subj }}">
            <input type="hidden" name="period_id" value="{{ $prd }}">
            <input type="hidden" name="periodname" value="{{ $periodname }}">
            <input type="hidden" id="presentDate" name="date">
            <input type="hidden" id="pstudentId" name="student_id">
            <input type="hidden" id="popupStaffName" name="student_name">

            <div class="form-group">
                <label for="name">Student Name</label>
                <input type="text" id="name" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
            <label for="presentDateField">Date</label>
            <input type="text" id="presentDateField" name="date" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
           <div class="form-group">
                <label for="absentReason">Reason</label>
                <textarea id="absentReason" name="reason" placeholder="Enter absent reason..." class="form-control" style="background-color:#F0F0F0"></textarea>
            </div>
             
            <button type="submit" class="btn btn-danger float-right">Save</button>
</form>
</div>
</div>
</div>
</div> 


<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>
function showAbsentForm(checkbox, date, studentId) {
        if (!checkbox.checked) {
            var studentName = $(checkbox).closest('tr').find('input[name="student_name[]"]').val();
            $('#absentDate').val(date);
            $('#studentId').val(studentId);
            $('#absentName').val(studentName);
            $('#popupStaffName').val(studentName);
            $('#absentDateField').val(date);
            $('#absentFormModal').modal('show');
        }
    }
    
function showPresentForm(checkbox, date, studentId) {
        if (!checkbox.checked) {
            var studentName = $(checkbox).closest('tr').find('input[name="student_name[]"]').val();
            $('#presentDate').val(date);
            $('#pstudentId').val(studentId);
            $('#name').val(studentName);
            $('#popupStaffName').val(studentName);
            $('#presentDateField').val(date);
            $('#presentFormModal').modal('show');
        }
    }    
</script>
<style>
    
  

input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: blue;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>

@endsection
