<style>
    .img-circle{
        border-radius: 50%;
    }
    .container {
        display: flex; 
        align-items: center;
        justify-content: center; 
    }
    input[type="checkbox"] {
        width: 1.5em;
        height: 1.5rem;
        display: inline-block; 
        margin: 0;
        accent-color: green;
    }
</style>
<div class="card card-primary">
    <div class="card-header">Bus Fee Details</div>
    <div class="card-body">
        <div class="row">
            <div class="col-12 col-sm-3">
                <div class="card" style="border-top:3px solid #004170;border-radius:12px;background:#F8F8F8;overflow:hidden">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group text-center">
                                    <img class="img-circle" src="{{ asset('public/uploads/student/photo/'.$stud->photo) }}" alt="Profile image" width="150px" height="150px">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group text-center">
                                    <p style="font-size:14px"><b>{{ strtoupper($stud->name) }}</b></p>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group text-center">
                                    <p class="text-danger" style="font-size:18px"><b>{{ $stud->adno }}</b></p>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group text-center">
                                    <p class="text-success" style="font-size:14px"><b>{{ $stud->course->course_code }}</b></p>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group text-center">
                                    <p style="font-size:14px"><b>{{ date('Y',strtotime($stud->acyear->sdate)).'-'.date('Y',strtotime($stud->acyear->edate)) }}</b></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 col-sm-9">
                <div class="card" style="border-top:3px solid #004170;border-radius:12px;background:#F8F8F8">
                    <div class="card-body">
                        <form action="{{route('trans.busfee.payment.save')}}" method="post">
                            @csrf
                            <input type="hidden" name="student_id" value="{{ $stud->student_id }}">
                            <input type="hidden" name="mode_id" value="{{ $paymentmode->mode_id }}">
                            <input type="hidden" name="pdate" value="{{ $date }}">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="receipt_no" class="required"><b>Bill Number</b></label>
                                        <input type="text" style="border:1px solid #D3D3D3" class="form-control @error('receipt_no') border-danger @enderror" id="receipt_no" name="receipt_no" value="{{$next_rec_no}}" readonly>
                                        @error('receipt_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="scroll">
                                        <table class="table table-bordered" id="tablecss" width="100%">
                                            <thead style="background-color: #0071c5;color:white;">
                                                <th width="3%">
                                                    <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                        <label class="container">
                                                            <input type="checkbox" class="form-check-input" id="checkAll">
                                                        </label>
                                                    </div>
                                                </th>
                                                <th width="10%"><b>Month</b></th>
                                                <th width="10%"><b>Payment Date</b></th>
                                                <th width="10%"><b>Route Type</b></th>
                                                <th width="10%"><b>Fee Amount</b></th>
                                                <th width="10%"><b>Fine</b></th>
                                                <th width="10%"><b>Discount</b></th>
                                                <th width="10%"><b>Current Amount</b></th>
                                            </thead>
                                            <tbody>
                                                @php $totalAmount=0; $total=0; @endphp
                                                @foreach($busfeesetting as $feesetting)
                                                    <tr>
                                                        <td>
                                                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                                <label class="container">
                                                                    <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $feesetting->bfeesetting_id  }}" onchange="updateSubtotal()">
                                                                </label>
                                                            </div>
                                                        </td>
                                                        <td>{{ date('F',mktime(0,0,0,$feesetting->month,1)) }} {{ $feesetting->year }}</td>
                                                        <td>{{ date('d-m-Y',strtotime($feesetting->date)) }}</td>
                                                        <td>
                                                            <select class="route-type" onchange="fetchRouteFees(this)" name="route_type[{{ $feesetting->bfeesetting_id }}]">
                                                                <option value="permanent" {{ old('route_type.' . $feesetting->bfeesetting_id) == 'permanent' ? 'selected' : '' }}>Permanent</option>
                                                                <option value="temporary" {{ old('route_type.' . $feesetting->bfeesetting_id) == 'temporary' ? 'selected' : '' }}>Temporary</option>
                                                            </select>
                                                        </td>
                                                        <td>
                                                            @if($individualfee->isNotEmpty())
                                                                @php $indifeeamount = $individualfee->first()->updated_fee ?? 0; @endphp
                                                                {{ $indifeeamount }}
                                                            @else
                                                                @php $feeAmount = $amount->first()->fee ?? 0; @endphp
                                                                {{ $feeAmount }}
                                                            @endif
                                                        </td>
                                                        <td>
                                                            @php $fineAmount = 0; 
                                                                $dueDate = \Carbon\Carbon::parse($feesetting->date)->addMonth();
                                                                if (\Carbon\Carbon::parse($date)->isAfter($dueDate)) {
                                                                    foreach ($fine as $fineSetting) {
                                                                        $fineAmount = $fineSetting->fine_amount; 
                                                                    }
                                                                }
                                                            @endphp
                                                            @if($fineAmount > 0)
                                                                <input type="text" name="busfine_id[{{ $feesetting->bfeesetting_id }}]" value="{{ $fineAmount }}" readonly>
                                                            @else
                                                                <span>No Fine</span>
                                                            @endif
                                                        </td>
                                                        <td>
                                                            <input type="number" name="discount[{{ $feesetting->bfeesetting_id }}]" placeholder="Enter Discount" oninput="updateSubtotal()" step="0.01" />
                                                        </td>
                                                        <td>
                                                            @php
                                                                $indifeeamount = $individualfee->isNotEmpty() ? $individualfee->first()->updated_fee : $feeAmount;
                                                                $fineAmount = 0; 
                                                                $dueDate = \Carbon\Carbon::parse($feesetting->date)->addMonth();
                                                                if (\Carbon\Carbon::parse($date)->isAfter($dueDate)) {
                                                                    foreach ($fine as $fineSetting) {
                                                                        $fineAmount = $fineSetting->fine_amount; 
                                                                    }
                                                                }
                                                                $paidAmount = $totalPaidPermanent[$feesetting->month] ?? 0;
                                                                $currentAmountPermanent = '';
                                                                if ($paidAmount >= $indifeeamount) {
                                                                    $currentAmountPermanent = 'Paid';
                                                                } elseif ($paidAmount > 0) {
                                                                    $currentAmountPermanent = $indifeeamount - $paidAmount;
                                                                } else {
                                                                    $currentAmountPermanent = $indifeeamount;
                                                                }
                                                            @endphp
                                                            @if($currentAmountPermanent === 'Paid')
                                                                <span class="text-success" style="font-size:20px"><b>{{ $currentAmountPermanent }}</b></span>
                                                            @else
                                                                <input type="number" name="amount[{{ $feesetting->bfeesetting_id }}]" value="{{ $currentAmountPermanent }}" onchange="updateTotal(this, {{ $fineAmount }})" step="0.01" title="Edit Fee Amount" />
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-md-12">
                                    <h4>Subtotal: <span id="subtotalAmount">0.00</span></h4>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-md-12">
                                    <input type="submit" class="btn btn-success float-right" name="btn-get" calue="Submit">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
    $(document).ready(function() {
        $('#checkAll').on('change', function() {
            const isChecked = $(this).is(':checked');
            $('.checkSub').prop('checked', isChecked);
            updateSubtotal();
        });
        $('.checkSub').on('change', function() {
            updateSubtotal();
        });
        $(document).on('input', 'input[name^="amount["], input[name^="discount["], input[name^="busfine_id["]', function() {
            updateSubtotal();
        });
    });

    function updateSubtotal() {
        let subtotal = 0;
        $('.checkSub:checked').each(function() {
            const row = $(this).closest('tr');  
            const amountInput = row.find('input[name^="amount["]');
            const fineInput = row.find('input[name^="busfine_id["]');
            const discountInput = row.find('input[name^="discount["]');
            const amount = parseFloat(amountInput.val()) || 0;
            const fine = parseFloat(fineInput.val()) || 0;
            const discount = parseFloat(discountInput.val()) || 0;
            subtotal += (amount + fine - discount);
        });
        $('#subtotalAmount').text(subtotal.toFixed(2));
    }

    function fetchRouteFees(selectElement) {
        const selectedValue = selectElement.value;
        const row = $(selectElement).closest('tr'); 
        const feesettingId = row.find('input[name^="posted[]"]').val(); 
    
        const studentId = $('input[name="student_id"]').val();
    
      
        row.find('td:eq(4)').text('0.00'); 
        row.find('td:eq(5) input').val('0.00'); 
        row.find('input[name="amount[]"]').val('0.00');  
    
        if (selectedValue) {
            $.ajax({
                url: '{{ route("trans.routetype.fees") }}', 
                type: 'GET',
                data: {
                    route_type: selectedValue,
                    student_id: studentId,
                    feesetting_id: feesettingId,  
                },
                success: function(response) {
                    const feeAmount = response.fee_amount || 0; 
                    const fineAmount = response.fine_amount || 0; 
    
                    row.find('td:eq(4)').text(feeAmount); 
                    row.find('td:eq(5) input').val(fineAmount); 
    
                    row.find('input[name="amount[]"]').val(feeAmount + fineAmount); 
    
                    updateCurrentAmount(row, feeAmount, fineAmount);
    
                    updateSubtotal(); 
                },
                error: function(xhr) {
                    console.error('Error fetching route fees:', xhr);
                }
            });
        }
    }
    
    function updateCurrentAmount(row, feeAmount, fineAmount) {
        const discountInput = row.find('input[name^="discount["]');
        const discount = parseFloat(discountInput.val()) || 0;
    
        const currentAmount = feeAmount + fineAmount - discount;
    
        row.find('input[name^="amount["]').val(currentAmount);
    }
</script>