@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Student Details') 
@section('content') 

    <div class="row">     
    <div class="col-md-12 grid-margin stretch-card">     
    <div class="card">     
    <div class="card-header" style="background-color:#005A9C;color:white;">
    <b>Student Details</b>
    </div>   
    
    <div class="card-body">
           
    <div class="row">  
    <div class="col-md-3"> 
                        <div class="form-group">                             
                        <label for="route_name" class="required"><b>Route Name</b></label>                         
                        <select class="form-control" id="route_id" name="route_id" required>                         
                                <option value=""><span class="fw-bold">Select</span></option>                         
                                @foreach($routes as $route)                         
                                <option value="{{ $route->route_id }}" {{ old('route_id') == $route->route_id ? "selected" : "" }}>{{ $route->route_name}}</option>                         
                                @endforeach                         
                        </select>   
                        </div>
                        </div>
                        </div>
                
                <div class="row">
                <div class="col-md-12">
                <input type="button" name="btn-get" value="Get Details" id="getData" class="btn btn-primary float-right">      
                </div>  
                </div>
</div>
</div>
</div>
</div>

    <div class="row">
    <div class="col-md-12 grid-margin stretch-card">
    <div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
                <div id="totalStudents" class="mb-3">
                <span style="font-size:20px;background:#F8F8F8"><b>Total Students: </b></span><span id="studentCount" style="font-size:20px;background:#F8F8F8"><b>0</b></span>
                </div>
                
              <table class="table table-bordered" id="reportTable" width="100%">
                        <thead style="background-color:#FEBE10;">
                            <tr>
                                <th><b>Adm No</b></th>
                                <th><b>Name</b></th>
                                <th><b>Mobile</b></th>
                                <th><b>Course</b></th>
                                <th><b>Semester</b></th>
                                <th><b>Stop Name</b></th>
                                <th><b>Fees</b></th>
                            </tr>
                        </thead>
                        <tbody>
                            
                            
                    </tbody>
                    </table>
                
                



</div>
</div>
</div>
</div>

<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<!--<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">-->
<!--<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>-->

<script>
    $(document).ready(function () {
        var reportTable = $("#reportTable").DataTable({
            lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],

                    ajax : {
                    url : '{{ route('trans.add.studentdet.get') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                       data.route = $('#route_id').val();
                      
                    }
                },

            
            
            columns: [
                { data: 'adno' },
                { data: 'name' },
                { data: 'mobile' },
                { data: 'course' },
                { data: 'semester' },
                { data: 'stopname' },
                { data: 'fee' },
            ]
        });

        $('#getData').click(function () {
            reportTable.draw();
        });
    });
</script>

<style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    .form-control{
            border:1px solid black;
        }


</style>
@endsection
