
@extends('layouts.template')
@section('title','Home')
@section('heading','Add Temporary Stop')
@section('breadcrumb','Home/Transportation/Temporary Stop')
@section('content')
<div class="row">
<div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(501,502,514,515,516)) }}
    </div>
    </div>
    </div>
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Student Temporary Stop</b></div>
            <div class="card-body">
            <form action="{{route('trans.temporary.getroutestop.add')}}" method="post">
                @csrf
            <div class="row">
            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="student_id" class="required"><b>Student</b></label>
                                    <select class="form-control" id="stud_id" name="student_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="route_id" class="required"><b>Temporary Route</b></label>
                               <select class="form-control" id="route_id" name="route_id">
                <option value=""><span class="fw-bold">Select</span></option>
                @foreach($routes as $route)
         <option value="{{ $route->route_id }}" {{ old('route_id')==$route->route_id ? "selected":"" }}>{{ $route->route_name }}</option>

                @endforeach
            </select>  
                  </div>
                            </div>         
                            <div class="col-md-3">
                            <div class="form-group">
                                    <label for="stop_id" class="required"><b>Temporary Stop</b></label>
                                    <select class="form-control" id="stop_id" name="stop_id" required>
                                    <option value="">Select</option>
                                    </select>
                                    @error('stop_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                           
                           
                            </div>
                         
                        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right" id="btn-get">Add</button>
                        </div>
                        </div>
                        </div>
                         </form> 
                        </div>
                        </div>
                        </div>
                        </div>
       
        
        
        
        
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
    <script src="{{ asset('public/js/busfacilitystudents.js') }}"></script> 
    <script src="{{ asset('public/js/routestop.js') }}"></script>
 

      <style>
                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
@endsection