@extends('layouts.template')
@section('title','Home')
@section('heading','Due Report')
@section('breadcrumb','Home/Transportation/Due Report')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(538,545)) }}
    </div>
        </div>
        </div>
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                    <div class="card-header" style="background-color:#005A9C;color:white"><b>Due Report</b></div>
                    <div class="card-body">
                     <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course_id" name="course_id">
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                        <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                        </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="semester_id"  class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id">
                                    <option value="">Select</option>
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                             <div class="col-md-3">
                             <div class="form-group">
                            <label for="month" class="required"><b>Month</b></label>
                             <select class="form-control" id="month" name="month">
            <option value="">Select</option>
            @foreach ($months as $item)
                @php
                    $monthName = date('F', $item['month']);
                    $year = date('Y', $item['month']);
                @endphp
                <option value="{{ $item['month'] }}" {{ old('month') == $item['month'] ? 'selected' : '' }}>
                    {{ $monthName }} {{ $year }}
                </option>
            @endforeach
        </select>
                            @error('month')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                            <!--<div class="col-md-3">-->
                            <!--<div class="form-group">-->
                            <!--<label for="date" class="required" id="date"><b>Date</b></label>-->
                            <!--<input type="date" name="date" class="form-control" value="{{now()->format('Y-m-d')}}">-->
                            
                            <!--</div>-->
                            <!--</div>-->
                            
                            </div>   
                            <div class="row">
                            <div class="col-md-12">
                            <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                            </div>
                            </div>
                            </div>
                        
                        
                        
                        
                        
                        </div>
                        </div>
                        </div>
                        </div>
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
            </div>  
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/sem.js') }}"></script> 
    <script>
        $(document).ready(function(){
    
            $("#btn-get").on('click',function(){
                var cid = $('#course_id').val();
                var sid = $('#semester_id').val();
                var mid=  $('#month').val();
                var did=$('#date').val();
                $("#result").html('');
                $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
               
                    $.ajax({
                        type : 'GET',
                        url : '../busfeeduereport-get',
                        data : {cid:cid,sid:sid,mid:mid,did:did},
                        success : function(response){
                            $("#result").html('');
                            $("#result").append(response);
                        }
                    });
               
            });
        });
    </script>
    <style>
           .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    </style>
@endsection