@extends('layouts.template')
@section('title','Home')
@section('heading','Tutorial')
@section('breadcrumb','Home / Tutorial / View')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                {{ app_button_links(array(398,399)) }}
            </div>
        </div>
    </div>
    <div class="card card-primary">
        <div class="card-header">Tutorials</div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Course</th>
                    <th>Semester</th>
                    <th>Subject</th>
                    <th>Title</th>
                    <th>Content</th>
                    <th>Attachment</th>
                    <th>Actions</th>
                </tr>
                </thead>
                <tbody>
                    @forelse($tutorials as $tutorial)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $tutorial->course->course_code }}</td>
                            <td>{{ $tutorial->sem->semester_name }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $tutorial->sub->subject_name }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$tutorial->title}}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$tutorial->content}}</td>
                            <td align="center">
                                <a href="{{ asset('public/uploads/staff/tutorial/'.$tutorial->file) }}" target="_blank">
                                    <i class="fas fa-paperclip"></i> Download
                                </a>                
                            </td>
                            <td align="center"><a href="{{route('tutorial.delete',['id'=>$tutorial->tutorial_id ])}}"><i class="fa-solid fa-times text-danger" style="font-size: 18px;"></i></a></td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="8">No Result Found !</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
@endsection