@extends('layouts.template')
@section('title','Privilages')
@section('heading','Privilages')
@section('breadcrumb','Home / Privilages')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('previlage.get') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="type_id" class="required"><b>User Type</b></label>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <select class="js-example-basic-single" id="type_id" name="type_id" required style="width:100%">
                                                <option value="">Select</option>
                                                @foreach($utypes as $utype)
                                                    <option value="{{ $utype->type_id }}" {{ $type_id==$utype->type_id ? "selected":"" }}>{{ $utype->type_name }}</option>
                                                @endforeach
                                            </select>
                                            @error('type_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                        <div class="col-sm-6">
                                            <button type="submit" class="btn btn-sm btn-primary">Get</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <form action="{{ route('previlage.save') }}" method="post">
                @csrf
                <input type="hidden" name="utype" value="{{ encrypt($type_id) }}">
                <div class="card card-primary">
                    <div class="card-header">Admin Menus</div>
                    <div class="card-body">
                        <div class="row">
                            @foreach($admin_menus->where('menu_category','admin') as $amenu)
                                <div class="col-sm-3">
                                    <div class="accordion-custom">
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="sub{{ $amenu['menu_id'] }}" name="menulist[]" value="{{ $amenu['menu_id'] }}" {{ in_array($amenu['menu_id'], $access) ? "checked" : "" }}>
                                            <label class="custom-control-label" for="sub{{ $amenu['menu_id'] }}">{{ $amenu['menu_name'] }}</label>
                                        </div>
                                    </div>
                                    @if(!empty($amenu['sub_menus']))
                                        <div class="accordion-custom-content">
                                            @foreach($amenu['sub_menus'] as $asmenu)
                                                <div class="row">
                                                    <div class="col-sm-12 ml-4">
                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $asmenu['menu_id'] }}" name="menulist[]" value="{{ $asmenu['menu_id'] }}" {{ in_array($asmenu['menu_id'], $access) ? "checked" : "" }}>
                                                            <label class="custom-control-label" for="sub{{ $asmenu['menu_id'] }}">{{ $asmenu['menu_name'] }}</label>
                                                        </div>
                                                        @if(!empty($asmenu['sub_menus']))
                                                            @foreach($asmenu['sub_menus'] as $asdmenu)
                                                                <div class="row">
                                                                    <div class="col-sm-12 ml-4">
                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $asdmenu['menu_id'] }}" name="menulist[]" value="{{ $asdmenu['menu_id'] }}" {{ in_array($asdmenu['menu_id'], $access) ? "checked" : "" }}>
                                                                            <label class="custom-control-label" for="sub{{ $asdmenu['menu_id'] }}">{{ $asdmenu['menu_name'] }}</label>
                                                                        </div>
                                                                        @if(!empty($asdmenu['sub_menus']))
                                                                            @foreach($asdmenu['sub_menus'] as $asdchmenu)
                                                                                <div class="row">
                                                                                    <div class="col-sm-12 ml-4">
                                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $asdchmenu['menu_id'] }}" name="menulist[]" value="{{ $asdchmenu['menu_id'] }}" {{ in_array($asdchmenu['menu_id'], $access) ? "checked" : "" }}>
                                                                                            <label class="custom-control-label" for="sub{{ $asdchmenu['menu_id'] }}">{{ $asdchmenu['menu_name'] }}</label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            @endforeach
                                                                        @endif  
                                                                    </div>
                                                                </div>
                                                            @endforeach
                                                        @endif 
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    @endif
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
                <br>
                <div class="card card-primary">
                    <div class="card-header">Accounts Menus</div>
                    <div class="card-body">
                        <div class="row">
                            @foreach($admin_menus->where('menu_category','accounts') as $acmenu)
                                <div class="col-sm-3">
                                    <div class="accordion-custom">
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="sub{{ $acmenu['menu_id'] }}" name="menulist[]" value="{{ $acmenu['menu_id'] }}" {{ in_array($acmenu['menu_id'], $access) ? "checked" : "" }}>
                                            <label class="custom-control-label" for="sub{{ $acmenu['menu_id'] }}">{{ $acmenu['menu_name'] }}</label>
                                        </div>
                                    </div>
                                    @if(!empty($acmenu['sub_menus']))
                                        <div class="accordion-custom-content">
                                            @foreach($acmenu['sub_menus'] as $acsmenu)
                                                <div class="row">
                                                    <div class="col-sm-12 ml-4">
                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $acsmenu['menu_id'] }}" name="menulist[]" value="{{ $acsmenu['menu_id'] }}" {{ in_array($acsmenu['menu_id'], $access) ? "checked" : "" }}>
                                                            <label class="custom-control-label" for="sub{{ $acsmenu['menu_id'] }}">{{ $acsmenu['menu_name'] }}</label>
                                                        </div>
                                                        @if(!empty($acsmenu['sub_menus']))
                                                            @foreach($acsmenu['sub_menus'] as $acsdmenu)
                                                                <div class="row">
                                                                    <div class="col-sm-12 ml-4">
                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $acsdmenu['menu_id'] }}" name="menulist[]" value="{{ $acsdmenu['menu_id'] }}" {{ in_array($acsdmenu['menu_id'], $access) ? "checked" : "" }}>
                                                                            <label class="custom-control-label" for="sub{{ $acsdmenu['menu_id'] }}">{{ $acsdmenu['menu_name'] }}</label>
                                                                        </div>
                                                                        @if(!empty($acsdmenu['sub_menus']))
                                                                            @foreach($acsdmenu['sub_menus'] as $acsdchmenu)
                                                                                <div class="row">
                                                                                    <div class="col-sm-12 ml-4">
                                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $acsdchmenu['menu_id'] }}" name="menulist[]" value="{{ $acsdchmenu['menu_id'] }}" {{ in_array($acsdchmenu['menu_id'], $access) ? "checked" : "" }}>
                                                                                            <label class="custom-control-label" for="sub{{ $acsdchmenu['menu_id'] }}">{{ $acsdchmenu['menu_name'] }}</label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            @endforeach
                                                                        @endif  
                                                                    </div>
                                                                </div>
                                                            @endforeach
                                                        @endif 
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    @endif
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
                <br>
                <div class="card card-primary">
                    <div class="card-header">Settings Menus</div>
                    <div class="card-body">
                        <div class="row">
                            @foreach($settings_menus as $smenu)
                                <div class="col-sm-3">
                                    <div class="accordion-custom">
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="sub{{ $smenu['menu_id'] }}" name="menulist[]" value="{{ $smenu['menu_id'] }}" {{ in_array($smenu['menu_id'], $access) ? "checked" : "" }}>
                                            <label class="custom-control-label" for="sub{{ $smenu['menu_id'] }}">{{ $smenu['menu_name'] }}</label>
                                        </div>
                                    </div>
                                    @if(!empty($smenu['sub_menus']))
                                        <div class="accordion-custom-content">
                                            @foreach($smenu['sub_menus'] as $ssmenu)
                                                <div class="row">
                                                    <div class="col-sm-12 ml-4">
                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $ssmenu['menu_id'] }}" name="menulist[]" value="{{ $ssmenu['menu_id'] }}" {{ in_array($ssmenu['menu_id'], $access) ? "checked" : "" }}>
                                                            <label class="custom-control-label" for="sub{{ $ssmenu['menu_id'] }}">{{ $ssmenu['menu_name'] }}</label>
                                                        </div>
                                                        @if(!empty($ssmenu['sub_menus']))
                                                            @foreach($ssmenu['sub_menus'] as $ssdmenu)
                                                                <div class="row">
                                                                    <div class="col-sm-12 ml-4">
                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $ssdmenu['menu_id'] }}" name="menulist[]" value="{{ $ssdmenu['menu_id'] }}" {{ in_array($ssdmenu['menu_id'], $access) ? "checked" : "" }}>
                                                                            <label class="custom-control-label" for="sub{{ $ssdmenu['menu_id'] }}">{{ $ssdmenu['menu_name'] }}</label>
                                                                        </div>
                                                                        @if(!empty($ssdmenu['sub_menus']))
                                                                            @foreach($ssdmenu['sub_menus'] as $ssdchmenu)
                                                                                <div class="row">
                                                                                    <div class="col-sm-12 ml-4">
                                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                                            <input type="checkbox" class="custom-control-input" id="sub{{ $ssdchmenu['menu_id'] }}" name="menulist[]" value="{{ $ssdchmenu['menu_id'] }}" {{ in_array($ssdchmenu['menu_id'], $access) ? "checked" : "" }}>
                                                                                            <label class="custom-control-label" for="sub{{ $ssdchmenu['menu_id'] }}">{{ $ssdchmenu['menu_name'] }}</label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            @endforeach
                                                                        @endif  
                                                                    </div>
                                                                </div>
                                                            @endforeach
                                                        @endif
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    @endif
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection