@extends('layouts.template')
@section('title','Home')
@section('heading','Dashboard')
@section('breadcrumb','Home')
@section('content')

@if(Auth::user()->type_id == '1')


    <div class="row">
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{ route('dash.totalstudent') }}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-user-graduate"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="student"></div>
                            <div class="count-title">Students</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.newadmission')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-user-plus"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="admission"></div>
                            <div class="count-title">Admissions</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.totalstaff')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-user-tie"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="staff"></div>
                            <div class="count-title">Staff</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
   
   
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.dailyfee')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-calendar-day"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="daily"></div>
                            <div class="count-title">Daily Fee</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
         </div>
         <div class="row">
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.monthlyfee')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-calendar-alt"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="monthly"></div>
                            <div class="count-title">Monthly Fee</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.dailyotherfee')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-money-check-alt"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="other"></div>
                            <div class="count-title">Other Fee</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.dailyhostel')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-home"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="hostel"></div>
                            <div class="count-title">Hostel Fee</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        
        <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.birthday')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-home"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="birthday"></div>
                            <div class="count-title">Staff birthday</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        
        
        
        
        
        
    </div>
    <br>
    <div id="graph"></div>
    <br>
    <div id="datepicker"></div>
    
    @endif
    
    
    @if(in_array(Auth::user()->type_id, ['12']))
    <div class="row">
     <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.birthday.student')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-home"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="birthdaystu"></div>
                            <div class="count-title">Student birthday</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
       <div class="col-12 col-sm-3">
            <div class="custom-card">
                <a href="{{route('dash.total.student')}}">
                    <div class="row">
                        <div class="col-3">
                            <div class="count-icon">
                                <i class="fas fa-home"></i>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="count-no" id="studentcounts"></div>
                            <div class="count-title">Total Student Strength</div>
                        </div>
                    </div>
                </a>
            </div>
        </div>  
        
        
        
        </div>
     @endif
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(document).ready(function(){
            var spinner = '<div class="spinner-grow sp sp-1 text-dark" role="status"><span class="sr-only">Loading...</span></div><div class="spinner-grow sp sp-2 text-dark" role="status"><span class="sr-only">Loading...</span></div><div class="spinner-grow sp sp-3 text-dark" role="status"><span class="sr-only">Loading...</span></div>';
            $("#student").html(spinner);
            $("#admission").html(spinner);
            $("#staff").html(spinner);
            $("#daily").html(spinner);
            $("#monthly").html(spinner);
            $("#other").html(spinner);
            $("#hostel").html(spinner);
            
            $.ajax({
                type: 'GET',
                url: '{{ route('counts') }}',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#student").text(data[0]);
                    $("#admission").text(data[1]);
                    $("#staff").text(data[2]);
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '{{ route('fee.counts') }}',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#daily").html(data[0]);
                    $("#monthly").html(data[1]);
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '{{ route('other.counts') }}',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#other").html(data[0]);
                    $("#hostel").html(data[1]);
                    $("#birthday").html(data[2]);
                    
                }
            });
                        $.ajax({
                type: 'GET',
                url: '{{ route('birthday.stu') }}',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#birthdaystu").html(data[0]);
                    $("#studentcounts").html(data[1]);
                    
                    
                    
                }
            });


            
            
            
            $.ajax({
                type: 'GET',
                url: '{{ route('graph') }}',
                success: function(response){
                    $("#graph").html(response);
                }
            });
            
        });  
    </script>
@endsection