@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Designation')
@section('breadcrumb','Settings / Staff Setting / Designation')
@section('content')




                            <div class="row">
                            <div class="col-lg-12 grid-margin stretch-card">
                            <div class="card">
                            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
                            <div class="card-body">
                            <form action="{{ route('usertype.save') }}" method="post">
                            @csrf
                            <div class="row">
                            <div class="col-md-4">
                            <div class="form-group">
                            <label for="staftyp_id" class="required"><b>Staff Type</b></label>
                            <select class="js-example-basic-single" id="staftyp_id" name="staftyp_id" style="width:100%">
                            <option value="">Select</option>
                            @foreach($stafftype as $staff)
                            <option value="{{ $staff->staftyp_id }}" {{ old('staftyp_id') == $staff->staftyp_id ? "selected":"" }}>{{ $staff->type_name}}</option>
                            @endforeach
                            </select>
                            @error('staftyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            <div class="col-md-4">
                            <div class="form-group">
                            <label for="type_name" class="required"><b>Designation</b></label>
                            <input type="text" class="form-control @error('type_name') border-danger @enderror" id="type_name" name="type_name" value="{{ old('type_name') }}">
                            @error('type_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            </div>
                            <div class="row">
                            <div class="col-md-12">
                            <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                            </div>
                            </div>
                            </div>
                            </form>
                            </div>
                            </div>
                            </div>
                            </div>
                            <div class="row">
                            <div class="col-lg-12 grid-margin stretch-card">
                            <div class="card" style="border-top:2px solid #004170">
                            <div class="card-body">
                            <table class="table table-bordered">
                            <thead>
                            <tr>
                            <!--<th>Staff Type</th>-->
                            <th><b>Designation</b></th>
                            <th><b>Actions</b></th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($utypes as $utype)
                                <tr>
                                    
                                    <td>{{ $utype->type_name }}</td>
                                    <td>{{ app_table_links($utype->type_id,array(51)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
     
    <style>
        
        .form-control{
            border:1px solid #E8E8E8;
        }
                                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
@endsection