<?php

use Illuminate\Support\Facades\Route;

Route::prefix('accounts')->middleware('userauth')->group(function () {
    Route::get('/preference','Accounts\Settings@preference')->name('accounts.preference');
    Route::post('/preference-update','Accounts\Settings@preference_update')->name('accounts.preference.update');
    
    Route::get('/actype','Accounts\Settings@actype')->name('accounts.actype');
    Route::get('/actype-update/{id}','Accounts\Settings@actype_update')->name('accounts.actype.update');
    
    Route::get('/groups','Accounts\Settings@groups')->name('accounts.groups');
    Route::get('/groups-ajax','Accounts\Settings@getGroups')->name('accounts.groups.ajax');
    Route::post('/group-save','Accounts\Settings@group_save')->name('accounts.group.save');
    Route::get('/group-edit/{sid}','Accounts\Settings@group_edit')->name('accounts.group.edit');
    Route::post('/group-update','Accounts\Settings@group_update')->name('accounts.group.update');
    Route::get('/group-delete/{sid}','Accounts\Settings@group_delete')->name('accounts.group.delete');
    
    Route::get('/vtypes','Accounts\Settings@vtypes')->name('accounts.vtypes');
    Route::get('/vtypes-ajax','Accounts\Settings@getVtypes')->name('accounts.vtypes.ajax');
    Route::post('/vtype-save','Accounts\Settings@vtype_save')->name('accounts.vtype.save');
    Route::get('/vtype-edit/{sid}','Accounts\Settings@vtype_edit')->name('accounts.vtype.edit');
    Route::post('/vtype-update','Accounts\Settings@vtype_update')->name('accounts.vtype.update');
    Route::get('/vtype-delete/{sid}','Accounts\Settings@vtype_delete')->name('accounts.vtype.delete');
    
    Route::get('/financialyear', 'Accounts\Financialyears@report')->name('accounts.financialyear');
    Route::get('/financialyear-update/{fid}/{aid}', 'Accounts\Financialyears@update')->name('accounts.financialyear.update');
    
    Route::get('/ledgers', 'Accounts\Ledgers@report')->name('accounts.ledgers');
    Route::get('/ledgers-ajax', 'Accounts\Ledgers@getData')->name('accounts.ledgers.ajax');
    Route::post('/ledger-save', 'Accounts\Ledgers@save')->name('accounts.ledger.save');
    Route::get('/ledger-edit/{lid}', 'Accounts\Ledgers@edit')->name('accounts.ledger.edit');
    Route::post('/ledger-update', 'Accounts\Ledgers@update')->name('accounts.ledger.update');
    Route::get('/ledger-delete/{lid}', 'Accounts\Ledgers@delete')->name('accounts.ledger.delete');
    
    Route::get('/payment-voucher', 'Accounts\Vouchers@payment')->name('accounts.payment.voucher');
    Route::get('/get-payment-voucher', 'Accounts\Vouchers@payment_ajax')->name('accounts.payment.voucher.ajax');
    Route::get('/add-payment-voucher', 'Accounts\Vouchers@payment_add')->name('accounts.payment.voucher.add');
    Route::post('/save-payment-voucher', 'Accounts\Vouchers@payment_save')->name('accounts.payment.voucher.save');
    Route::get('/edit-payment-voucher/{vid}', 'Accounts\Vouchers@payment_edit')->name('accounts.payment.voucher.edit');
    Route::post('/update-payment-voucher', 'Accounts\Vouchers@payment_update')->name('accounts.payment.voucher.update');
    Route::get('/delete-payment-voucher/{lid}', 'Accounts\Vouchers@payment_delete')->name('accounts.payment.voucher.delete');
    
    Route::get('/receipt-voucher', 'Accounts\Vouchers@receipt')->name('accounts.receipt.voucher');
    Route::get('/get-receipt-voucher', 'Accounts\Vouchers@receipt_ajax')->name('accounts.receipt.voucher.ajax');
    Route::get('/add-receipt-voucher', 'Accounts\Vouchers@receipt_add')->name('accounts.receipt.voucher.add');
    Route::post('/save-receipt-voucher', 'Accounts\Vouchers@receipt_save')->name('accounts.receipt.voucher.save');
    Route::get('/edit-receipt-voucher/{vid}', 'Accounts\Vouchers@receipt_edit')->name('accounts.receipt.voucher.edit');
    Route::post('/update-receipt-voucher', 'Accounts\Vouchers@receipt_update')->name('accounts.receipt.voucher.update');
    Route::get('/delete-receipt-voucher/{lid}', 'Accounts\Vouchers@receipt_delete')->name('accounts.receipt.voucher.delete');
    
    Route::get('/contra-voucher', 'Accounts\Vouchers@contra')->name('accounts.contra.voucher');
    Route::get('/get-contra-voucher', 'Accounts\Vouchers@contra_ajax')->name('accounts.contra.voucher.ajax');
    Route::get('/add-contra-voucher', 'Accounts\Vouchers@contra_add')->name('accounts.contra.voucher.add');
    Route::post('/save-contra-voucher', 'Accounts\Vouchers@contra_save')->name('accounts.contra.voucher.save');
    Route::get('/edit-contra-voucher/{vid}', 'Accounts\Vouchers@contra_edit')->name('accounts.contra.voucher.edit');
    Route::post('/update-contra-voucher', 'Accounts\Vouchers@contra_update')->name('accounts.contra.voucher.update');
    Route::get('/delete-contra-voucher/{lid}', 'Accounts\Vouchers@contra_delete')->name('accounts.contra.voucher.delete');
    
    Route::get('/journal-voucher', 'Accounts\Vouchers@journal')->name('accounts.journal.voucher');
    Route::get('/get-journal-voucher', 'Accounts\Vouchers@journal_ajax')->name('accounts.journal.voucher.ajax');
    Route::get('/add-journal-voucher', 'Accounts\Vouchers@journal_add')->name('accounts.journal.voucher.add');
    Route::post('/save-journal-voucher', 'Accounts\Vouchers@journal_save')->name('accounts.journal.voucher.save');
    Route::get('/edit-journal-voucher/{vid}', 'Accounts\Vouchers@journal_edit')->name('accounts.journal.voucher.edit');
    Route::post('/update-journal-voucher', 'Accounts\Vouchers@journal_update')->name('accounts.journal.voucher.update');
    Route::get('/delete-journal-voucher/{lid}', 'Accounts\Vouchers@journal_delete')->name('accounts.journal.voucher.delete');
    
    Route::get('/daybook', 'Accounts\Reports@daybook')->name('accounts.report.daybook');
    Route::get('/daybook-export', 'Accounts\Reports@export_daybook')->name('accounts.report.daybook.export');
    Route::get('/cashbook', 'Accounts\Reports@cashbook')->name('accounts.report.cashbook');
    Route::get('/cashbook-export', 'Accounts\Reports@export_cashbook')->name('accounts.report.cashbook.export');
    Route::get('/account-group', 'Accounts\Reports@accountgroup')->name('accounts.report.accountgroup');
    Route::get('/account-group-export', 'Accounts\Reports@export_accountgroup')->name('accounts.report.accountgroup.export');
    Route::get('/balance-sheet', 'Accounts\Reports@balance_sheet')->name('accounts.report.balancesheet');
    Route::get('/balance-sheet-export', 'Accounts\Reports@export_balance_sheet')->name('accounts.report.balancesheet.export');
    Route::get('/ledger', 'Accounts\Reports@ledger')->name('accounts.report.ledger');
    Route::get('/ledger-export', 'Accounts\Reports@export_ledger')->name('accounts.report.ledger.export');
    Route::get('/profit-loss', 'Accounts\Reports@profit_loss')->name('accounts.report.profitloss');
    Route::get('/profit-loss-export', 'Accounts\Reports@export_profit_loss')->name('accounts.report.profitloss.export');
    Route::get('/receipt-payment', 'Accounts\Reports@receipt_payment')->name('accounts.report.receiptpayment');
    Route::get('/receipt-payment-export', 'Accounts\Reports@export_receipt_payment')->name('accounts.report.receiptpayment.export');
    Route::get('/trial-balance', 'Accounts\Reports@trial')->name('accounts.report.trial');
    Route::get('/trial-balance-export', 'Accounts\Reports@export_trial')->name('accounts.report.trial.export');
    
    
});

Route::get('accounts/ajax/get-vno','Accounts\Ajax@getVno');
